=== release 1.20.0 ===

2022-02-03 19:53:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.20.0

2022-02-03 19:53:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.0

=== release 1.19.90 ===

2022-01-28 14:28:35 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.19.90

2022-01-28 14:28:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.90

2022-01-26 00:02:49 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gi/overrides/GstAudio.py:
	* gi/overrides/GstVideo.py:
	* gi/overrides/meson.build:
	  VideoInfo, AudioInfo: fix usage with python bindings
	  * Expose an actual constructor from caps
	  * Error out in overrides for code that was using the "manual
	  allocation" pattern which only worked by chance. Direct
	  the script writer to the new_from_caps constructor instead.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-python/-/issues/47
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1571>

2022-01-05 02:07:59 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* testsuite/meson.build:
	  meson: Add explicit check: kwarg to all run_command() calls
	  This is required since Meson 0.61.0, and causes a warning to be
	  emitted otherwise:
	  https://github.com/mesonbuild/meson/commit/2c079d855ed87488bdcc6c5c06f59abdb9b85b6c
	  https://github.com/mesonbuild/meson/issues/9300
	  This exposed a bunch of places where we had broken run_command()
	  calls, unnecessary run_command() calls, and places where check: true
	  should be used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1507>

2021-11-16 23:36:10 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gi/overrides/gstmodule.c:
	  python: Avoid treating float as int
	  Since python 3.10 implicit conversion to integers using `__int__` as
	  been completely removed (was deprecated behavior in 3.9) so we need
	  to cleanly handle it now.
	  See https://gitlab.gnome.org/GNOME/pitivi/-/issues/2589
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1358>

2021-11-15 22:09:28 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gi/overrides/Gst.py:
	* gi/overrides/GstPbutils.py:
	* testsuite/common.py:
	  gst: Fix license headers and add SPDX
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-python/-/issues/57
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1351>

2021-11-10 13:38:04 -0500  Xavier Claessens <xavier.claessens@collabora.com>

	* meson.build:
	* meson_options.txt:
	  gst-python: Add option to disable python plugin
	  It is not always needed, at least Ubuntu package it separately and don't
	  install it by default. Also when doing a static build there is an
	  unavoidable warning otherwise.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1337>

2021-11-03 18:44:03 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.19.3 ===

2021-11-03 15:43:36 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.19.3

2021-11-03 15:43:32 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.3

2021-10-27 17:20:39 +1300  Chris Wiggins <chris@wiggins.nz>

	* examples/plugins/python/py_audiotestsrc.py:
	  python: Update audiotestsrc to return correct tuple on FlowReturn Errors
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1259>

2021-10-18 15:47:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* testsuite/meson.build:
	  meson: update for meson.build_root() and .build_source() deprecation
	  -> use meson.project_build_root() or .global_build_root() instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-18 00:40:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* testsuite/meson.build:
	  meson: update for dep.get_pkgconfig_variable() deprecation
	  ... in favour of dep.get_variable('foo', ..) which in some
	  cases allows for further cleanups in future since we can
	  extract variables from pkg-config dependencies as well as
	  internal dependencies using this mechanism.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-14 18:38:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump meson requirement to >= 0.59
	  For monorepo build and ugly/bad, for advanced feature
	  option API like get_option('xyz').required(..) which
	  we use in combination with the 'gpl' option.
	  For rest of modules for consistency (people will likely
	  use newer features based on the top-level requirement).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1084>

2021-09-22 13:12:07 -0300  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	  python:meson: Do not build plugin when statically built
	  It is not supported yet
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1093>

2021-09-14 18:25:46 -0300  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	* meson_options.txt:
	  python: Add an option to disable tests
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1093>

2021-10-14 17:01:01 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gi/__init__.py:
	  python: Fix using overrides when not building PyGObject
	  Since 547570cd790f2b2e390edc1dfb5df4c7a33de45c we do not always build
	  PyGObject and our development environment is broken when trying to use
	  GStreamer python when built against system PyGObject with the following
	  error importing Gst in there:
	  ```
	  12345678** (gst-plugin-scanner:710617): CRITICAL **: 11:45:02.343: can't find gi.repository.Gst
	  Traceback (most recent call last):
	  File "/usr/lib/python3.9/site-packages/gi/repository/__init__.py", line 23, in <module>
	  from ..importer import DynamicImporter
	  File "/usr/lib64/python3.9/site-packages/gi/importer.py", line 33, in <module>
	  from .overrides import load_overrides
	  ImportError: cannot import name 'load_overrides' from 'gi.overrides' (/var/home/thiblahute/devel/gstreamer/gstreamer/subprojects/gst-editing-services/bindings/python/gi/overrides/__init__.py)
	  Factory Details:
	  ```
	  The approach to fixing it is to implement override `gi` in
	  `gst-python/gi/` which we add to `PYTHONPATH`) and in there reset the
	  `gi` module to the right place and we get overrides from paths from
	  `_GI_OVERRIDES_PATH` we set in `gst-env.py` which points to all the
	  overrides that will be installed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1155>

2021-09-28 10:11:15 +1000  Brad Hards <bradh@frogmouth.net>

	* RELEASE:
	  doc: update IRC links to OFTC
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/945>

2021-09-26 01:07:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/925>

=== release 1.19.2 ===

2021-09-23 01:35:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.19.2

2021-06-01 15:29:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.19.1 ===

2021-06-01 00:16:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.19.1

2021-05-11 17:14:41 -0400  Stirling Westrup <stirling.westrup@userful.com>

	* meson.build:
	  Fixed meson.build to correctly use libdir
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-python/-/merge_requests/45>

2020-10-09 14:34:12 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* meson.build:
	* plugin/meson.build:
	  gstreamer-full: plugin can be registered statically.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-python/-/merge_requests/43>

2020-10-08 12:56:10 +0200  Andoni Morales Alastruey <ylatuya@gmail.com>

	* meson.build:
	  macOS: Fix plugin link with Python 3.8
	  see: https://gitlab.freedesktop.org/gstreamer/gst-python/-/issues/28
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-python/-/merge_requests/42>

2020-09-08 17:30:59 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitlab-ci.yml:
	  ci: include template from gst-ci master branch again

2020-09-08 16:59:04 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.18.0 ===

2020-09-08 00:09:33 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitlab-ci.yml:
	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.18.0

2020-08-20 16:03:36 -0400  Thibault Saunier <tsaunier@igalia.com>

	* plugin/gstpythonplugin.c:
	  Fix distcheck by setting up overrides in plugin init
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-python/-/merge_requests/40>

=== release 1.17.90 ===

2020-08-20 16:16:07 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.17.90

2020-08-14 19:43:41 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gi/overrides/Gst.py:
	  overrides: Fix buffer API break
	  When introducing zero copy buffers/memory mapping we broke the API,
	  this brings back the exact same API as before for all the previously
	  handled cases but still raises an exception when using a context
	  to map buffers.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-python/-/issues/40
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-python/-/merge_requests/39>

2020-05-08 22:01:50 +0100  Jose Quaresma <quaresma.jose@gmail.com>

	* gi/overrides/gstmodule.c:
	  overrides: memory and buffer unmap code can be shared
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-python/-/merge_requests/35>

2020-05-08 21:25:03 +0100  Jose Quaresma <quaresma.jose@gmail.com>

	* gi/overrides/gstmodule.c:
	  overrides: _remap: refactor to avoid memory leaks with PyObject
	  - unref PyObject on exit with Py_XDECREF
	  - better error handling
	  - free memory view in case of erros
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-python/-/merge_requests/34>

2020-06-14 16:54:28 +0100  Jose Quaresma <quaresma.jose@gmail.com>

	* gi/overrides/Gst.py:
	  Gst.py: raise an error if we can't unmap the memory

2020-06-14 16:48:45 +0100  Jose Quaresma <quaresma.jose@gmail.com>

	* gi/overrides/Gst.py:
	  Gst.py: unref __parent__ on unmap otherwise it cause a memory leak

2020-06-14 16:34:50 +0100  Jose Quaresma <quaresma.jose@gmail.com>

	* gi/overrides/gstmodule.c:
	  overrides: fix memory leak in pyg_boxed_new
	  pyg_boxed_new cause a memory leak if it hold a copy of the boxed wrapper and freed when the wrapper is deallocated.
	  use the boxed wrapper value itself and don't hold a copy of the value.

2020-07-03 02:04:10 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.17.2 ===

2020-07-03 00:36:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.17.2

2020-06-20 00:28:33 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.17.1 ===

2020-06-19 19:26:52 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.17.1

2020-03-16 14:04:35 -0300  Thibault Saunier <tsaunier@igalia.com>

	* examples/record_sound.py:
	  Add an example to record audio

2019-11-13 00:52:04 +0100  Andoni Morales Alastruey <ylatuya@gmail.com>

	* meson.build:
	  Fix configure python lib detection in macOS
	  pylib_loc = python.get_variable('LIBPL', '') alreay returns
	  the correct path for python's library dir

2020-02-26 13:53:17 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gi/overrides/gstmodule.c:
	  gstmodule: Fix reference counts of Py_True and Py_False
	  When returning those values, extensions must take a new reference.
	  Fixes #33

2020-01-07 18:16:51 +0530  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* testsuite/cleanup.py:
	  testsuite: remove cleanup
	  It's no longer used.

2017-05-21 17:03:48 +0200  Olivier Crête <olivier.crete@collabora.com>

	* testsuite/meson.build:
	* testsuite/python/identity.py:
	* testsuite/test_plugin.py:
	  test: Add test for the plugin loader
	  Fix #8

2017-05-21 16:56:16 +0200  Olivier Crête <olivier.crete@collabora.com>

	* plugin/gstpythonplugin.c:
	  plugin: Also look at GST_PLUGIN_PATH_1_0

2019-12-10 16:59:16 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gi/overrides/gstmodule.c:
	  Do not declare mix declaration and code

2019-12-13 10:46:20 +0200  Sebastian Dröge <sebastian@centricular.com>

	* meson.build:
	  Fix build with Python 3.8 by also checking for python-3.X-embed.pc
	  Since Python 3.8 the normal checks don't include the Python libraries
	  anymore and linking of the gst-python module would fail.
	  See also https://github.com/mesonbuild/meson/issues/5629
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-python/issues/28

2019-12-11 08:14:16 -0300  Thibault Saunier <tsaunier@igalia.com>

	* examples/plugins/python/py_audiotestsrc.py:
	  example: Use do_fill in AudioTestSrc instead of do_create
	  With the new mapping API we can efficiently use the ->fill vmethod
	  which is sensibly better.

2019-12-10 11:58:01 -0300  Thibault Saunier <tsaunier@igalia.com>

	* examples/plugins/python/exampleTransform.py:
	* gi/overrides/Gst.py:
	* gi/overrides/gstmodule.c:
	  Subclass Exception for mapping and unmapping errors
	  And minor cleanup in the way errors are handled

2019-10-17 17:31:41 +0200  Philipp Zabel <philipp.zabel@gmail.com>

	* testsuite/test_gst.py:
	  tests: Add buffer map/unmap tests

2019-04-05 15:58:38 +0200  Daniel Klamt <graphics@pengutronix.de>

	* examples/plugins/python/exampleTransform.py:
	* gi/overrides/Gst.py:
	* gi/overrides/gstmodule.c:
	  Changes the mapinfo so that the mapped data is writable
	  The Problem is, that in the current state it is not easily possible to
	  edit the buffer data in a gstreamer python element since you get a copy
	  of the real buffer.
	  This patch overrides the mapinfo and the function generating it in a way
	  so that mapinfo.data is now a memoryview pointing to the real buffer.
	  Depending on the flags given for this buffer the memoryview is r/w.

2019-11-28 10:18:44 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gi/overrides/gstmodule.c:
	* plugin/gstpythonplugin.c:
	  python: Fix type type qualifiers issues

2019-11-19 10:07:09 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gi/overrides/Gst.py:
	* gi/overrides/gstmodule.c:
	* meson.build:
	  Remove python2 support
	  We have notified application developers this would happen a long time
	  ago and python2 is going to be deprecated very soon now, before 1.18
	  is going to be released.

2019-10-14 19:08:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	* .gitmodules:
	* Makefile.am:
	* acinclude.m4:
	* autogen.sh:
	* common:
	* configure.ac:
	* env:
	* gi/Makefile.am:
	* gi/overrides/Makefile.am:
	* old_examples/.gitignore:
	* old_examples/Makefile.am:
	* plugin/Makefile.am:
	* pygst.py.in:
	* testsuite/.gitignore:
	* testsuite/Makefile.am:
	  Remove autotools build

2019-09-02 18:11:56 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gi/overrides/Gst.py:
	  overrides: fix callback setter overrides (bis)
	  The previous commit broke those by trying to pass weak refs
	  through pygobject, but we should probably have tested the elements
	  beyond instantiation: weakref.WeakMethod returns a callable, but
	  that callable when called only returns the ephemeral bound method,
	  which is the object we want to call, but pygobject has no support
	  for that.
	  Instead, fix the memory leaks we were going after by decoupling the
	  lifecycle of the callback and that of the pad, by passing functors
	  to pygobject.

2019-08-09 01:03:17 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gi/overrides/Gst.py:
	  overrides: fix callback setter overrides
	  Use weakref to avoid leaks, and remove refcount hack as the actual
	  issue has been fixed in pygobject

2019-08-07 18:23:50 -0400  Thibault Saunier <tsaunier@igalia.com>

	* testsuite/python.supp:
	  suppr: Add a supression on wrong jump in python from fedora 30

2019-05-26 16:20:08 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* plugin/meson.build:
	  meson: expose plugins variable

2019-05-06 11:29:53 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gi/overrides/Gst.py:
	* testsuite/test_gst.py:
	  override Element before Bin so we can access element fields of bins
	  And add a test
	  See https://gitlab.gnome.org/GNOME/pygobject/issues/325

2019-04-11 00:42:49 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gi/overrides/Gst.py:
	  Gst.py: add high-level helpers

2019-04-19 10:42:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* RELEASE:
	* configure.ac:
	* meson.build:
	  Back to development

=== release 1.16.0 ===

2019-04-19 00:37:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	* meson.build:
	  Release 1.16.0

2019-04-11 15:00:15 -0400  Luis de Bethencourt <luisbg@amazon.com>

	* TODO:
	  Update TODO

=== release 1.15.90 ===

2019-04-11 00:38:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	* meson.build:
	  Release 1.15.90

2019-03-04 09:15:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* configure.ac:
	* meson.build:
	  Back to development

=== release 1.15.2 ===

2019-02-26 12:00:58 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	* meson.build:
	  Release 1.15.2

2019-01-30 15:45:21 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gi/overrides/Gst.py:
	* gi/overrides/GstPbutils.py:
	  Gst.init() has to be called before GstPbutils is imported
	  This makes sure that we do not try to use GstPbutils before Gst is init
	  and in case GstPbutils is imported while Gst is not imported, use the
	  `GstPbutils.pb_utils_init()` function to have the oportunity to
	  initialize the overrides.
	  Not that we also introduce a `GstPbutils.init()` variant because
	  `GstPbutils.pb_utils_init()` is an ugly name.

2019-01-22 16:59:02 -0300  Thibault Saunier <tsaunier@igalia.com>

	* meson.build:
	* meson_options.txt:
	  meson: Re add workarounds to detect libpython path
	  This was removed all together in af4ade37435fcc31c8489f4d7c7496fef5f74b05
	  "meson: use new python module".
	  And add `-Dlibpython-dir` option for the cases the logic fails.

=== release 1.15.1 ===

2019-01-17 02:33:52 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	* meson.build:
	  Release 1.15.1

2019-01-09 11:39:19 +0100  Antonio Ospite <ao2@ao2.it>

	* gi/overrides/Gst.py:
	  overrides: add a set_caps() method to the Pad override
	  The C API provides the gst_pad_set_caps() helper which makes it easier
	  to set caps on pads (see gst/gstcompat.h in gstreamer core).
	  Add such handy helper to the python bindings too.
	  The implementation follows as close as possible the one in gstcompat.h
	  with two changes:
	  1. the type check on the pad has been removed because self is
	  guaranteed to be a Gst.Pad in python.
	  2. the null check on the caps has been extended to be a type check.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-python/issues/19

2018-12-30 23:53:03 +0000  Tim-Philipp Müller <tim@centricular.com>

	* autogen.sh:
	  autogen.sh: update to match updated common submodule
	  Unbreaks the autotools build and fixes #15.

2018-12-15 13:55:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* testsuite/old/test-object.c:
	* testsuite/old/testhelpermodule.c:
	  Fix indentation of .c files
	  Required to make gst-indent linter on CI happy.

2018-12-05 18:43:06 -0300  Thibault Saunier <tsaunier@igalia.com>

	* common:
	  Update common submodule

2018-11-12 13:26:58 +0200  Jordan Petridis <jordan@centricular.com>

	* .gitlab-ci.yml:
	  Add Gitlab CI configuration
	  This commit adds a .gitlab-ci.yml file, which uses a feature
	  to fetch the config from a centralized repository. The intent is
	  to have all the gstreamer modules use the same configuration.
	  The configuration is currently hosted at the gst-ci repository
	  under the gitlab/ci_template.yml path.
	  Part of https://gitlab.freedesktop.org/gstreamer/gstreamer-project/issues/29

2018-11-05 05:51:05 +0000  Matthew Waters <matthew@centricular.com>

	* .gitmodules:
	* gst-python.doap:
	  Update git locations to gitlab

2018-10-31 17:02:24 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* testsuite/overrides_hack.py:
	  Tests: the sys.meta_path trick does not work for python2
	  Instead, for python2 revert to manipulating gi.overrides.__path__

2018-10-31 00:41:31 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gi/overrides/Gst.py:
	* gi/overrides/meson.build:
	* testsuite/Makefile.am:
	* testsuite/meson.build:
	* testsuite/overrides_hack.py:
	  Tests: refactor testing approach
	  Instead of fiddling with sys.path, we instead use a custom
	  sys.meta_path importer

2018-10-28 17:52:33 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* Makefile.am:
	* meson.build:
	  meson: address python module port comments

2018-05-14 10:05:15 +0200  Havard Graff <havard.graff@gmail.com>

	* gi/overrides/Gst.py:
	* gi/overrides/meson.build:
	* meson.build:
	* meson_options.txt:
	* plugin/meson.build:
	* scripts/pythondetector:
	* testsuite/meson.build:
	  meson: use new python module
	  This patch makes the tests pass running uninstalled and installed, with
	  python2 and python3 on linux, windows and osx.
	  The main gist is to use the new python-module to do the lifting done
	  by pythondetector, and with that add support for python2 and windows.

2018-10-28 17:51:44 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gi/Makefile.am:
	* gi/overrides/Makefile.am:
	  automake: remove __init__.py's

2018-10-28 14:14:09 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gi/__init__.py:
	* gi/overrides/__init__.py:
	  Remove __init__.py files
	  They were not installed, and were simply used for our
	  uninstalled setup, which we now implement differently.

2018-10-27 18:04:11 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* meson.build:
	  meson: add pygobject fallback

2018-07-29 20:06:09 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* examples/plugins/python/py_audiotestsrc.py:
	* examples/requirements.txt:
	  Examples: add audiotestsrc plugin example

2018-07-29 20:00:43 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* examples/plugins/python/audioplot.py:
	* examples/requirements.txt:
	  Examples: add audioplot plugin example

2018-07-29 19:51:34 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* examples/README.md:
	* examples/plugins/python/mixer.py:
	* examples/requirements.txt:
	  Examples: add mixer plugin example

2018-07-20 17:00:22 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* examples/dynamic_src.py:
	  examples: add a dynamic pipeline example

2018-07-20 15:58:35 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* examples/helloworld.py:
	  helloworld: fix typo

2018-03-20 08:54:24 +0100  Havard Graff <havard.graff@gmail.com>

	* gi/overrides/gstmodule.c:
	  gstmodule: fix warning when building against python2
	  PyMapping_GetItemString’ discards ‘const’ qualifier from pointer target type
	  https://bugzilla.gnome.org/show_bug.cgi?id=796093

2018-05-01 15:01:11 +0100  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	  Fix distcheck

2018-05-01 12:08:54 +0100  Tim-Philipp Müller <tim@centricular.com>

	* config.h.meson:
	* meson.build:
	  meson: drop config.h.meson template

2018-04-25 15:11:31 -0300  Thibault Saunier <tsaunier@igalia.com>

	* configure.ac:
	* meson.build:
	  Bump pygobject dependency to 3.8

2018-04-25 19:47:19 +0200  Emilio Pozuelo Monfort <pochu27@gmail.com>

	* gi/overrides/Gst.py:
	* gi/overrides/GstPbutils.py:
	  overrides: use get_introspection_module
	  https://bugzilla.gnome.org/show_bug.cgi?id=795555

2018-04-07 21:46:07 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gi/overrides/Gst.py:
	  overrides: Fix mixup between query function and chain one

2018-04-03 13:28:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	  Dist autogen.sh and configure.ac

2018-03-20 10:27:38 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* configure.ac:
	* meson.build:
	  Back to development

=== release 1.14.0 ===

2018-03-19 20:29:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	* meson.build:
	  Release 1.14.0

=== release 1.13.91 ===

2018-03-13 19:31:04 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	* meson.build:
	  Release 1.13.91

=== release 1.13.90 ===

2018-03-03 22:55:56 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	* meson.build:
	  Release 1.13.90

2018-02-23 14:40:37 +0100  Edward Hervey <edward@centricular.com>

	* configure.ac:
	  configure.ac: Don't use runtime location of overrides by default
	  If someone wants to put the overrides in a non-standard location,
	  they can use the --with-pygi-overrides-dir option.
	  The default is to put them in ${pyexecdir}/gi/overrides
	  Fixes make distcheck
	  https://bugzilla.gnome.org/show_bug.cgi?id=793756

2018-02-18 10:00:48 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* Makefile.am:
	* gi/Makefile.am:
	* gi/overrides/Makefile.am:
	* testsuite/Makefile.am:
	  makefiles: Add missing dist files
	  https://bugzilla.gnome.org/show_bug.cgi?id=793560

2018-02-22 08:05:24 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gi/overrides/Gst.py:
	* testsuite/test_types.py:
	  bitmask: Do not use long() directly with python3
	  It doesn't exist anymore there

2017-09-24 21:43:49 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* gi/overrides/Gst.py:
	  gi: Check Gst has not been initialized before loading bindings
	  It can have been initialized by some C code (in a C app with plugins
	  for example).
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=788088

2018-02-22 10:58:48 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gi/overrides/Gst.py:
	* testsuite/test_types.py:
	  Allow Bitmask to be created from ints and longs but always store as long
	  We need a 64 bit integer, and previously the test failed because it was
	  already created from longs in various cases (e.g. when reading from a
	  GstStructure).

2018-02-15 19:44:33 +0000  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	* meson.build:
	  Back to development

2018-02-15 20:08:38 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gi/overrides/Gst.py:
	  overrides: accept Gst.Structure in Caps.__new__
	  Also rename misleading parameter (*kwargs -> *args)
	  https://bugzilla.gnome.org/show_bug.cgi?id=793493

=== release 1.13.1 ===

2018-02-15 17:24:36 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* configure.ac:
	* gst-python.doap:
	* meson.build:
	  Release 1.13.1

2018-02-14 10:13:36 +0200  Sebastian Dröge <sebastian@centricular.com>

	* plugin/gstpythonplugin.c:
	  Print Python version after initialization

2018-02-14 10:10:39 +0200  Sebastian Dröge <sebastian@centricular.com>

	* plugin/gstpythonplugin.c:
	  pluginloader: Print Python library path that is tried to be loaded

2018-01-23 19:32:18 +0200  Sebastian Dröge <sebastian@centricular.com>

	* Makefile.am:
	* gi/Makefile.am:
	* gi/overrides/Makefile.am:
	* plugin/Makefile.am:
	* testsuite/Makefile.am:
	  Ship meson build system in autotools generated tarballs

2017-08-01 09:57:57 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* gi/overrides/__init__.py:
	* scripts/pythondetector:
	  meson: Fix detection of overrides path in some cases

2017-07-29 23:05:22 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* plugin/gstpythonplugin.c:
	  plugin: Always initialize GIL state
	  gcc warns about possibly unintialized use of it
	  (even if it can't actually happen)

2017-07-25 16:18:26 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* gi/overrides/meson.build:
	* meson.build:
	* scripts/pythondetector:
	* testsuite/meson.build:
	* testsuite/overrides_hack.py:
	  Fix simply running testsuite in meson
	  - Make sure to never have root folder in sys.path when running meson,
	  as pythondetector won't be able to access gi._overridesdir
	  - Generate a mesonconfig.py file that will be used by the testsuite to
	  know where meson generated files, making `python -m unittest` working.

2017-07-25 16:17:54 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* gi/overrides/Gst.py:
	* gi/overrides/gstmodule.c:
	* testsuite/test_types.py:
	  Add support for Gst.Bitmask

2017-07-25 14:35:01 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* testsuite/test_types.py:
	  tests: Stop using deprecated assertion methods

2017-07-25 14:29:19 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* testsuite/Makefile.am:
	* testsuite/meson.build:
	* testsuite/test_doublerange.py:
	* testsuite/test_fraction.py:
	* testsuite/test_fractionrange.py:
	* testsuite/test_int64range.py:
	* testsuite/test_intrange.py:
	* testsuite/test_types.py:
	* testsuite/test_valuearray.py:
	* testsuite/test_valuelist.py:
	  tests: Move all Fundamental types tests in a file
	  No reason to have one file per type and it makes it more complicated
	  to handle.

2017-07-25 13:00:08 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* gi/overrides/Gst.py:
	  structure: Add a .keys() method and implement __str__
	  We are making it behave like a dict, so we should provide the
	  same kind of utilities.

2017-07-24 17:06:06 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* gi/overrides/Gst.py:
	* gi/overrides/gstmodule.c:
	  Return a Gst.*Range instead of a python range converting from GValue to python
	  Otherwise we lose the information about what type of range it is, which
	  is mandatory, especially when dealing with Structure and Caps.

2017-07-24 12:13:13 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* gi/overrides/Gst.py:
	* testsuite/test_gst.py:
	  structures: Override __new__ to make it more pythonic

2017-05-21 18:06:25 +0200  Olivier Crête <olivier.crete@collabora.com>

	* gi/overrides/Gst.py:
	* testsuite/test_int64range.py:
	* testsuite/test_intrange.py:
	  overrides: Remove IntRange And Int64Range on Python2
	  They use the range() built-in type which is a Python 3 change.
	  https://bugzilla.gnome.org/show_bug.cgi?id=782927

2017-05-21 13:16:02 +0200  Olivier Crête <olivier.crete@collabora.com>

	* plugin/Makefile.am:
	* plugin/meson.build:
	  pythonplugin: Rename plugin file to match plugin name
	  This is required by the new loader macro.

2017-05-04 19:00:37 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	* meson.build:
	  Back to development

=== release 1.12.0 ===

2017-05-04 15:40:29 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	* meson.build:
	  Release 1.12.0

=== release 1.11.91 ===

2017-04-27 17:37:36 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	* meson.build:
	  Release 1.11.91

=== release 1.11.90 ===

2017-04-07 16:35:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	* meson.build:
	  Release 1.11.90

2017-03-27 14:59:24 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gi/overrides/gstmodule.c:
	* testsuite/test_valuearray.py:
	* testsuite/test_valuelist.py:
	  array/list: Make gvalue conversion symmetric
	  This is needed to support matrix. Otherwise, getting
	  a matrix would remove the rows envelopess, which would
	  make the "cast" fails, since it would not know if the
	  internal rows are ValueArray or ValueList. I think reading,
	  modifying and setting back the matrix is an important use
	  case.

2017-03-27 14:52:24 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gi/overrides/gstmodule.c:
	  gstmodule: Factor out gst type creation
	  This reduces a lot the boiler plate all over. At the same
	  time, use N instead of O when passing PyObject to fix
	  the objects leaks.

2017-03-24 13:28:35 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* .gitignore:
	  Add /build and install to the gitignore

2017-03-23 12:21:32 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gi/overrides/Gst.py:
	* gi/overrides/gstmodule.c:
	* testsuite/Makefile.am:
	* testsuite/common.py:
	* testsuite/meson.build:
	* testsuite/test_doublerange.py:
	* testsuite/test_fraction.py:
	* testsuite/test_fractionrange.py:
	* testsuite/test_int64range.py:
	* testsuite/test_intrange.py:
	* testsuite/test_valuearray.py:
	* testsuite/test_valuelist.py:
	  overrides: Add more GstValue overrides
	  This patch adds overrides to support IntRange, Int64Range, DoubleRange,
	  FractionRange, Array and List. For integer ranges, it maps this
	  to python 'range'. Gst.IntRange() and Gst.Int64Range() are simple cast
	  to let the underlying code know which GType to use. To set such range in
	  python you will do:
	  structure["range"] = Gst.IntRange(range(0,10,2)))
	  Same for the 64 bit variant. And when you do:
	  r = structure.get_value("range")
	  A range will be returned directly, without the wrapper. For DoubleRange
	  and FractionRange, there is no native support in python. So the usage
	  will be:
	  structure["range"] = Gst.DoubleRange(0,10.0)
	  structure["range"] =
	  Gst.FractionRange(Gst.Fraction(1/30), Gst.Fraction(1/5)
	  When getting this value, Gst.DoubleRange and Gst.FractionRange class are
	  returned. They both have start/stop members. The naming was taken from
	  range type.
	  For Array and List, both uses the native list type, though they can be
	  constructed from any python sequence. So again, the class is just like
	  a cast, to let it pick the right GType and python list are being
	  returned.
	  structure["list"] = Gst.ValueList([1,2,3,4])
	  structure["array"] = Gst.ValueArray([1,2,3,4)
	  Using string and tuple could also work. Since Gst.ValueList/Array are
	  sequence, you can convert one to the other with:
	  list = Gst.ValueList([1,2,3,4])
	  array = Gst.ValueArray (list)
	  https://bugzilla.gnome.org/show_bug.cgi?id=753754

2017-03-23 12:09:05 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* meson.build:
	* scripts/pythondetector:
	  meson: Install in gi._overidesdir only if we are installing in right prefix
	  And make sure python detector did not fail
	  https://bugzilla.gnome.org/show_bug.cgi?id=780369

2017-02-24 16:01:39 +0200  Sebastian Dröge <sebastian@centricular.com>

	* meson.build:
	  meson: Update version

2017-02-24 15:38:09 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.11.2 ===

2017-02-24 15:09:54 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.11.2

2017-02-24 12:08:48 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

2017-02-21 22:02:14 +1100  Jan Schmidt <jan@centricular.com>

	* examples/helloworld.py:
	  Port old helloworld.py example to GI

2017-02-15 10:48:58 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* meson.build:
	* meson_options.txt:
	  python: Add an option to set where to install pygi overrides

2017-01-13 12:51:11 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump version and bump meson requirement
	  Adjust meson requirement to same as used in other modules.

=== release 1.11.1 ===

2017-01-12 16:15:50 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.11.1

2016-12-16 17:43:11 +0000  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	* gst-python.spec.in:
	  Remove bitrotten and unused gst-python.spec.in file

2016-11-26 11:28:30 +0000  Tim-Philipp Müller <tim@centricular.com>

	* .gitmodules:
	  common: use https protocol for common submodule
	  https://bugzilla.gnome.org/show_bug.cgi?id=775110

2016-11-03 11:49:15 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* testsuite/overrides_hack.py:
	  Play nicely with gst-build uninstalled
	  As overrides_hack is being used as user sitecustomize script

2016-11-03 08:36:23 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* meson.build:
	* testsuite/meson.build:
	* testsuite/runtests.py:
	  meson: Add testsuite

2016-11-01 18:12:33 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: update version

=== release 1.11.0 ===

2016-11-01 18:53:15 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.10.0 ===

2016-11-01 18:06:58 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.10.0

2016-10-19 14:47:01 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* meson.build:
	  meson: use the version keyword argument for dependencies version

2016-10-17 09:37:30 +0200  Marianna Smidth Buschle <msb@qtec.com>

	* examples/plugins/python/identity.py:
	  examples: Added identity example
	  Created a simple BaseTransform element (identity)
	  https://bugzilla.gnome.org/show_bug.cgi?id=772853

2016-09-30 11:35:42 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* hooks/pre-commit.hook:
	* meson.build:
	  meson: Setup pre-commit hooks when configuring

=== release 1.9.90 ===

2016-09-30 13:04:26 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.9.90

2016-09-14 15:18:17 +0200  Sebastian Dröge <sebastian@centricular.com>

	* pythondetector:
	  meson: Add a workaround for finding the Python library on Fedora

2016-09-14 11:42:54 +0200  Sebastian Dröge <sebastian@centricular.com>

	* pythondetector:
	  meson: Fix pythondetector on Debian and use sysconfig for getting the ABIFLAGS too
	  Paths like /usr/lib/python3.5/config-3.5m-x86_64-linux-gnu would not be
	  detected by the old code, but it's all nicely stored in sysconfig so
	  let's just use that.

2016-09-14 11:31:32 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  configure: Depend on gstreamer 1.9.2.1

2016-09-13 15:17:41 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* pythondetector:
	  meson: Search python shared lib in lib64/ if it is a directory

2016-09-05 12:52:46 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* plugin/gstpythonplugin.c:
	  build: Remove unused variables

2016-09-05 11:30:43 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* config.h.meson:
	* gi/meson.build:
	* gi/overrides/meson.build:
	* meson.build:
	* plugin/meson.build:
	* pythondetector:
	  Add support for Meson as alternative/parallel build system
	  https://github.com/mesonbuild/meson

2016-09-01 12:31:53 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.9.2 ===

2016-09-01 12:31:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.9.2

2016-07-06 13:54:19 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.9.1 ===

2016-07-06 13:38:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.9.1

2016-03-24 13:34:28 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.8.0 ===

2016-03-24 13:03:02 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.8.0

=== release 1.7.91 ===

2016-03-15 12:34:35 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.7.91

=== release 1.7.90 ===

2016-03-01 18:53:59 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.7.90

2016-02-27 11:16:00 +0000  Hanno Boeck <hanno@hboeck.de>

	* gi/overrides/gstmodule.c:
	  NULL-terminate PyMethodDef array
	  PyMethodDef arrays are supposed to end with an entry full of NULL/0 values.
	  This is missing in gst-python in the file gstmodule.c.
	  This causes out of bounds memory reads which can be seen / tested by compiling
	  gst-python with address sanitizer (-fsanitize=address in CFLAGS/LDFLAGS).
	  https://bugzilla.gnome.org/show_bug.cgi?id=762766

2016-02-21 10:46:24 +0000  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	* win32/MANIFEST:
	* win32/common/.gitignore:
	* win32/common/config.h.in:
	* win32/vs6/gst_python.dsw:
	* win32/vs6/libgstpython.dsp:
	* win32/vs6/pygenfiles.dsp:
	  win32: remove outdated build cruft
	  This hasn't been touched for generations, doesn't work,
	  and is just causing confusion. We also don't want to
	  maintain these files manually.

2016-02-19 17:13:57 +0100  Thibault Saunier <tsaunier@gnome.org>

	* gi/overrides/gstmodule.c:
	  Fix bug when checking template object type

2016-02-19 12:38:49 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.7.2 ===

2016-02-19 12:16:05 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.7.2

2016-02-15 23:26:06 +0100  Thibault Saunier <tsaunier@gnome.org>

	* gi/overrides/gstmodule.c:
	* testsuite/common.py:
	  gst: Fix a crash when passing wrong type as __templates__

2016-02-08 11:30:08 +0100  Thibault Saunier <tsaunier@gnome.org>

	* gi/overrides/GstPbutils.py:
	* plugin/gstpythonplugin.c:
	  Avoid warning about gi.require_version not being called

2015-12-24 15:30:00 +0100  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.7.1 ===

2015-12-24 15:00:41 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.7.1

2015-12-14 13:03:24 +0100  Sebastian Dröge <sebastian@centricular.com>

	* plugin/gstpythonplugin.c:
	  python: Check return value of g_module_symbol()
	  CID 1320702

2015-12-14 13:01:25 +0100  Sebastian Dröge <sebastian@centricular.com>

	* plugin/gstpythonplugin.c:
	  python: Don't call Py_DECREF() on NULL
	  CID 1320703

2015-11-16 10:12:37 +0200  Sebastian Dröge <sebastian@centricular.com>

	* plugin/gstpythonplugin.c:
	  pythonplugin: Clean up error handling a bit
	  Don't g_error() but only g_critical() when things go wrong and return FALSE.
	  g_error() would kill the application immediately.
	  Also check if we can actually get gi.repository.Gst before using it.

2015-11-08 11:56:28 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gi/overrides/Gst.py:
	* gi/overrides/gstmodule.c:
	  overrides: also provide wrapper for trace level debug logging

2015-11-08 11:56:20 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gi/overrides/Gst.py:
	  overrides: fix a few typos in exception messages

2015-10-27 22:19:19 +0100  Thibault Saunier <tsaunier@gnome.org>

	* examples/plugins/python/sinkelement.py:
	  examples: Port the sink example to GstBaseSink
	  Also we now need to explicitly call Gst.init() from python bindings.

2015-10-25 21:33:46 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gi/overrides/Gst.py:
	  overrides: chain up to base __init__ in Pad override
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=757108

2015-09-25 12:03:45 +0200  Thibault Saunier <tsaunier@gnome.org>

	* configure.ac:
	  Back to development

=== release 1.6.0 ===

2015-09-25 12:01:24 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.6.0

2015-06-24 17:44:44 +0200  Thibault Saunier <tsaunier@gnome.org>

	* configure.ac:
	  Back to development

=== release 1.5.2 ===

2015-06-24 17:44:30 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	* testsuite/__init__.py:
	  Release 1.5.2

2015-04-24 10:35:14 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gi/overrides/Gst.py:
	* testsuite/overrides_hack.py:
	* testsuite/test_gst.py:
	  tests: Fix tests in python2
	  Python2 core checks that the first argument of a method is of the type
	  of the object if it does not have any info about the method, so when
	  using Gst not initialized it raiser a TypeError and not a
	  Gst.NotInitialized as expected.
	  + And fix a typo

2015-04-24 09:37:24 +0200  Thibault Saunier <tsaunier@gnome.org>

	* testsuite/Makefile.am:
	* testsuite/test_fraction.py:
	  tests: Add test_fraction back in the testsuite
	  Properly porting it and adding a small test about getting fraction
	  from a Gst.Structure

2015-04-24 10:27:47 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gi/overrides/Gst.py:
	  overrides: Do not use inspect.signature as it is not avalaible in python2
	  Fix regression from https://bugzilla.gnome.org/show_bug.cgi?id=746329

2015-04-15 19:57:43 +0200  Thibault Saunier <tsaunier@gnome.org>

	* Makefile.am:
	* configure.ac:
	* testsuite/Makefile.am:
	* testsuite/common.py:
	* testsuite/old/test-object.c:
	* testsuite/old/test-object.h:
	* testsuite/old/test_adapter.py:
	* testsuite/old/test_audio.py:
	* testsuite/old/test_bin.py:
	* testsuite/old/test_buffer.py:
	* testsuite/old/test_bus.py:
	* testsuite/old/test_caps.py:
	* testsuite/old/test_element.py:
	* testsuite/old/test_event.py:
	* testsuite/old/test_fraction.py:
	* testsuite/old/test_ghostpad.py:
	* testsuite/old/test_interface.py:
	* testsuite/old/test_iterator.py:
	* testsuite/old/test_libtag.py:
	* testsuite/old/test_message.py:
	* testsuite/old/test_pad.py:
	* testsuite/old/test_pbutils.py:
	* testsuite/old/test_pipeline.py:
	* testsuite/old/test_registry.py:
	* testsuite/old/test_segment.py:
	* testsuite/old/test_struct.py:
	* testsuite/old/test_taglist.py:
	* testsuite/old/test_typefind.py:
	* testsuite/old/test_xml.py:
	* testsuite/old/testhelpermodule.c:
	* testsuite/overrides_hack.py:
	* testsuite/runtests.py:
	* testsuite/test_gst.py:
	  test: Bring back the testsuite and test if the initialization override works
	  Summary:
	  Simplify the Makefile taking example on pitivi and copy several pitivi
	  testing files, simplifying them a bit for our use case
	  Reviewers: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D97

2015-04-15 19:55:16 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gi/overrides/Gst.py:
	  overrides: Disable all GStreamer APIs until Gst has been initialized
	  Summary:
	  And throw an exception if the user tries to call any Gst API without
	  initializing gst.
	  https://bugzilla.gnome.org/show_bug.cgi?id=747555
	  Reviewers: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D87

2015-04-22 10:40:48 +0200  Sebastian Dröge <sebastian@centricular.com>

	* INSTALL:
	  Remove INSTALL file
	  autotools automatically generate this, and when using different versions
	  for autogen.sh there will always be changes to a file tracked by git.

2015-03-18 13:53:55 +0100  Thibault Saunier <tsaunier@gnome.org>

	* gi/overrides/Gst.py:
	  overrides: Try hard to make the query writable in the pad query function
	  Summary:
	  We know that the bindings will get an extra ref but we know that
	  it is not actually needed, so we are safe to decrease the refcount
	  by one in that particular context making sure we give PyGI its
	  ref back when we are done.
	  Reviewers: Mathieu_Du
	  Differential Revision: http://phabricator.freedesktop.org/D41
	  https://bugzilla.gnome.org/show_bug.cgi?id=746329

2015-03-06 19:25:57 +0100  Thibault Saunier <tsaunier@gnome.org>

	* plugin/Makefile.am:
	  plugin: Name differently between python2 and python3
	  Those are 2 different binaries and thus should have different
	  .so names. Just use the $PYTHON_SO for that to happen.
	  https://bugzilla.gnome.org/show_bug.cgi?id=738157

2014-10-20 13:40:05 +0200  Thibault Saunier <tsaunier@gnome.org>

	* configure.ac:
	  Back to development

=== release 1.4.0 ===

2014-10-20 11:24:58 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.4.0

2014-10-19 13:34:59 +0200  Sebastian Dröge <sebastian@centricular.com>

	* plugin/gstpythonplugin.c:
	  pythonplugin: Fix compiler warning about unused format string argument
	  CC       libgstpythonplugin_la-gstpythonplugin.lo
	  gstpythonplugin.c:192:65: warning: data argument not used by format string
	  [-Wformat-extra-args]
	  GST_DEBUG ("GST_PLUGIN_SYSTEM_PATH set to %s", plugin_path, plugin_path);
	  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~               ^

=== release 1.3.90 ===

2014-09-24 11:13:45 +0200  Thibault Saunier <tsaunier@gnome.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.3.90

2014-06-10 16:04:15 +0200  Rico Tzschichholz <ricotz@ubuntu.com>

	* plugin/Makefile.am:
	  plugin: Do not version the plugin library

2014-06-05 19:54:13 +0200  Thibault Saunier <tsaunier@gnome.org>

	* examples/plugins/python/sinkelement.py:
	* old_examples/.gitignore:
	* old_examples/Makefile.am:
	* old_examples/audio-controller.py:
	* old_examples/audioconcat.py:
	* old_examples/bps.py:
	* old_examples/buffer-draw.py:
	* old_examples/cp.py:
	* old_examples/cutter.py:
	* old_examples/debugslider.py:
	* old_examples/decodebin.py:
	* old_examples/f2f.py:
	* old_examples/filesrc.py:
	* old_examples/fvumeter.py:
	* old_examples/gst-discover:
	* old_examples/gstfile.py:
	* old_examples/helloworld.py:
	* old_examples/maemogst.py:
	* old_examples/mixer.py:
	* old_examples/option-parser.py:
	* old_examples/pipeline-tester:
	* old_examples/play.py:
	* old_examples/pyidentity.py:
	* old_examples/remuxer.py:
	* old_examples/segments.py:
	* old_examples/sinkelement-registry.py:
	* old_examples/sinkelement.py:
	* old_examples/switch.py:
	* old_examples/synchronizer.py:
	* old_examples/tagsetter.py:
	* old_examples/video-controller.py:
	* old_examples/vumeter.py:
	  Move old example to a dedicated folder so user know it is no up to date

2014-06-06 10:30:07 +0200  Thibault Saunier <tsaunier@gnome.org>

	* examples/python/sinkelement.py:
	* gi/overrides/Gst.py:
	  Add an example sink element and override the chain and event functions of pads
	  Otherwize we will get 2 time acces to the element in it, which does
	  not make much sense. The _full variant can still be used.

2014-02-06 16:17:03 +0100  Thibault Saunier <thibault.saunier@collabora.com>

	* Makefile.am:
	* acinclude.m4:
	* configure.ac:
	* plugin/Makefile.am:
	* plugin/gstpythonplugin.c:
	  Reimplement gstpython plugin on top of PyGobject

2014-06-05 17:22:23 +0200  Thibault Saunier <tsaunier@gnome.org>

	* common:
	  Update common submodule

2014-05-22 22:48:09 +0200  Christoph Reiter <reiter.christoph@gmail.com>

	* gi/overrides/Gst.py:
	  overrides: Don't pass arguments to Boxed base class __init__() in Gst.Caps override.
	  This is needed since: https://git.gnome.org/browse/pygobject/commit/?id=3a2bfc8bf01fcae3863
	  https://bugzilla.gnome.org/show_bug.cgi?id=730596

2014-03-23 10:34:10 +0100  Lubosz Sarnecki <lubosz@gmail.com>

	* gi/overrides/Gst.py:
	  python3: apply pep 238 for division overload
	  Python 3 needs an __truediv__ operator method, used in GstFraction.
	  see: http://legacy.python.org/dev/peps/pep-0238/
	  https://bugzilla.gnome.org/show_bug.cgi?id=726920

2014-04-01 09:53:21 +0200  Thibault Saunier <tsaunier@gnome.org>

	* gi/overrides/Gst.py:
	  overrides: Import the _gi_gst module relative
	  We always expect it to be in the same directory and it fixes its import
	  with python3
	  https://bugzilla.gnome.org/show_bug.cgi?id=726921

2014-03-29 15:15:27 +0100  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Modernize configure.ac a bit
	  Especially create tar.xz files instead of tar.gz

2014-03-29 15:01:26 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gi/overrides/Makefile.am:
	  Fix automake warning
	  INCLUDES is the old name of AM_CPPFLAGS and is deprecated.

2014-03-29 14:51:39 +0100  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	* gi/overrides/Makefile.am:
	  Fix extension of native Python module
	  When building debug modules this e.g. has to be _d.so instead of just .so

2014-03-15 18:26:40 +0100  Thibault Saunier <tsaunier@gnome.org>

	* configure.ac:
	  Back to development

=== release 1.2.0 ===

2014-03-15 18:02:45 +0100  Thibault Saunier <tsaunier@gnome.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 1.2.0

2014-03-15 12:40:32 +0100  Thibault Saunier <tsaunier@gnome.org>

	* configure.ac:
	  We actually depend on python 2.5 not 2.7

2014-03-15 15:45:43 +0100  Thibault Saunier <tsaunier@gnome.org>

	* gi/overrides/Gst.py:
	  overrides: Checking an empty caps should return False

2013-12-12 11:20:12 +0000  Simon Farnsworth <simon.farnsworth@onelan.co.uk>

	* COPYING:
	* examples/audioconcat.py:
	* examples/bps.py:
	* examples/cp.py:
	* examples/cutter.py:
	* examples/debugslider.py:
	* examples/decodebin.py:
	* examples/f2f.py:
	* examples/filesrc.py:
	* examples/fvumeter.py:
	* examples/gst-discover:
	* examples/pipeline-tester:
	* examples/tagsetter.py:
	* examples/vumeter.py:
	* gi/__init__.py:
	* gi/overrides/Gst.py:
	* gi/overrides/GstPbutils.py:
	* gi/overrides/gstmodule.c:
	* pygst.py.in:
	* testsuite/common.py:
	* testsuite/runtests.py:
	* testsuite/test_adapter.py:
	* testsuite/test_audio.py:
	* testsuite/test_bin.py:
	* testsuite/test_buffer.py:
	* testsuite/test_bus.py:
	* testsuite/test_caps.py:
	* testsuite/test_element.py:
	* testsuite/test_event.py:
	* testsuite/test_fraction.py:
	* testsuite/test_ghostpad.py:
	* testsuite/test_gst.py:
	* testsuite/test_interface.py:
	* testsuite/test_iterator.py:
	* testsuite/test_libtag.py:
	* testsuite/test_message.py:
	* testsuite/test_pad.py:
	* testsuite/test_pbutils.py:
	* testsuite/test_pipeline.py:
	* testsuite/test_registry.py:
	* testsuite/test_segment.py:
	* testsuite/test_struct.py:
	* testsuite/test_taglist.py:
	* testsuite/test_typefind.py:
	* testsuite/test_xml.py:
	  Fix zip code of new FSF address
	  I missed the zip code last time round - fix it. Thanks to Michael Schwendt
	  in https://bugzilla.redhat.com/show_bug.cgi?id=1034341#c11 for pointing this
	  out to me.
	  Signed-off-by: Simon Farnsworth <simon.farnsworth@onelan.co.uk>
	  https://bugzilla.gnome.org/show_bug.cgi?id=720317

2013-12-03 17:49:11 -0500  Olivier Crête <olivier.crete@collabora.com>

	* gi/overrides/Gst.py:
	  Gst: Add python version of GST_TIME_ARGS

2013-12-03 17:36:07 -0500  Olivier Crête <olivier.crete@collabora.com>

	* .gitignore:
	  Add *.so to gitignore

2013-11-25 17:01:48 +0000  Simon Farnsworth <simon.farnsworth@onelan.co.uk>

	* COPYING:
	* examples/audioconcat.py:
	* examples/bps.py:
	* examples/cp.py:
	* examples/cutter.py:
	* examples/debugslider.py:
	* examples/decodebin.py:
	* examples/f2f.py:
	* examples/filesrc.py:
	* examples/fvumeter.py:
	* examples/gst-discover:
	* examples/pipeline-tester:
	* examples/tagsetter.py:
	* examples/vumeter.py:
	* gi/__init__.py:
	* gi/overrides/Gst.py:
	* gi/overrides/GstPbutils.py:
	* gi/overrides/gstmodule.c:
	* pygst.py.in:
	* testsuite/common.py:
	* testsuite/runtests.py:
	* testsuite/test_adapter.py:
	* testsuite/test_audio.py:
	* testsuite/test_bin.py:
	* testsuite/test_buffer.py:
	* testsuite/test_bus.py:
	* testsuite/test_caps.py:
	* testsuite/test_element.py:
	* testsuite/test_event.py:
	* testsuite/test_fraction.py:
	* testsuite/test_ghostpad.py:
	* testsuite/test_gst.py:
	* testsuite/test_interface.py:
	* testsuite/test_iterator.py:
	* testsuite/test_libtag.py:
	* testsuite/test_message.py:
	* testsuite/test_pad.py:
	* testsuite/test_pbutils.py:
	* testsuite/test_pipeline.py:
	* testsuite/test_registry.py:
	* testsuite/test_segment.py:
	* testsuite/test_struct.py:
	* testsuite/test_taglist.py:
	* testsuite/test_typefind.py:
	* testsuite/test_xml.py:
	  Update FSF address
	  The FSF has moved since these files were created. Update the address, in
	  order to keep packaging tools such as rpmlint quiet.
	  Signed-off-by: Simon Farnsworth <simon.farnsworth@onelan.co.uk>
	  https://bugzilla.gnome.org/show_bug.cgi?id=715182

2013-09-30 13:27:33 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* gi/overrides/__init__.py:
	  Fix another syntax error with newer Python versions

2013-09-30 13:07:03 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  configure: Fix typo

2013-09-30 12:45:59 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* gi/overrides/gstmodule.c:
	  Fix compilation with Python 3.0
	  Changes partially taken from pygobject.

2013-09-30 12:30:43 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* acinclude.m4:
	  configure: Fix Python configure checks to work with all Python versions between 2.7 and 3.3

2013-09-28 21:07:47 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* configure.ac:
	  Back to development

=== release 1.1.90 ===

2013-09-28 20:48:40 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* ChangeLog:
	* configure.ac:
	* gst-python.doap:
	  Release 1.1.90

2013-08-27 01:07:48 +0200  Andoni Morales Alastruey <ylatuya@gmail.com>

	* configure.ac:
	  configure: fail if pygobject is not found
	  https://bugzilla.gnome.org/show_bug.cgi?id=706853

2013-08-26 17:35:48 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* gi/overrides/Gst.py:
	  Gst: Do not initialize Gst at init
	  Letting the user choose when to initialize it himself

2013-08-23 23:18:57 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* TODO:
	  todo: Update the todo

2013-08-23 23:08:27 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* Makefile.am:
	* configure.ac:
	  Disable examples amd testsuite as long as they have not been ported

2013-08-23 22:01:46 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* gi/overrides/Makefile.am:
	  overrides: Force symlinks when making
	  Making make distcheck pass

2013-08-23 21:42:37 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* gi/overrides/gstmodule.c:
	  gstmodule: Check that we could retrieve the module before using it
	  And plug a small leak

2013-02-07 16:12:23 -0600  George McCollister <george.mccollister@gmail.com>

	* configure.ac:
	  configure: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
	  AM_CONFIG_HEADER was removed in automake 1.13
	  https://bugzilla.gnome.org/show_bug.cgi?id=693367

2012-12-30 16:11:30 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gi/overrides/Makefile.am:
	  overrides: symlink some more to use uninstalled out-of-source build

2012-12-07 14:18:21 -0300  Thibault Saunier <thibault.saunier@collabora.com>

	* gi/overrides/Gst.py:
	  overrides: implement Gst.Structure.__setitem__

2012-11-22 07:11:45 +0100  Alessandro Decina <alessandro.d@gmail.com>

	* gi/overrides/Gst.py:
	  overrides: implement Gst.Structure.__getitem__

2012-11-04 17:02:24 +0100  Alessandro Decina <alessandro.d@gmail.com>

	* gi/overrides/Gst.py:
	  overrides: move add(*args) override from Gst.Pipeline to Gst.Bin

2012-11-04 17:00:14 +0100  Alessandro Decina <alessandro.d@gmail.com>

	* gi/overrides/Gst.py:
	  overrides: move the Gst.Pad override before Gst.GhostPad
	  ...else gi will screw up the type hierarchy and GhostPad will inherit from the
	  non-overridden Gst.Pad. Got it?

2012-10-24 20:47:07 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gi/overrides/Gst.py:
	  overrides: override GhostPad.__init__

2012-10-15 09:56:43 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gi/overrides/Gst.py:
	  overrides: make Gst.Pad.link still return Gst.PadLinkReturn when successful

2012-10-15 09:49:00 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gi/overrides/GstPbutils.py:
	* gi/overrides/Makefile.am:
	  overrides: add encoding profile(s) overrides in GstPbutils

2012-10-15 09:18:00 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gi/overrides/Gst.py:
	  overrides: make filter arg in Gst.Pad.query_caps(filter) default to None

2012-10-15 09:15:21 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gi/overrides/Gst.py:
	  overrides: set default value for name arg in ElementFactory.make(factory, name)
	  So you can use Gst.ElementFactory.make('fakesrc') instead of
	  Gst.ElementFactory.make('fakesrc', None)

2012-10-15 09:13:44 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gi/overrides/Gst.py:
	  overrides: make Gst.Pad.link raise Gst.LinkError

2012-10-15 09:12:33 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gi/overrides/Gst.py:
	  overrides: implement Gst.Pipeline.add(e1, e2, ...)

2012-10-15 09:10:25 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gi/overrides/Gst.py:
	  overrides: implement the python iterator protocol for Gst.Iterator
	  So that you can use: for value in gst_iterator: ...

2012-10-15 09:00:03 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gi/overrides/Gst.py:
	  overrides: implement caps[i] and len(caps)

2012-10-15 08:58:59 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gi/overrides/Makefile.am:
	  overrides: don't install our gi/overrides/__init__.py
	  We don't want to override the gi/overrides/__init__.py from pygobject

2012-09-27 14:41:29 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gi/overrides/Gst.py:
	* gi/overrides/gstmodule.c:
	  overrides: provide for gst-python style debug logging
	  Also provide a default debug category for the binding glue code.

2012-09-27 14:19:52 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gi/overrides/Makefile.am:
	  overrides: symlink some more to use uninstalled

2012-08-29 10:05:37 -0700  René Stadler <rene.stadler@collabora.co.uk>

	* gi/overrides/gstmodule.c:
	  overrides: Fix crash in add_template
	  templ vs. templates. Moved variable declarations to the inner scope to prevent
	  such a mistake.

2012-08-19 22:40:06 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* gi/overrides/Gst.py:
	* gi/overrides/Makefile.am:
	  Make it possible to use uninstalled symlinking the .so file

2012-08-19 02:25:13 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* gi/overrides/gstmodule.c:
	  overrides: Make it possible to add metadatas and PadTemplates to GstElementClass

2012-08-08 14:00:05 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* autogen.sh:
	* configure.ac:
	* gi/overrides/Gst.py:
	* gi/overrides/Makefile.am:
	* gi/overrides/gstmodule.c:
	  Implement the glue code so GstFraction works

2012-08-08 13:59:09 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* Makefile.am:
	* configure.ac:
	* gi/Makefile.am:
	* gi/__init__.py:
	* gi/overrides/Gst.py:
	* gi/overrides/Makefile.am:
	* gi/overrides/__init__.py:
	  Add overrides for GObject Introspection

2012-07-30 16:24:10 -0400  Thibault Saunier <thibault.saunier@collabora.com>

	* Makefile.am:
	* codegen/.gitignore:
	* codegen/Makefile.am:
	* codegen/__init__.py:
	* codegen/argtypes.py:
	* codegen/code-coverage.py:
	* codegen/codegen.py:
	* codegen/definitions.py:
	* codegen/defsparser.py:
	* codegen/docextract.py:
	* codegen/docgen.py:
	* codegen/h2def.py:
	* codegen/mergedefs.py:
	* codegen/mkskel.py:
	* codegen/override.py:
	* codegen/reversewrapper.py:
	* codegen/scmexpr.py:
	* configure.ac:
	* gst/.gitignore:
	* gst/Makefile.am:
	* gst/__init__.py.in:
	* gst/arg-types.py:
	* gst/audio.defs:
	* gst/audio.override:
	* gst/audiomodule.c:
	* gst/base.defs:
	* gst/common.h:
	* gst/extend/.gitignore:
	* gst/extend/Makefile.am:
	* gst/extend/__init__.py:
	* gst/extend/discoverer.py:
	* gst/extend/jukebox.py:
	* gst/extend/leveller.py:
	* gst/extend/pygobject.py:
	* gst/extend/sources.py:
	* gst/extend/utils.py:
	* gst/gst-0.10.21.ignore:
	* gst/gst-0.10.22.ignore:
	* gst/gst-0.10.23.ignore:
	* gst/gst-0.10.24.ignore:
	* gst/gst-0.10.25.ignore:
	* gst/gst-0.10.26.ignore:
	* gst/gst-0.10.29.ignore:
	* gst/gst-0.10.30.ignore:
	* gst/gst-0.10.31.ignore:
	* gst/gst-0.10.32.ignore:
	* gst/gst-0.10.36.ignore:
	* gst/gst-argtypes.c:
	* gst/gst-disable-loadsave.ignore:
	* gst/gst-extrafuncs.defs:
	* gst/gst-pb-0.10.23.ignore:
	* gst/gst-pb-0.10.25.ignore:
	* gst/gst-pb-0.10.26.ignore:
	* gst/gst-pb-0.10.29.ignore:
	* gst/gst-pb-0.10.30.ignore:
	* gst/gst-pb-0.10.31.ignore:
	* gst/gst-pb-0.10.32.ignore:
	* gst/gst-pb-0.10.36.ignore:
	* gst/gst-types.defs:
	* gst/gst.defs:
	* gst/gst.override:
	* gst/gstbase.override:
	* gst/gstbin.override:
	* gst/gstbuffer.override:
	* gst/gstbus.override:
	* gst/gstcaps.override:
	* gst/gstelement.override:
	* gst/gstelementfactory.override:
	* gst/gstevent.override:
	* gst/gstlibs.override:
	* gst/gstmessage.override:
	* gst/gstmodule.c:
	* gst/gstobject.override:
	* gst/gstpad.override:
	* gst/gstquery.override:
	* gst/gstreamer.py:
	* gst/gststructure.override:
	* gst/gsttaglist.override:
	* gst/gstversion.override.in:
	* gst/interfaces.defs:
	* gst/interfaces.override:
	* gst/interfacesmodule.c:
	* gst/libs.defs:
	* gst/pbutils.defs:
	* gst/pbutils.override:
	* gst/pbutilsmodule.c:
	* gst/pygst-private.h:
	* gst/pygst.h:
	* gst/pygstexception.c:
	* gst/pygstexception.h:
	* gst/pygstiterator.c:
	* gst/pygstminiobject-private.h:
	* gst/pygstminiobject.c:
	* gst/pygstminiobject.h:
	* gst/pygstvalue.c:
	* gst/pygstvalue.h:
	* gst/tag.defs:
	* gst/tag.override:
	* gst/tagmodule.c:
	* gst/video.defs:
	* gst/video.override:
	* gst/videomodule.c:
	* gst/xoverlay.defs:
	* gst/xoverlay.override:
	* gstlibtoolimporter.py:
	* gstltihooks.py:
	* gstoptionmodule.c:
	* pkgconfig/.gitignore:
	* pkgconfig/Makefile.am:
	* pkgconfig/gst-python-uninstalled.pc.in:
	* pkgconfig/gst-python.pc.in:
	* plugin/Makefile.am:
	* plugin/gstpythonplugin.c:
	* testsuite/Makefile.am:
	  Keep only the testsuite as we are now using GObject Introspection for bindings

2012-04-08 00:01:12 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  Revert nonsense that happened to git master, but make configure error out with an error message pointing people to the 0.10 branch.

2012-03-07 16:50:11 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstpad.override:
	  pad: fix unit test again after previous commit
	  https://bugzilla.gnome.org/show_bug.cgi?id=660357

2011-09-28 15:16:07 +0200  Andoni Morales Alastruey <amorales@flumotion.com>

	* gst/gstpad.override:
	  pad: fix Py_DECREF of null pointer in pad probe and pad block marshallers
	  https://bugzilla.gnome.org/show_bug.cgi?id=660357

2012-01-26 13:20:53 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/pbutils.override:
	  pbutils: fix copy-and-mutate-paste for gst_encoding_list_all_targets

2011-12-29 16:02:29 +0100  Alessandro Decina <alessandro.d@gmail.com>

	* gst/pbutils.defs:
	  pbutils: fix EncodingContainerProfile.add_profile refcount

2011-12-19 13:09:42 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/videomodule.c:
	  videomodule: fix compiler warning
	  videomodule.c:43:21: error: variable 'gst' set but not used

2011-12-18 20:45:52 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst-python.spec.in:
	  rpm: add new header files to .spec file, add -devel package for that
	  Not actually tested though.

2011-12-09 17:24:40 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/pbutilsmodule.c:
	  pbutilsmodule: avoid unused-but-set-variable compiler warning
	  https://bugzilla.gnome.org/show_bug.cgi?id=665868

2011-12-09 17:22:31 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* gst/gst-0.10.36.ignore:
	* gst/gstversion.override.in:
	  Add gst-0.10.36.ignore file
	  So things still compile with older versions of GStreamer.

2011-12-09 14:05:12 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/gst.defs:
	  preset: expose new gst.preset_{set,get}_app_dir() on python

2011-08-07 19:05:14 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* configure.ac:
	* gst/Makefile.am:
	* gst/gst-pb-0.10.36.ignore:
	* gst/gstversion.override.in:
	* gst/video.defs:
	* gst/video.override:
	  video: wrap force key unit API

2011-10-31 10:51:46 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: back to development
	  Apparently.

2011-10-31 10:49:41 +0100  Stefan Sauer <ensonic@users.sf.net>

	* examples/Makefile.am:
	* examples/helloworld.py:
	  examples: add helloworld example
	  Add a straight 1:1 copy from cores' helloworld.c to show how the c api maps into
	  the pythong bindings. It would rock to have the same in other bindings.

2011-10-31 10:48:29 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/gst.defs:
	  uri: add filename_to_uri to bindings

=== release 0.10.22 ===

2011-10-29 17:49:01 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 0.10.22

2011-10-29 16:01:24 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: use AG_GST_SET_PACKAGE_RELEASE_DATETIME_WITH_NANO
	  For python plugin, but also to ensure there's an entry in the
	  doap file for releases.

2011-10-20 13:24:59 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  0.10.21.2 pre-release

2011-08-26 15:22:16 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* pkgconfig/gst-python-uninstalled.pc.in:
	* pkgconfig/gst-python.pc.in:
	  pkgconfig: Add Cflags with the include path for the headers
	  https://bugzilla.gnome.org/show_bug.cgi?id=657435

2011-10-11 23:33:21 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/Makefile.am:
	* gst/audio.override:
	* gst/common.h:
	* gst/interfaces.override:
	* gst/pbutils.override:
	* gst/pygst-private.h:
	* gst/pygst.h:
	* gst/pygstminiobject.c:
	* gst/pygstminiobject.h:
	* gst/pygstvalue.h:
	* gst/tag.override:
	* gst/video.override:
	  Don't install common.h and remove from public headers
	  Doesn't seem to be needed anyway. Also remove duplicate
	  pygobject.h include in common.h while at it.
	  https://bugzilla.gnome.org/show_bug.cgi?id=657435

2011-10-11 22:59:05 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/Makefile.am:
	  Install headers into $includedir/gstreamer-0.10/gst not .../pygst/
	  This matches the directory layout in the source tree and makes it
	  possible to find the headers (e.g. from g-e-s) in an uninstalled
	  setup.
	  https://bugzilla.gnome.org/show_bug.cgi?id=657435

2011-10-11 22:57:30 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/Makefile.am:
	  Keep pygst-private.h in noinst_HEADERS
	  Makes sure it gets disted.

2011-01-13 14:59:16 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* examples/remuxer.py:
	  remuxer.py: allow more than one stream of the same type
	  Queue names would collide otherwise, so just pass None for now. Also
	  guarantees that we don't get silly names like "queue_audio/x-foobar".
	  https://bugzilla.gnome.org/show_bug.cgi?id=639427

2011-01-13 14:15:34 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* examples/remuxer.py:
	  remuxer.py: do not crash when clicking open without having selected a file
	  https://bugzilla.gnome.org/show_bug.cgi?id=639421

2011-01-13 14:19:05 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* examples/remuxer.py:
	  remuxer.py: list files named *.og[gvax], not only *.ogg
	  These are all recommended extensions for Ogg streams.
	  https://bugzilla.gnome.org/show_bug.cgi?id=639423

2011-09-06 21:53:08 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From a39eb83 to 11f0cd5

2011-09-06 19:13:44 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstcaps.override:
	  caps.override: fix compiler warning
	  Re-use the already-extracted caps and structure pointers, instead
	  of getting them again, thus fixing:
	  gstcaps.override: In function 'pygst_caps_sq_item':
	  gstcaps.override:361:16: error: variable 'structure' set but not used

2011-09-06 19:07:35 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstpad.override:
	  pad.override: fix pad probe return value handling
	  Don't forget to return the return value, makes buffer and event probes
	  work much better.

2011-09-06 16:06:39 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 605cd9a to a39eb83

2011-08-10 17:10:01 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* configure.ac:
	* gst/Makefile.am:
	* pkgconfig/gst-python.pc.in:
	  Install pygst.h so it can be reused by other bindings
	  Also add a PYGST_CFLAGS
	  https://bugzilla.gnome.org/show_bug.cgi?id=656289

2011-08-10 17:13:17 +0200  Thibault Saunier <thibault.saunier@collabora.com>

	* gst/pygst.h:
	* gst/pygstminiobject.c:
	* gst/pygstminiobject.h:
	  gst: Move PyGstMiniObject to public API.
	  Allows it to be reused from 3rd party modules.
	  https://bugzilla.gnome.org/show_bug.cgi?id=656289

2011-06-23 11:29:46 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From 69b981f to 605cd9a

2011-05-25 09:38:22 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/gstpad.override:
	  gst: Don't use private GstPad API to add data/buffer/event probes
	  This does not work anymore with latest core because of the
	  pad cache that enables use of a fast path during data passing
	  in many situations.
	  Fixes bug #650987.

2011-05-24 19:20:44 +0200  Andoni Morales Alastruey <amorales@flumotion.com>

	* gst/gstpad.override:
	  gst: Fix override of pad probes
	  Fixes bug #650986.

2011-05-19 22:59:28 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 9e5bbd5 to 69b981f

2011-05-18 16:13:11 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From fd35073 to 9e5bbd5

2011-05-18 12:26:36 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 46dfcea to fd35073

2011-05-03 09:37:36 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/pbutils.defs:
	  pbutils: Encoding profiles accept null caps restrictions
	  Add 'null-ok' for encoding video/audio profiles constructor
	  so they accept None as caps restriction parameter

2011-05-02 16:59:30 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/gstmodule.c:
	  gstmodule: Check for Py_None when setting a miniobject
	  Check if we got a None value before trying to use it as a
	  PyGstMiniObject.
	  https://bugzilla.gnome.org/show_bug.cgi?id=649227

2011-04-24 14:05:55 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From c3cafe1 to 46dfcea

2011-04-04 15:58:52 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 1ccbe09 to c3cafe1

2011-03-25 22:35:52 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 193b717 to 1ccbe09

2011-03-25 14:57:27 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From b77e2bf to 193b717

2011-03-25 09:34:04 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From d8814b6 to b77e2bf

2011-03-25 09:10:14 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 6aaa286 to d8814b6

2011-03-24 18:50:52 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 6aec6b9 to 6aaa286

2011-03-22 13:04:02 +0100  Luis de Bethencourt <luis@debethencourt.com>

	* configure.ac:
	  configure.ac: redundant uses of AC_MSG_RESULT()
	  cleaned the redundant uses of AC_MSG_RESULT() in configure.ac

2011-03-18 19:34:57 +0100  Luis de Bethencourt <luis@debethencourt.com>

	* autogen.sh:
	  autogen: wingo signed comment

2011-02-28 18:34:03 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 1de7f6a to 6aec6b9

2011-02-14 12:54:46 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From f94d739 to 1de7f6a

2011-02-09 09:40:17 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gst-0.10.31.ignore:
	  gst-0.10.31.ignore: fix build against core 0.10.30

2011-01-24 17:55:55 +0530  Arun Raghavan <arun.raghavan@collabora.co.uk>

	* codegen/codegen.py:
	  codegen: Respect ignore-type for miniobjects
	  https://bugzilla.gnome.org/show_bug.cgi?id=640410

2011-01-24 17:56:16 +0530  Arun Raghavan <arun.raghavan@collabora.co.uk>

	* codegen/override.py:
	  codegen: Handle empty lines in overrides gracefully
	  Without this, having an empty line in an override will cause codegen to
	  unceremoniously choke to death.
	  https://bugzilla.gnome.org/show_bug.cgi?id=640341

2011-02-06 12:08:14 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/pbutils.defs:
	  pbutils: Specify which string variables can be NULL
	  Without this you can't pass None to the various methods/constructors

2011-01-28 16:59:11 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/gstmodule.c:
	  gstmodule: remove unused label to fix compiler warning
	  gstmodule.c: In function 'pygst_fraction_to_value':
	  gstmodule.c:129:1: error: label 'out' defined but not used
	  https://bugzilla.gnome.org/show_bug.cgi?id=640837

2011-01-21 18:13:57 +0100  Andoni Morales Alastruey <amorales@flumotion.com>

	* testsuite/runtests.py:
	  tests: fix checks when the locale is not the default one
	  Some tests (test_pbutils.py) checks against strings for the
	  english locale, so we should force it before running any test
	  https://bugzilla.gnome.org/show_bug.cgi?id=640207

2011-01-25 11:17:12 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* configure.ac:
	  configure.ac: And back to development we go

=== release 0.10.21 ===

2011-01-20 21:16:38 +0100  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 0.10.21

2011-01-06 17:40:28 +0000  christian schaller <christian.schaller@collabora.co.uk>

	* gst-python.spec.in:
	  Update spec file with latest changes

2011-01-16 14:58:37 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/gstmodule.c:
	  gstmodule: Add tags introduced in 0.10.31
	  Fixes #639632

2011-01-16 14:55:26 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/gstmodule.c:
	  gstmodule: Use a macro to register tags
	  Avoids human error when registering them (like USER_RATING previously
	  being TRACK_PEAK).

2011-01-12 18:12:29 +0530  Arun Raghavan <ford_prefect@gentoo.org>

	* codegen/codegen.py:
	  codegen: Ignore functions whose return type is ignored
	  This makes sure that if X is an ignored type, then functions that return
	  an object of type X (or a pointer type based on X) are also ignored.
	  Fixes #639293

2011-01-12 18:11:23 +0530  Arun Raghavan <ford_prefect@gentoo.org>

	* codegen/override.py:
	  codegen: Handle pointer types in is_type_ignored()
	  This ensures that if type X is ignored, then pointers to X (and pointers
	  to pointers to X, etc.) are also ignored.
	  Caveat: this also means that ignore-type should only be used with base
	  types and not pointer types.
	  Fixes #639293

2011-01-12 15:01:39 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* testsuite/Makefile.am:
	  testsuite: Add a make command to run tests forever
	  And will stop once they fail. Useful to debug racy tests.

2011-01-11 20:31:59 +0100  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  0.10.20.3 pre-release

2011-01-11 15:51:55 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From e572c87 to f94d739

2011-01-10 16:38:09 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From ccbaa85 to e572c87

2011-01-10 14:55:31 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 46445ad to ccbaa85

2011-01-07 21:52:03 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/pbutils.defs:
	  pbutils: Fix discoverer miniobject methods
	  They were declared as functions and not methods :(

2011-01-07 17:20:44 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* configure.ac:
	  0.10.20.2 pre-release

2011-01-07 17:17:05 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/pbutils.override:
	  pbutils: Add overrides for new API

2011-01-05 22:18:46 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/pbutils.defs:
	  encoding: encoding_profile_get_output_caps => _get_input_caps

2011-01-05 21:28:12 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/gst-0.10.32.ignore:
	* gst/gst.defs:
	  gst: update for latest API addition

2011-01-05 21:25:37 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/gst-pb-0.10.32.ignore:
	* gst/pbutils.defs:
	  pbutils: Update .defs for latest addition

2011-01-05 15:04:05 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* configure.ac:
	* gst/Makefile.am:
	* gst/gst-0.10.32.ignore:
	* gst/gst-pb-0.10.32.ignore:
	* gst/gst-types.defs:
	* gst/gst.defs:
	* gst/gstversion.override.in:
	* gst/pbutils.defs:
	* gst/video.defs:
	  gst: Update to 0.10.32 core/base API

2011-01-05 15:04:25 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/arg-types.py:
	  arg-types: Properly handle const-GstCaps* return values

2010-12-20 17:48:03 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 169462a to 46445ad

2010-12-15 14:57:05 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 20742ae to 169462a

2010-12-13 16:24:39 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 011bcc8 to 20742ae

2010-12-05 14:08:05 +0100  Edward Hervey <bilboed@bilboed.com>

	* testsuite/test_pad.py:
	  test_pad: Fix pad refcount checking due to fix in core
	  The event source wasn't previously set correctly. Now that it is,
	  check the refcount on the proper pad.

2010-12-03 14:49:13 +0100  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: back to development
	  And the crowd goes mad \o/

=== release 0.10.20 ===

2010-12-01 23:43:57 +0100  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  Release 0.10.20

2010-11-22 13:27:15 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* .gitignore:
	* configure.ac:
	  0.10.19.5 pre-release

2010-11-22 14:18:05 +0100  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gst/Makefile.am:
	* testsuite/common.py:
	  Fix distcheck some more.
	  In testsuite/common.py look for gst/__init__.py in builddir now.
	  Clean gst/__init__.pyc after make check.

2010-11-22 13:41:17 +0100  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* configure.ac:
	* gst/Makefile.am:
	* gst/__init__.py.in:
	  Fix distcheck.
	  Before this change gst/__init__.py wasn't being copied to
	  $(top_builddir)/gst/, making make check fail to import gst.

2010-11-17 09:36:44 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/gst.defs:
	  gst: updating datetime functions
	  Updating datetime _from_unix functions for the new 2 variants (utc/local)
	  https://bugzilla.gnome.org/show_bug.cgi?id=635031

2010-11-09 10:58:04 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/pbutilsmodule.c:
	  pbutils: Check that pygst_init() succeeded

2010-11-09 11:00:16 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/audiomodule.c:
	* gst/gst-argtypes.c:
	* gst/interfacesmodule.c:
	* gst/pbutilsmodule.c:
	* gst/pygstexception.c:
	* gst/pygstiterator.c:
	* gst/pygstminiobject.c:
	* gst/tagmodule.c:
	* gst/videomodule.c:
	  gst: run gst-indent all C files
	  We hadn't done it since the switch to git... whoops

2010-11-09 10:57:31 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/pygst.h:
	  pygst: Get the _PyGst_API symbol from the proper module
	  https://bugzilla.gnome.org/show_bug.cgi?id=634365

2010-11-08 19:01:50 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/pbutils.defs:
	* gst/pbutils.override:
	  pbutils: Update for latest API change in gstdiscoverer

2010-11-01 19:37:03 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure.ac: 0.10.19.4 pre-release
	  Skip .3 to align number with the other pre-releases.

2010-10-30 16:18:59 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/pbutils.defs:
	  pbutils: update for discoverer API changes in last gst-plugins-base pre-release
	  https://bugzilla.gnome.org/show_bug.cgi?id=633311

2010-10-27 16:58:12 +0200  David Hoyt <dhoyt@llnl.gov>

	* plugin/gstpythonplugin.c:
	  plugin: Fix build on MSVC
	  Fixes #633141

2010-10-27 13:17:57 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 7bbd708 to 011bcc8

2010-10-26 17:53:42 +0100  Jan Schmidt <thaytan@noraisin.net>

	* examples/filesrc.py:
	  filesrc.py: Call gobject.threads_init() in the example
	  Fixes: #633033

2010-10-22 18:17:34 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: 0.10.19.2 pre-release

2010-10-22 13:28:03 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/pbutils.defs:
	* gst/pbutils.override:
	  pbutils: Overrides for GstDiscoverer API

2010-10-22 13:27:33 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstmodule.c:
	  gst: Register new GST_ELEMENT_FACTORY_LIST_TYPE constants

2010-10-22 13:27:02 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstmessage.override:
	  gst: Add override for new qos messages

2010-10-22 13:26:44 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstevent.override:
	  gst: Add override for gst_event_parse_sink_message

2010-10-22 13:26:21 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstelementfactory.override:
	  gst: Add overrides for new GstElementFactoryList functions

2010-10-22 13:25:45 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/arg-types.py:
	  arg-types: GstElementFactoryListType is a guint64

2010-10-22 13:25:22 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gst-types.defs:
	  gst: Add GstDateTime as a boxed

2010-10-18 11:59:03 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/audio.override:
	* gst/audiomodule.c:
	* gst/interfaces.override:
	* gst/interfacesmodule.c:
	* gst/pbutils.override:
	* gst/pbutilsmodule.c:
	* gst/tag.override:
	* gst/tagmodule.c:
	* gst/video.override:
	* gst/videomodule.c:
	  gst: Make all libraries use shared PyGst_API
	  Fixes #590348

2010-10-18 11:50:19 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/Makefile.am:
	* gst/common.h:
	* gst/gst.override:
	* gst/gstmodule.c:
	* gst/pygst-private.h:
	* gst/pygst.h:
	* gst/pygstiterator.c:
	* gst/pygstminiobject.h:
	* gst/pygstvalue.c:
	  gst: Export some pygst API to be used by external modules
	  Partially fixes #590348

2010-10-18 10:14:19 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gst/Makefile.am:
	* gst/gst-0.10.20.ignore:
	* gst/gst.override:
	* gst/gstmodule.c:
	* gst/gstversion.override.in:
	* gst/pbutilsmodule.c:
	  gst: Bump required core/base to 0.10.20
	  And clean up code accordingly

2010-10-18 09:36:13 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gst/Makefile.am:
	* gst/audio.defs:
	* gst/base.defs:
	* gst/gst-0.10.31.ignore:
	* gst/gst-pb-0.10.31.ignore:
	* gst/gst.defs:
	* gst/gstversion.override.in:
	* gst/pbutils.defs:
	* gst/video.defs:
	  gst: Update to latest 0.10.31 core/base API

2010-10-14 12:32:36 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From 5a668bf to 7bbd708

2010-10-08 12:45:07 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From c4a8adc to 5a668bf

2010-10-08 12:56:45 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 5e3c9bf to c4a8adc

2010-09-21 18:34:55 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From aa0d1d0 to 5e3c9bf

2010-09-07 14:28:14 +0300  Артём Попов <artfwo@gmail.com>

	* examples/segments.py:
	  examples: add an example to show looping using segments
	  Fixes #339772.

2010-09-07 11:43:30 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From c2e10bf to aa0d1d0

2010-09-05 18:59:06 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From d3d9acf to c2e10bf

2010-09-05 12:21:07 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From ec60217 to d3d9acf

2010-08-30 17:12:12 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* acinclude.m4:
	  acinclude.m4: also look in ${py_prefix}/lib for libpythonX.Y.so.
	  Fixes loading the python plugin loader in gentoo.

2010-08-30 11:57:07 +0200  Leo Singer <lsinger@calltech.edu>

	* plugin/gstpythonplugin.c:
	  plugin: fix spurious exceptions in pygst_require. Fixes #624592.

2010-08-30 11:52:58 +0200  Leo Singer <lsinger@caltech.edu>

	* plugin/gstpythonplugin.c:
	  plugin: refresh the plugin registry when plugins change.

2010-08-27 13:20:24 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* plugin/gstpythonplugin.c:
	  plugin: call pygtk.require("2.0") before importing pygobject. Fixes #623105.
	  Based on a patch from Leo Singer.

2010-08-27 12:43:09 +0200  Leo Singer <lsinger@caltech.edu>

	* gst/gst.defs:
	  gst: add bindings for more gst.util_uint64_scale_*

2010-08-27 01:16:43 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* plugin/gstpythonplugin.c:
	  plugin: remove an unneeded PyType_Check call. Makes it work on centos for real.

2010-08-26 23:34:04 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* plugin/gstpythonplugin.c:
	  plugin: declare _PyGstElement_Type as void*.
	  Declaring _PyGstElement_Type as PyTypeObject makes the loader on centos fail
	  because of a missing symbol.

2010-08-26 17:14:32 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* acinclude.m4:
	* plugin/Makefile.am:
	* plugin/gstpythonplugin.c:
	  Make the plugin loader work on OSX with the standard python install.

2010-08-26 14:45:06 +0200  Alessandro Decina <alessandro.d@gmail.com>

	  Merge branch 'master' of ssh://git.freedesktop.org/git/gstreamer/gst-python

2010-08-26 12:14:33 +0200  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* plugin/Makefile.am:
	  plugin: don't link to libpython

2010-08-26 12:13:34 +0200  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* acinclude.m4:
	  acinclude.m4: use a better way to find the correct PYTHON_LIB_LOC.

2010-08-26 12:09:31 +0200  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* plugin/gstpythonplugin.c:
	  plugin: refactor the initialization code.
	  Remove references to global python objects from the initialization code. This
	  makes it possible to avoid linking to libpython.

2010-08-25 12:36:14 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* acinclude.m4:
	* plugin/Makefile.am:
	  plugin: fix the manual loading of libpythonX.Y.so.

2010-08-25 11:08:15 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* plugin/gstpythonplugin.c:
	  plugin: check for _Py_NoneStruct instead of Py_None.
	  When checking if CPython is already loaded, don't check for Py_None which is a
	  macro but use _Py_NoneStruct which is a real symbol.

2010-08-13 17:25:05 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 3e8db1d to ec60217

2010-08-10 10:59:39 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From bd2054b to 3e8db1d

2010-08-06 23:18:02 +0200  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gst/gststructure.override:
	* gst/pygstvalue.c:
	* testsuite/test_caps.py:
	  gst.Structure: raise TypeError when assigning None to a key

2010-08-05 13:57:53 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From a519571 to bd2054b

2010-08-04 19:31:40 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Check if the compiler supports ISO C89 or C99 and which parameters are required
	  This first checks what is required for ISO C99 support and sets the relevant
	  compiler parameters and if no C99 compiler is found, it checks for a
	  C89 compiler. This enables us to check for and use C89/C99 functions
	  that gcc hides from us without the correct compiler parameters.

2010-07-26 19:41:43 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* testsuite/test_fraction.py:
	  test_fraction: add a test for gobject property marshalling.

2010-07-26 19:29:53 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gst/gstmodule.c:
	  gst: implement getters and setters for GST_TYPE_FRACTION properties. Fixes #624882.

2010-07-16 12:44:46 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  Back to development.

=== release 0.10.19 ===

2010-07-15 21:01:35 +0200  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 0.10.19 "Insert Casablanca quote here"

2010-07-14 12:33:58 +0200  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gst/gst.defs:
	* testsuite/test_ghostpad.py:
	  gst.GhostPad: allow set_target(None) to unset the target. Fixes #590735.

2010-07-07 12:08:29 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: 0.10.18.4 pre-release

2010-07-07 12:11:46 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstmodule.c:
	  gst: Add GST_TAG_IMAGE_ORIENTATION

2010-07-07 12:07:55 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/base.defs:
	* gst/gst-0.10.30.ignore:
	  base: Add new GstBaseSink methods

2010-06-30 10:26:25 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: 0.10.18.3 pre-release

2010-06-30 10:25:50 +0200  Edward Hervey <bilboed@bilboed.com>

	* autogen.sh:
	* configure.ac:
	  Bump automake requirements to 1.10 and autoconf to 2.60

2010-06-27 10:46:14 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  0.10.18.2 pre-release

2010-06-27 10:35:55 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gst/Makefile.am:
	* gst/gst-pb-0.10.29.ignore:
	* gst/gst-pb-0.10.30.ignore:
	* gst/gstversion.override.in:
	* gst/tag.defs:
	* gst/video.defs:
	* gst/xoverlay.defs:
	  Add gst-plugins-base 0.10.29/0.10.30 API additions

2010-06-27 10:14:58 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/base.defs:
	* gst/gst-0.10.30.ignore:
	  Add new core library API from 0.10.30

2010-06-27 10:07:28 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gst/Makefile.am:
	* gst/gst-0.10.29.ignore:
	* gst/gst-0.10.30.ignore:
	* gst/gst-types.defs:
	* gst/gst.defs:
	* gst/gstversion.override.in:
	  Add new core 0.10.29 and 0.10.30 API definitions

2010-06-24 15:10:08 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 35617c2 to a519571

2010-06-15 16:50:48 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From 9339ccc to 35617c2

2010-06-15 16:55:09 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 5adb1ca to 9339ccc

2010-06-15 16:36:19 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 57c89b7 to 5adb1ca

2010-06-15 15:50:39 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From c804988 to 57c89b7

2010-06-14 13:28:28 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Use GLIB_EXTRA_CFLAGS

2010-06-14 13:05:52 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 7a0fdf5 to c804988

2010-06-14 11:35:37 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 6da3bab to 7a0fdf5

2010-06-12 08:29:58 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 733fca9 to 6da3bab

2010-06-09 12:40:32 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From fad145b to 733fca9

2010-06-09 12:34:26 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From 47683c1 to fad145b

2010-06-09 17:07:40 +0200  Edward Hervey <bilboed@bilboed.com>

	* pkgconfig/gst-python-uninstalled.pc.in:
	* pkgconfig/gst-python.pc.in:
	  pkgconfig: Remove the includedir variables
	  First of all because we don't install anything (doh!), and secondly
	  because it confuses the hell out of 3rd party python modules
	  using the values from those .pc files.

2010-06-03 13:09:28 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* autogen.sh:
	  autogen.sh: remove undefined configure options

2010-06-01 23:49:45 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From 17f89e5 to 47683c1

2010-06-01 22:55:32 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From fd7ca04 to 17f89e5

2010-05-28 10:32:28 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* .gitignore:
	* Makefile.am:
	* autogen.sh:
	* configure.ac:
	  build: put build files into m4/ instead of common/m4/
	  We don't want the common submodule directory contaminated with
	  random build cruft.

2010-04-26 00:33:04 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst-python.doap:
	  doap: update repository info from cvs->git and maintainers

2010-05-26 11:56:24 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 357b0db to fd7ca04

2010-05-14 18:26:13 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 4d67bd6 to 357b0db

2010-04-28 01:12:25 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/gstmodule.c:
	  gstmodule: Add missing tags
	  Map GST_TAG_* that were missing in gst-python bindings

2009-07-24 17:36:18 +0200  Olivier Aubert <olivier.aubert@liris.cnrs.fr>

	* gst/gstbuffer.override:
	  Implement setter for gst.Buffer.size
	  https://bugzilla.gnome.org/show_bug.cgi?id=589582

2010-04-28 00:27:43 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/tag.defs:
	* testsuite/test_libtag.py:
	  tag: Adds xmp functions mappings
	  Maps gst_tag_list_from_xmp_buffer and
	  gst_tag_list_to_xmp_buffer
	  https://bugzilla.gnome.org/show_bug.cgi?id=617068

2010-04-28 00:26:50 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/arg-types.py:
	  arg-types: Map const GstMiniObject
	  Adds GstMiniObjectArg to be able to use GstMiniObject objects
	  and its const versions in functions
	  https://bugzilla.gnome.org/show_bug.cgi?id=617068

2010-04-29 16:02:20 +0200  Edward Hervey <bilboed@bilboed.com>

	* testsuite/test_interface.py:
	  test_interface: Don't assert the missing mixer, gracefully ignore it
	  Fixes make check on systems that don't have a GstMixer element available

2010-04-23 14:42:16 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From fc85867 to 4d67bd6

2010-04-09 11:23:51 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From c1d07dd to fc85867

2010-03-24 18:56:05 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From 55cd514 to c1d07dd

2010-03-15 10:26:25 +0100  Emilio Pozuelo Monfort <pochu27@gmail.com>

	* gst/__init__.py:
	  Fix import on GNU/Hurd

2010-03-12 14:00:28 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From e272f71 to 55cd514

2010-03-11 11:21:39 +0100  Benjamin Otte <otte@redhat.com>

	* common:
	  Automatic update of common submodule
	  From df8a7c8 to e272f71

2010-03-10 21:52:56 +0100  Benjamin Otte <otte@redhat.com>

	* common:
	  Automatic update of common submodule
	  From 9720a7d to df8a7c8

2010-03-10 20:44:42 +0100  Benjamin Otte <otte@redhat.com>

	* common:
	  Automatic update of common submodule
	  From 0b6e072 to 9720a7d

2010-03-10 16:10:41 +0100  Benjamin Otte <otte@redhat.com>

	* common:
	  Automatic update of common submodule
	  From 7cc5eb4 to 0b6e072

2010-03-10 01:11:23 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 7aa65b5 to 7cc5eb4

2010-03-09 21:41:38 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 44ecce7 to 7aa65b5

2010-02-26 16:37:50 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/Makefile.am:
	* pkgconfig/Makefile.am:
	* testsuite/Makefile.am:
	  build: Make some more rules silent if requested

2010-02-26 15:46:58 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Use automake 1.11 silent rules instead of shave if available
	  This makes sure that we use something that is still maintained and
	  also brings back libtool 1.5 support.

2010-02-14 23:19:13 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 96dc793 to 44ecce7

2010-02-12 11:38:54 +0100  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: And back to development we go

=== release 0.10.18 ===

2010-02-11 16:33:04 +0100  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  Release 0.10.18 "A pigeon carrying a 500ton block"

2010-01-30 15:20:24 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 15d47a6 to 96dc793

2010-01-25 20:27:39 +0100  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: 0.10.17.2 pre-release

2010-01-23 12:39:46 +0100  Luca Bruno <lucab@debian.org>

	* gst/__init__.py:
	  Fix importing of gst module on GNU/kFreeBSD

2010-01-20 00:55:39 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 14cec89 to 15d47a6

2010-01-15 17:49:03 +0100  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gst/Makefile.am:
	* gst/gst-0.10.13.ignore:
	* gst/gst-0.10.14.ignore:
	* gst/gst-0.10.15.ignore:
	* gst/gst-0.10.16.ignore:
	* gst/gst-0.10.18.ignore:
	* gst/gst-pb-0.10.14.ignore:
	* gst/gst-pb-0.10.16.ignore:
	* gst/gst-pb-0.10.18.ignore:
	* gst/gstversion.override.in:
	* gst/interfaces.override:
	* gst/pbutils.override:
	  bump minimum requirement to 0.10.18 and remove cruft

2010-01-15 17:44:41 +0100  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gst/Makefile.am:
	* gst/gst-0.10.26.ignore:
	* gst/gst-pb-0.10.26.ignore:
	* gst/gstversion.override.in:
	  ignore new API additions for 0.10.26 core/base releases

2010-01-15 17:26:20 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/base.defs:
	* gst/gst-types.defs:
	* gst/gst.defs:
	* gst/tag.defs:
	* gst/video.defs:
	  gst: Update .defs to new API

2010-01-18 09:06:28 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/extend/discoverer.py:
	  python: Do not pop tags in discoverer.py
	  Do not use pop on dicts because it destroys the tags info.
	  Fixes #592459

2009-12-21 19:13:28 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 47cb23a to 14cec89

2009-12-01 15:08:40 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 87bf428 to 47cb23a

2009-12-01 14:18:28 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From da4c75c to 87bf428

2009-11-27 18:56:43 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From 53a2485 to da4c75c

2009-11-19 10:31:56 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 0702fe1 to 53a2485

2009-10-16 10:17:39 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 85d1530 to 0702fe1

2009-10-15 14:15:37 +0100  Zaheer Abbas Merali <zaheerabbas@merali.org>

	* examples/Makefile.am:
	* examples/maemogst.py:
	  examples: add a simple Maemo 5 example

2009-10-14 10:42:11 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From a3e3ce4 to 85d1530

2009-10-08 11:01:32 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 19fa4f3 to a3e3ce4

2009-10-06 19:48:48 +0100  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	  back to development -> 0.10.17.1

2009-10-05 14:29:41 +0100  Jan Schmidt <thaytan@noraisin.net>

	* gst-python.doap:
	  Add 0.10.17 release to the doap file

=== release 0.10.17 ===

2009-10-05 14:06:11 +0100  Jan Schmidt <thaytan@noraisin.net>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  Release 0.10.17

2009-09-17 01:21:47 +0100  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	  0.10.16.3 pre-release

2009-09-16 16:23:27 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gst/Makefile.am:
	* gst/gst-0.10.25.ignore:
	* gst/gst-pb-0.10.25.ignore:
	* gst/gst.defs:
	* gst/gstversion.override.in:
	* gst/interfaces.defs:
	* gst/interfaces.override:
	  Update definitions and ignores for core/base 0.10.25. Fixes #587432

2009-09-12 00:26:57 +0100  Jan Schmidt <thaytan@noraisin.net>

	* ChangeLog:
	* configure.ac:
	  0.10.16.2 pre-release

2009-09-11 22:41:28 +0100  Jan Schmidt <thaytan@noraisin.net>

	* testsuite/test_message.py:
	  test: Fix the structure_changed message test
	  The core changed to use sink pads for the structure changed
	  message instead of source pads. Might as well fix the test too.

2009-09-05 10:25:19 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 94f95e3 to 19fa4f3

2009-08-21 16:41:29 +0200  Edward Hervey <bilboed@bilboed.com>

	* testsuite/Makefile.am:
	* testsuite/test_audio.py:
	  Add test_audio.py.

2009-08-21 16:22:38 +0200  Johannes Berg <johannes@sipsolutions.net>

	* gst/Makefile.am:
	  Use only one copy of pygstminiobject. Fixes #590348.
	  Instead of linking pygstminiobject.c into all the modules,
	  we can link it only into _gst and export the symbols for
	  the other modules. This fixes bug #590348 because now the
	  class key/id is common for all modules as a side-effect.
	  Also makes the modules smaller.

2009-08-20 15:46:53 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gst/base.defs:
	  Fix leak in gst_base_sink_get_lasy_buffer. Fixes #592447.

2009-08-18 14:45:41 +0100  Christian Schaller <christian.schaller@collabora.co.uk>

	* gst-python.spec.in:
	  Update spec file

2009-08-13 11:45:51 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* gst/gstpad.override:
	  Release the GIL around gst_pad_link.

2009-08-13 11:00:49 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstpad.override:
	  gstpad: Don't forget to acquire/release the GIL in pac_block_destroy_data

2009-08-08 22:49:16 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* testsuite/Makefile.am:
	  Use LC_ALL=C for the tests as some are comparing localized strings
	  Fixes bug #590803.

2009-05-10 11:17:26 +0200  Marc-Andre Lureau <marcandre.lureau@gmail.com>

	* autogen.sh:
	  Run libtoolize before aclocal
	  This unbreaks the build in some cases. Fixes bug #582021

2009-08-06 01:45:07 +0100  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	  back to development -> 0.10.16.1

2009-08-05 02:04:12 +0100  Jan Schmidt <thaytan@noraisin.net>

	* gst-python.doap:
	  Add 0.10.16 release to the doap file

=== release 0.10.16 ===

2009-08-05 01:34:03 +0100  Jan Schmidt <thaytan@noraisin.net>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  Release 0.10.16

2009-07-24 00:43:35 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From fedaaee to 94f95e3

2009-07-20 17:52:10 +0100  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	  0.10.15.3 pre-release

2009-07-17 11:34:50 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/base.defs:
	* gst/gst-0.10.24.ignore:
	  gst: More API additions to gstreamer core. Fixes #587432

2009-07-14 19:00:28 +0100  Jan Schmidt <thaytan@noraisin.net>

	* ChangeLog:
	* configure.ac:
	  0.10.15.2 pre-release

2009-07-13 12:24:35 -0400  Olivier Crête <olivier.crete@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 5845b63 to fedaaee

2009-07-01 16:01:53 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstquery.override:
	  gstquery.override: Wrap remainig gst_query_parse*() methods.

2009-07-01 16:01:41 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstevent.override:
	  gstevent.override: Fix typos.

2009-07-01 13:54:57 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstmessage.override:
	* testsuite/test_message.py:
	  gst.Message: Wrap remaining parse_*() methods.

2009-07-01 13:54:40 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstevent.override:
	  gst.Event: wrap parse_new_segment_full()

2009-07-01 13:53:54 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gst.defs:
	  gst.defs: Properly mark functions returning new objects

2009-07-01 12:29:22 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstmessage.override:
	* testsuite/test_message.py:
	  gst.Message: Add overrides for new 0.10.24 messages

2009-07-01 12:28:52 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstevent.override:
	* testsuite/test_event.py:
	  gst.Event: Add override for step event

2009-07-01 10:58:42 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gst/Makefile.am:
	* gst/gst-0.10.24.ignore:
	* gst/gst-types.defs:
	* gst/gst.defs:
	* gst/gstversion.override.in:
	  Update .defs for core API additions

2009-07-01 10:57:29 +0200  Edward Hervey <bilboed@bilboed.com>

	* codegen/argtypes.py:
	  codegen: Fix const GBoxed return wrapping.

2009-06-26 13:43:51 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From f810030 to 5845b63

2009-06-24 15:16:20 +0100  Jan Schmidt <jan.schmidt@sun.com>

	* common:
	  Automatic update of common submodule
	  From c572721 to f810030

2009-06-05 23:26:11 +0100  Jan Schmidt <thaytan@noraisin.net>

	* gst/pygstvalue.c:
	  values: Fix segfault in the testsuite
	  It seems pygst_value_from_pyobject should not unref the passed
	  in object. Wrap the original pygst_value_from_pyobject in a function
	  that converts unicode python objects and then unrefs the temporary
	  object after extraction into a GValue.

2009-06-01 22:02:47 +0200  Thomas Vander Stichele <thomas (at) apestaart (dot) org>

	* gst/gsttaglist.override:
	* gst/tag.override:
	* testsuite/common.py:
	* testsuite/test_pipeline.py:
	* testsuite/test_taglist.py:
	  wrap gst_tag_to_vorbis_comment; fix uint tag setting
	  Setting gst.TAG_TRACK_NUMBER was failing because GStreamer
	  expects a uint while Python object -> GValue conversion was
	  giving an int.  gst_tag_to_vorbis_comment was wrapped so
	  this conversion could be tested and failed on properly.

2009-06-01 19:08:47 +0200  Thomas Vander Stichele <thomas (at) apestaart (dot) org>

	* gst/pygstvalue.c:
	* testsuite/test_struct.py:
	* testsuite/test_taglist.py:
	  Convert unicode objects to utf-8 encoded G_STRINGs

2009-06-01 12:46:03 +0200  Thomas Vander Stichele <thomas (at) apestaart (dot) org>

	* gst/gst.override:
	  fix some grammar, add some debug

2009-05-26 21:01:35 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gst.defs:
	  gst.defs: Replace gchar** by GStrv to wrap more methods. Fixes #580992

2009-05-26 17:20:32 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 888e0a2 to c572721

2009-05-22 12:05:28 +0200  Edward Hervey <bilboed@bilboed.com>

	* plugin/gstpythonplugin.c:
	  gstpythonplugin: Don't use pyg_gil_* in pure python. Fixes #583378
	  At this point, pygobject wasn't loaded yet ... cause pyg_gil_state_ensured
	  to not be initialized to the proper method.

2009-05-22 10:21:17 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 6ab11d1 to 888e0a2

2009-05-12 11:52:11 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gst-pb-0.10.23.ignore:
	  gst-pb-0.10.23.ignore: Remove stray empty line.
	  This caused some issues on some systems.

2009-05-11 21:22:35 +0100  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	  Back to development -> 0.10.15.1

=== release 0.10.15 ===

2009-05-11 00:11:58 +0100  Jan Schmidt <thaytan@noraisin.net>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 0.10.15

2009-05-07 14:57:57 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  0.10.14.5 pre-release

2009-05-07 13:49:18 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gst-pb-0.10.23.ignore:
	  gst-pb-0.10.23: Fix the ignores, globs need to go in a special section.
	  Finishes fixing #581729

2009-05-07 13:48:54 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gst-0.10.23.ignore:
	  gst-0.10.23.ignore: Add newly added enum values. Partially fixes #581729

2009-05-07 13:48:01 +0200  Edward Hervey <bilboed@bilboed.com>

	* codegen/codegen.py:
	  codegen: Allow ignoring enum values. Partially fixes #581729
	  This is needed to ignore new enum values that are added in new gstreamer
	  core/base versions.

2009-05-06 23:38:54 +0100  Jan Schmidt <thaytan@noraisin.net>

	* examples/switch.py:
	  examples: Port switch.py to input-selector
	  The switch element hasn't existed for a while now - use the
	  replacement element input-selector instead.
	  Partially (and finally) fixes #581737

2009-05-06 23:38:08 +0100  Jan Schmidt <thaytan@noraisin.net>

	* examples/play.py:
	* examples/remuxer.py:
	* examples/switch.py:
	* examples/synchronizer.py:
	  examples: Make xoverlay installation thread safe using the GDK lock.
	  We can't call into the GDK functions in our sync-message handler
	  without taking the GDK lock, so do so.
	  Partially fixes #581737

2009-05-06 16:48:40 +0100  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	  0.10.14.4 pre-release

2009-04-23 17:14:20 +0200  Edward Hervey <bilboed@bilboed.com>

	* testsuite/Makefile.am:
	  testsuite: Dist new test file.

2009-04-18 23:52:08 +0200  Thomas Vander Stichele <thomas (at) apestaart (dot) org>

	* gst/gst.override:
	* testsuite/test_gst.py:
	  TIME_ARGS: Catch bad input. Fixes #579455

2009-04-21 21:14:21 +0100  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	  0.10.14.3 pre-release

2009-04-21 22:14:07 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From b3941ea to 6ab11d1

2009-04-18 17:13:12 +0100  Jan Schmidt <thaytan@noraisin.net>

	  Merge branch 'master' of ssh://git.freedesktop.org/git/gstreamer/gst-python

2009-04-18 16:39:42 +0100  Jan Schmidt <thaytan@noraisin.net>

	* gst/gstelement.override:
	* gst/gstmessage.override:
	* gst/gstpad.override:
	  python: Fix some locking problems
	  Add some python pyg_begin_allow_threads/end_allow_threads when calling into some gstreamer functions that might
	  call into python.

2009-04-18 09:05:09 +0200  Edward Hervey <bilboed@bilboed.com>

	* plugin/gstpythonplugin.c:
	  gstpythonplugin: Use strcmp for old glib. Fixes #579383

2009-04-17 19:34:23 +0200  Edward Hervey <bilboed@bilboed.com>

	* Makefile.am:
	  Don't forget to dist gstlibtoolimporter.py. Fixes #579325

2009-04-17 19:28:08 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gst/Makefile.am:
	* gst/audio.defs:
	* gst/audio.override:
	* gst/gst-pb-0.10.23.ignore:
	* gst/gstversion.override.in:
	* gst/interfaces.defs:
	* gst/interfaces.override:
	* gst/video.defs:
	  Wrap gst-plugins-base-0.10.23 API additions. Partially fixes #578848

2009-04-17 18:51:40 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	* gst/Makefile.am:
	* gst/base.defs:
	* gst/gst-0.10.23.ignore:
	* gst/gst-extrafuncs.defs:
	* gst/gst-types.defs:
	* gst/gst.defs:
	* gst/gst.override:
	* gst/gstmodule.c:
	* gst/gstversion.override.in:
	* gst/libs.defs:
	  Wrap new API added in gstreamer-0.10.23. Partially fixes #578848

2009-04-17 11:33:18 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/gst.defs:
	  query_new_seeking wrapper must return query with refcount 1.  Fixes #579183.

2009-04-15 22:58:56 +0100  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	  0.10.14.2 pre-release

2009-04-15 22:57:36 +0100  Jan Schmidt <thaytan@noraisin.net>

	* ChangeLog:
	  ChangeLog: regenerate changelog with the gen-changelog script

2009-04-15 22:38:28 +0200  Thomas Vander Stichele <thomas (at) apestaart (dot) org>

	  Merge branch 'bz-577735'

2009-04-12 21:27:33 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/__init__.py:
	* plugin/gstpythonplugin.c:
	  registry: fix deadlock with recursive registry scanning.
	  The way to properly fix this issue was in fact to disable the registry
	  scanning when we import gst from the python plugin loader since...
	  we are 100% guaranteed this is being called from a registry scan :)

2009-04-11 16:58:25 +0200  Laszlo Pandy <laszlok2@gmail.com>

	* gst/gst.override:
	  debug: Implement gst.debug_log. Fixes #571380

2009-04-11 16:54:00 +0200  Olivier Crete <tester@tester.ca>

	* pkgconfig/gst-python-uninstalled.pc.in:
	* pkgconfig/gst-python.pc.in:
	  pkgconfig: We require pygobject and not pygtk. Fixes #578435

2009-04-11 16:37:16 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/gstbase.override:
	  adapter: overrides for _take/_peek. Fixes #576505.
	  This creates strings of the proper size, unlike the previous patch.

2009-04-11 16:48:31 +0200  Edward Hervey <bilboed@bilboed.com>

	* testsuite/test_adapter.py:
	  test_adapter: No longer use slices (which was wrong to start with).

2009-04-11 16:47:07 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/arg-types.py:
	  arg-types: Remove guint8* argtype.
	  Partially reverts 7aef2834cff525906db15b4af0ee54b723bdd083

2009-04-11 16:08:51 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/__init__.py:
	  __init__: Postpone registry update during initialization. Fixes #576145

2009-04-11 16:20:11 +0200  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gst/__init__.py:
	* gstlibtoolimporter.py:
	* gstltihooks.py:
	* testsuite/common.py:
	  Fix uninstalled usage with python 2.6. Fixes #576546
	  Also imports submodules as mentionned by Philippe Normand.

2009-04-10 15:43:35 +0200  Thomas Vander Stichele <thomas (at) apestaart (dot) org>

	  Merge branch 'master' of ssh://thomasvs@git.freedesktop.org/git/gstreamer/gst-python into bz-577735

2009-04-04 21:19:46 +0300  Felipe Contreras <felipe.contreras@gmail.com>

	* common:
	  Automatic update of common submodule
	  From d0ea89e to b3941ea

2009-04-04 14:55:08 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From f8b3d91 to d0ea89e

2009-04-04 12:55:47 +0200  Thomas Vander Stichele <thomas (at) apestaart (dot) org>

	* gst/gstobject.override:
	  handle actual GObject having been set to NULL in repr
	  (For example, when doing weak ref tracking)

2009-04-04 10:05:50 +0200  Edward Hervey <bilboed@bilboed.com>

	* pygst.py.in:
	  pygst.py.in: Fix license (LGPL).

2009-02-10 12:07:52 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/gst.defs:
	* gst/gst.override:
	  Provide wrapper for gst_tag_get_type.  Fixes #571156.

2009-04-02 18:06:12 +0200  Thomas Vander Stichele <thomas (at) apestaart (dot) org>

	* testsuite/test_pipeline.py:
	  make sure that we actually get the clock-provide message

2009-04-02 17:21:58 +0200  Thomas Vander Stichele <thomas (at) apestaart (dot) org>

	* gst/gstbin.override:
	* testsuite/test_pipeline.py:
	  Fix for #577735: do_handle_message leaks messages

2009-03-26 16:18:04 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/base.defs:
	  Fix some leaks.

2009-03-26 16:13:48 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/arg-types.py:
	* testsuite/Makefile.am:
	* testsuite/test_adapter.py:
	  New guint8* ArgType. Wraps the various GstAdapter methods. Fixes #576505

2009-03-17 15:03:09 +0100  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gst/gstbus.override:
	* testsuite/test_bus.py:
	  gstbus: fix refcounting in gst.Bus.set_sync_handler.

2009-03-10 19:29:51 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/base.defs:
	  base.defs: Allow passing NULL/None to gst.BaseTransform.suggest()

2009-03-09 23:14:12 +0000  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 7032163 to f8b3d91

2009-03-08 12:06:40 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From ffa738d to 7032163

2009-03-08 11:22:17 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 3f13e4e to ffa738d

2009-03-07 11:47:49 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 3c7456b to 3f13e4e

2009-03-07 10:47:56 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 57c83f2 to 3c7456b

2009-03-05 13:59:30 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/gstcaps.override:
	  gstcaps: Remove dead code.
	  Those two lines will never be called, because caps2 will always be NULL
	  if we go to error (either we haven't used it yet (first goto and in this
	  case it's NULL), or.. it's NULL (second goto)).

2009-03-05 13:45:07 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/pbutils.override:
	  pbutils: Fix leaked GStrv. Fixes #574258

2009-03-05 13:21:19 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/gst.override:
	  Fix leak in gst_flow_get_name() wrapper function. Fixes #574251
	  PyString_FromString will make a copy of the provided string.

2009-03-02 15:22:33 +0100  Edward Hervey <bilboed@bilboed.com>

	* .gitignore:
	  .gitignore: Reorder ignores and add *~

2009-02-27 12:29:04 +0100  Edward Hervey <bilboed@bilboed.com>

	* plugin/gstpythonplugin.c:
	  plugin: Don't import modules that were already imported.
	  This avoids warnings for the cases where pygst.require() was already
	  called.

2009-02-25 15:14:42 +0000  Jan Schmidt <thaytan@noraisin.net>

	* common:
	* configure.ac:
	  build: Update shave init statement for changes in common. Bump common.

2009-02-25 11:33:13 +0000  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 9cf8c9b to a6ce5c6

2009-02-24 11:43:41 +0100  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gst/gstbase.override:
	  Don't steal a ref to event in gst.BaseTransform.do_src_event.

2009-02-22 20:39:39 +0000  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	  Use shave for the build output

2009-02-22 20:08:54 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/gstbus.override:
	  gstbus.override: Allow using set_sync_handler with None as a parameter

2009-02-22 20:12:23 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/gstpad.override:
	* testsuite/test_pad.py:
	  GstPad: Use gst_pad_set_blocked_async_full() if available.
	  Avoids leaking arguments.
	  Fixes #514717

2009-02-22 16:01:49 +0000  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 5d7c9cc to 9cf8c9b

2009-02-21 11:14:13 -0800  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From 80c627d to 5d7c9cc

2009-02-20 18:29:20 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/gstpad.override:
	  gstpad.override: Take a copy of gst_static_pad_template_get_caps()
	  This means that we take a completely new caps for the sole usage of
	  gst-python. The GstCaps return by gst_static_pad_template_get_caps() are
	  (surprise) static and therefore will always exist... as long as the
	  GstStaticPadTemplate (and the factory providing it) still exist.
	  This solves the case of getting the caps of a static pad template *before*
	  any element was created using the GstElementFactory. When the factory is
	  used to create an element, a new factory is created, replacing the old one,
	  and plainly discarding any static values (including those caps).

2009-02-17 10:48:25 +0100  Edward Hervey <bilboed@bilboed.com>

	* plugin/gstpythonplugin.c:
	  Plugin Loader: Don't register non-gstElement subclasses

2009-02-20 08:34:38 +0100  Edward Hervey <bilboed@bilboed.com>

	* gstltihooks.py:
	  gstltihooks: Sync with upstream pygobject/ltihooks.py commit.
	  Apply commit from James Henstridge 2009-02-20 : "I've updated the
	  license block in pygtk/ltihooks.py to LGPL (not sure why I
	  didn't just use LGPL like the rest of pygtk)."
	  Partially fixes #572487

2009-02-09 14:02:41 +0100  Edward Hervey <bilboed@bilboed.com>

	* plugin/Makefile.am:
	  plugin/Makefile.am : Remove commented lines

2009-01-19 08:38:10 +0100  Edward Hervey <bilboed@bilboed.com>

	* Makefile.am:
	* acinclude.m4:
	* configure.ac:
	* plugin/Makefile.am:
	* plugin/gstpythonplugin.c:
	  Python plugin loader implementation.
	  Fixes #304361.

2009-02-09 13:23:45 +0100  Edward Hervey <bilboed@bilboed.com>

	* testsuite/Makefile.am:
	  Add a rule to generate valgrind suppressions for a single test.

2009-02-09 13:25:11 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/arg-types.py:
	  GstMiniObject: Re-increment the C refcount after using a miniobject.
	  This behaviour is symmetrical to what we do at the very beginning (incrementing
	  the Python refcount of the wrapper object and decrementing the C refcount of the
	  actual object).

2009-02-09 12:04:04 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Bump revision to use for common submodule.

2009-01-30 17:41:18 +0000  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Bump common

2009-01-30 09:06:31 +0100  Edward Hervey <bilboed@bilboed.com>

	* autogen.sh:
	  Fix previous commit, wasn't actually setting up a symbolic link

2009-01-30 08:59:21 +0100  Edward Hervey <bilboed@bilboed.com>

	* autogen.sh:
	* common:
	  Use a symbolic link for the pre-commit client-side hook

2009-01-30 08:59:07 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/.gitignore:
	  Ignore new auto-generated .c files

2009-01-26 11:11:18 +0200  Stefan Kost <ensonic@users.sf.net>

	* examples/cp.py:
	  Add progress report element to cp example.

2009-01-23 22:17:21 +0200  Stefan Kost <ensonic@users.sf.net>

	* examples/tagsetter.py:
	  Add an example for using the tagsetter iface.

2009-01-22 13:50:33 +0100  Sebastian Dröge <slomo@circular-chaos.org>

	* common:
	  Fix pre-commit hook

2009-01-22 12:00:08 +0000  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	  Back to devel -> 0.10.14.1

2009-01-22 06:10:50 +0100  Edward Hervey <bilboed@bilboed.com>

	* autogen.sh:
	* common:
	  Install and use pre-commit indentation hook from common

2009-01-21 04:36:02 +0100  Edward Hervey <bilboed@bilboed.com>

	* autogen.sh:
	  autogen.sh : Use git submodule

=== release 0.10.14 ===

2009-01-19 23:18:26 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 0.10.14
	  Original commit message from CVS:
	  Release 0.10.14

2009-01-09 23:45:36 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  configure.ac: 0.10.13.3 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.13.3 pre-release

2009-01-08 12:25:26 +0000  Edward Hervey <bilboed@bilboed.com>

	  Raise an Exception when wrapping a NULL GstIterator.
	  Original commit message from CVS:
	  * gst/pygstiterator.c: (pygst_iterator_new):
	  * testsuite/test_iterator.py:
	  Raise an Exception when wrapping a NULL GstIterator.
	  Fixes #566903

2009-01-05 11:05:32 +0000  Vincent GENIEUX <mutex@runbox.com>

	  gst/gststructure.override: Don't leak key names in _wrap_gst_structure_keys.
	  Original commit message from CVS:
	  patch by: Vincent GENIEUX <mutex at runbox dot com>
	  * gst/gststructure.override:
	  Don't leak key names in _wrap_gst_structure_keys.

2009-01-02 21:46:30 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Wrap more GstIndexEntry methods and properties.
	  Original commit message from CVS:
	  * gst/gst-types.defs:
	  * gst/gst.defs:
	  * gst/gst.override:
	  Wrap more GstIndexEntry methods and properties.

2008-12-31 13:32:58 +0000  Edward Hervey <bilboed@bilboed.com>

	  Wrap gst-plugins-base's tag helper library.
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/tag.defs:
	  * gst/tag.override:
	  * gst/tagmodule.c: (inittag):
	  Wrap gst-plugins-base's tag helper library.
	  Partially fixes #565762

2008-12-31 13:06:58 +0000  Edward Hervey <bilboed@bilboed.com>

	  Wrap gst-plugins-base's video helper library.
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/video.defs:
	  * gst/video.override:
	  * gst/videomodule.c: (initvideo):
	  Wrap gst-plugins-base's video helper library.
	  Partially fixes #565762

2008-12-31 12:01:02 +0000  Edward Hervey <bilboed@bilboed.com>

	  Wrap gst-plugins-base's audio helper library.
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/audio.defs:
	  * gst/audio.override:
	  * gst/audiomodule.c: (initaudio):
	  Wrap gst-plugins-base's audio helper library.
	  Partially fixes #565762

2008-12-30 19:20:31 +0000  Edward Hervey <bilboed@bilboed.com>

	  Updated core API additions
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/gst-0.10.20.ignore:
	  * gst/gst-0.10.22.ignore:
	  * gst/gst-types.defs:
	  * gst/gst.defs:
	  * gst/gstversion.override.in:
	  Updated core API additions

2008-12-09 14:30:43 +0000  Alessandro Decina <alessandro.d@gmail.com>

	  gst/__init__.py: Add gst.Fourcc.__eq__ and gst.Fourcc.__ne__.
	  Original commit message from CVS:
	  * gst/__init__.py:
	  Add gst.Fourcc.__eq__ and gst.Fourcc.__ne__.

2008-12-09 11:48:15 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/Makefile.am: Don't forget to dist/install gst-0.10.21.ignore
	  Original commit message from CVS:
	  * gst/Makefile.am:
	  Don't forget to dist/install gst-0.10.21.ignore

2008-12-09 10:16:08 +0000  Vincent Genieux <mutex@runbox.com>

	  gst/arg-types.py: Fix memory leak for GstMiniObjects used as parameters in class method overrides.
	  Original commit message from CVS:
	  Patch by : Vincent Genieux <mutex at runbox dot com>
	  * gst/arg-types.py:
	  Fix memory leak for GstMiniObjects used as parameters in class method
	  overrides.
	  Fixes #543961

2008-12-06 15:52:31 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstpad.override: Fix memory leak for functions that return a newly created buffer as a function argument.
	  Original commit message from CVS:
	  * gst/gstpad.override:
	  Fix memory leak for functions that return a newly created buffer as
	  a function argument.
	  Fixes #554545

2008-12-06 15:41:41 +0000  Edward Hervey <bilboed@bilboed.com>

	  codegen/argtypes.py: Add handling of 'keep-refcount' for GBoxed arguments.
	  Original commit message from CVS:
	  * codegen/argtypes.py:
	  Add handling of 'keep-refcount' for GBoxed arguments.
	  * gst/gst.defs:
	  Mark the appropriate 'gst_message_new_*' arguments when the method
	  takes the ownership of the passed gst.Structure/gst.TagList
	  * testsuite/test_message.py:
	  Test for creating messages that take a gst.Structure/gst.TagList as
	  argument and make sure they're properly created.
	  Fixes #556054

2008-12-06 15:39:01 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/Makefile.am: Add a way to run individual tests. 'make test_bin.py.check' for example.
	  Original commit message from CVS:
	  * testsuite/Makefile.am:
	  Add a way to run individual tests.
	  'make test_bin.py.check' for example.

2008-12-06 14:13:55 +0000  Edward Hervey <bilboed@bilboed.com>

	  examples/gst-discover: Beautify output of discoverer's duration.
	  Original commit message from CVS:
	  * examples/gst-discover:
	  Beautify output of discoverer's duration.

2008-12-06 14:10:51 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/test_event.py: Sinks now send GST_EVENT_LATENCY events upstream. Adapt test for that new behaviour.
	  Original commit message from CVS:
	  * testsuite/test_event.py:
	  Sinks now send GST_EVENT_LATENCY events upstream. Adapt test for that
	  new behaviour.

2008-12-05 08:49:05 +0000  Sebastian Dröge <slomo@circular-chaos.org>

	  Add common to SUBDIRS and generate common/Makefile and common/m4/Makefile.
	  Original commit message from CVS:
	  * Makefile.am:
	  * configure.ac:
	  Add common to SUBDIRS and generate common/Makefile and
	  common/m4/Makefile.

2008-12-04 20:11:53 +0000  Sebastian Dröge <slomo@circular-chaos.org>

	  configure.ac: Apparently AC_CONFIG_MACRO_DIR breaks when using more than one macro directory, reverting last change.
	  Original commit message from CVS:
	  * configure.ac:
	  Apparently AC_CONFIG_MACRO_DIR breaks when using more
	  than one macro directory, reverting last change.

2008-12-04 19:50:23 +0000  Sebastian Dröge <slomo@circular-chaos.org>

	  configure.ac: Set AC_CONFIG_MACRO_DIR to common/m4 to point autoconf to our M4 macros.
	  Original commit message from CVS:
	  * configure.ac:
	  Set AC_CONFIG_MACRO_DIR to common/m4 to point autoconf to
	  our M4 macros.

2008-11-23 12:31:42 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* common:
	* gst/extend/utils.py:
	  pep-8 cleanups
	  Original commit message from CVS:
	  pep-8 cleanups

2008-11-19 16:54:58 +0000  Alessandro Decina <alessandro.d@gmail.com>

	  Wrap gst_type_find_peek.
	  Original commit message from CVS:
	  * gst/gst.override:
	  * testsuite/test_typefind.py:
	  Wrap gst_type_find_peek.

2008-11-08 12:16:31 +0000  Alessandro Decina <alessandro.d@gmail.com>

	  gst/: Add GstBaseTransform::transform_size virtual.
	  Original commit message from CVS:
	  * gst/base.defs:
	  * gst/gstbase.override:
	  Add GstBaseTransform::transform_size virtual.

2008-11-08 11:49:30 +0000  Alessandro Decina <alessandro.d@gmail.com>

	  gst/__init__.py: Fix on systems that don't have dlopen or don't support RTLD_GLOBAL and
	  Original commit message from CVS:
	  reviewed by: Edward Hervey <edward.hervey@collabora.co.uk>
	  * gst/__init__.py:
	  Fix on systems that don't have dlopen or don't support RTLD_GLOBAL and
	  RTLD_LAZY.

2008-11-07 22:29:06 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  gst/gst.override: Fix compiler warning about missing format string.
	  Original commit message from CVS:
	  * gst/gst.override:
	  Fix compiler warning about missing format string.

2008-10-05 11:36:16 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  configure.ac: Back to development -> 0.10.13.1
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development -> 0.10.13.1

2008-10-05 08:16:38 +0000  Thiemo Seufer <ths@networkno.de>

	  gst/__init__.py: Use correct values for RTLD_GLOBAL and RTLD_LAZY on Linux/MIPS as the values are different there fro...
	  Original commit message from CVS:
	  Patch by: Thiemo Seufer <ths at networkno dot de>
	  * gst/__init__.py:
	  Use correct values for RTLD_GLOBAL and RTLD_LAZY on Linux/MIPS
	  as the values are different there from all other Linux platforms.
	  Fixes bug #553134.

2008-10-05 08:14:42 +0000  Alexander Wirt <formorer@debian.org>

	  gst/__init__.py: Import modules in the correct order, i.e. libxml2 before
	  Original commit message from CVS:
	  Patch by: Alexander Wirt <formorer at debian dot org>
	  * gst/__init__.py:
	  Import modules in the correct order, i.e. libxml2 before
	  GStreamer stuff, to prevent unresolved symbols. Fixes bug #553131.

=== release 0.10.13 ===

2008-10-03 00:08:42 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 0.10.13
	  Original commit message from CVS:
	  Release 0.10.13

2008-09-17 13:37:30 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  configure.ac: 0.10.20.2 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.20.2 pre-release

2008-09-09 10:41:27 +0000  Edward Hervey <bilboed@bilboed.com>

	  Add API additions for upcoming 0.10.21 core release
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/base.defs:
	  * gst/gst-0.10.21.ignore:
	  * gst/gst.defs:
	  * gst/gstversion.override.in:
	  Add API additions for upcoming 0.10.21 core release

2008-09-04 17:57:50 +0000  Brian Cameron <brian.cameron@sun.com>

	  examples/pipeline-tester: Don't hardcode audio/video source and sinks, and instead use more generic sources.
	  Original commit message from CVS:
	  * examples/pipeline-tester:
	  Don't hardcode audio/video source and sinks, and instead use more
	  generic sources.
	  Based on a patch by Brian Cameron <brian.cameron@sun.com>
	  Fixes #517993

2008-08-26 15:58:15 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstcaps.override: Override gst_caps_append_structure() and make a copy of the structure given as argument.
	  Original commit message from CVS:
	  * gst/gstcaps.override:
	  Override gst_caps_append_structure() and make a copy of the structure
	  given as argument.
	  Fixes #549450

2008-08-11 16:40:45 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Add gstdebugutils.[ch] methods that weren't wrapped previously.
	  Original commit message from CVS:
	  * gst/gst-0.10.15.ignore:
	  * gst/gst-types.defs:
	  * gst/gst.defs:
	  Add gstdebugutils.[ch] methods that weren't wrapped previously.
	  We can now dump pipeline graphviz files from python ! :)

2008-07-02 11:23:39 +0000  Edward Hervey <bilboed@bilboed.com>

	  update upstream API changes
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/base.defs:
	  * gst/gst-0.10.18.ignore:
	  * gst/gst-0.10.20.ignore:
	  * gst/gst-pb-0.10.18.ignore:
	  * gst/gst-types.defs:
	  * gst/gst.defs:
	  * gst/gstversion.override.in:
	  * gst/interfaces.defs:
	  update upstream API changes

2008-06-27 10:42:38 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/test_interface.py: Don't hardcode 'alsasrc' for testing GstMixer and GstPropertyProbe interfaces, but inste...
	  Original commit message from CVS:
	  * testsuite/test_interface.py:
	  Don't hardcode 'alsasrc' for testing GstMixer and GstPropertyProbe
	  interfaces, but instead search one through the registry.
	  If none are available, return gracefully.

2008-06-27 10:29:58 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/test_xml.py: Don't attempt to test gst.XML if there's no available libxml2 module.
	  Original commit message from CVS:
	  * testsuite/test_xml.py:
	  Don't attempt to test gst.XML if there's no available libxml2 module.

2008-06-27 08:39:37 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  gst/gstbuffer.override: the GstBuffer overrides seem to be confused about whether they're mini-objects or a GBoxed, a...
	  Original commit message from CVS:
	  * gst/gstbuffer.override:
	  the GstBuffer overrides seem to be confused about whether they're
	  mini-objects or a GBoxed, and it makes copy_on_write no actually
	  return a usable gst.Buffer. Fix up places where GstBuffers are
	  treated as GBoxed to use pygstminiobject functions.
	  Makes gst.Buffer('blah').copy_on_write() work.
	  * testsuite/test_buffer.py:
	  Add test for copy-on-write writability
	  * examples/buffer-draw.py:
	  Add an example of drawing on a GStreamer buffer with cairo
	  * gst/gstpad.override:
	  Make function static

2008-06-26 14:57:29 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Fix double-import issues on macosx.
	  Original commit message from CVS:
	  * gst/common.h:
	  * gst/gstmodule.c:
	  * gst/interfaces.override:
	  * gst/pbutils.override:
	  * gst/pygstiterator.c:
	  * gst/pygstminiobject.c:
	  * gst/pygstminiobject.h:
	  Fix double-import issues on macosx.
	  Fixes #461838

2008-06-26 09:14:51 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstmodule.c: Return None if GstMiniObject GValue doesn't contain anything (NULL).
	  Original commit message from CVS:
	  * gst/gstmodule.c: (pygstminiobject_from_gvalue):
	  Return None if GstMiniObject GValue doesn't contain anything (NULL).
	  Fixes #540221

2008-06-20 08:55:48 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  configure.ac: Bump version back to dev -> 0.10.12.1
	  Original commit message from CVS:
	  * configure.ac:
	  Bump version back to dev -> 0.10.12.1

=== release 0.10.12 ===

2008-06-18 14:50:35 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Release 0.10.12
	  Original commit message from CVS:
	  Release 0.10.12

2008-06-13 11:21:27 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.11.3 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.11.3 pre-release

2008-06-13 11:11:38 +0000  Edward Hervey <bilboed@bilboed.com>

	  Re-opens #530417
	  Original commit message from CVS:
	  * gst/__init__.py:
	  * gst/gstelement.override:
	  * testsuite/test_element.py:
	  Revert 2008-05-08  Edward Hervey  <edward.hervey@collabora.co.uk>
	  Re-opens #530417

2008-06-12 11:11:49 +0000  Edward Hervey <bilboed@bilboed.com>

	  Re-opens #514717
	  Original commit message from CVS:
	  * gst/gstpad.override:
	  * testsuite/test_pad.py:
	  Revert 2008-02-10  Alessandro Decina  <alessandro@nnva.org>
	  Re-opens #514717

2008-06-05 09:51:17 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  configure.ac: 0.10.11.2 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.11.2 pre-release

2008-05-26 10:20:06 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstevent.override: gst_event_new_tag takes ownership of the GstTagList given as argument, therefore make a copy b...
	  Original commit message from CVS:
	  * gst/gstevent.override:
	  gst_event_new_tag takes ownership of the GstTagList given
	  as argument, therefore make a copy before calling the
	  C function.
	  Fixes #534888

2008-05-17 13:13:05 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/extend/discoverer.py: Add timeout property.
	  Original commit message from CVS:
	  * gst/extend/discoverer.py:
	  Add timeout property.
	  Fix typos.
	  Beautify debugging.
	  Fix email.

2008-05-14 16:00:39 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  gst/__init__.py: Make gst.Fraction simplify like the C counterpart
	  Original commit message from CVS:
	  Patch by: Jan Schmidt <thaytan at mad dot scientist dot com>
	  * gst/__init__.py:
	  Make gst.Fraction simplify like the C counterpart
	  Fixes #532809

2008-05-14 15:48:18 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstcaps.override: Fix typo
	  Original commit message from CVS:
	  * gst/gstcaps.override:
	  Fix typo

2008-05-08 14:06:45 +0000  Johan Dahlin <johan@gnome.org>

	  New 'fancy' constructor for gst.Element, allows creating elements in a more pythonic way (i.e. myelement = gst.Elemen...
	  Original commit message from CVS:
	  Patch by: Johan Dahlin  <johan at gnome dot org>
	  * gst/__init__.py:
	  * gst/gstelement.override:
	  * testsuite/test_element.py:
	  New 'fancy' constructor for gst.Element, allows creating elements in a
	  more pythonic way (i.e. myelement = gst.Element("oggmux")).
	  Fixes #530417

2008-05-08 14:03:17 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Fix broken indentation
	  Original commit message from CVS:
	  * gst/__init__.py:
	  * gst/arg-types.py:
	  Fix broken indentation
	  Fixes #531697

2008-05-08 10:59:48 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Use G_GSSIZE_FORMAT for ssize_t types.
	  Original commit message from CVS:
	  * gst/gst.override:
	  * gst/gstbuffer.override:
	  Use G_GSSIZE_FORMAT for ssize_t types.
	  Fixes build on macosx.

2008-05-07 16:05:19 +0000  Christian Schaller <uraeus@gnome.org>

	* common:
	* gst-python.spec.in:
	  update spec file with latest changes
	  Original commit message from CVS:
	  update spec file with latest changes

2008-04-28 10:49:03 +0000  Alessandro Decina <alessandro@nnva.org>

	  gst/gst.override: Add wrapping of gst_type_find_register.
	  Original commit message from CVS:
	  Patch by: Alessandro Decina <alessandro at nnva dot org>
	  * gst/gst.override:
	  Add wrapping of gst_type_find_register.
	  Fixes #529728

2008-04-28 10:36:10 +0000  Alessandro Decina <alessandro@nnva.org>

	  gst/gstelementfactory.override: Release GIL in gst_element_factory_overrides.
	  Original commit message from CVS:
	  Patch by: Alessandro Decina <alessandro at nnva dot org>
	  * gst/gstelementfactory.override:
	  Release GIL in gst_element_factory_overrides.
	  Fixes #529731

2008-04-24 11:35:38 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  examples/: Sync with the X server before giving an XID to our sink with a different display connection. This avoids s...
	  Original commit message from CVS:
	  * examples/play.py:
	  * examples/remuxer.py:
	  * examples/switch.py:
	  * examples/synchronizer.py:
	  Sync with the X server before giving an XID to our sink with a different
	  display connection. This avoids spurious X servers where the sink's
	  display connection doesn't know the XID that the GDK thread's does.

2008-04-06 08:58:39 +0000  Damien Lespiau <damien.lespiau@gmail.com>

	  configure.ac: Actually build dlls when cross-compiling with mingw32.
	  Original commit message from CVS:
	  Patch by: Damien Lespiau <damien dot lespiau at gmail dot com>
	  * configure.ac:
	  Actually build dlls when cross-compiling with mingw32.
	  Fixes bug #526247.

2008-03-21 00:37:01 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  configure.ac: Back to development - 0.10.11.1
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development - 0.10.11.1

=== release 0.10.11 ===

2008-03-21 00:31:44 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* common:
	* configure.ac:
	* gst-python.doap:
	  Release 0.10.11
	  Original commit message from CVS:
	  Release 0.10.11

2008-03-04 00:31:22 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  configure.ac: 0.10.10.2 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.10.2 pre-release

2008-02-29 12:37:43 +0000  Rene Stadler <mail@renestadler.de>

	  gst/gst.override: Don't crash by unreffing NULL when calling the do_get_protocols_full method raises an exception.
	  Original commit message from CVS:
	  * gst/gst.override:
	  (_wrap_GstURIHandler__proxy_do_get_protocols_full):
	  Don't crash by unreffing NULL when calling the
	  do_get_protocols_full method raises an exception.

2008-02-10 13:33:26 +0000  Edward Hervey <bilboed@bilboed.com>

	  Fix memleak in gst.Pad.set_blocked_async()
	  Original commit message from CVS:
	  reviewed by: Edward Hervey  <edward.hervey@collabora.co.uk>
	  * gst/gstpad.override:
	  * testsuite/test_pad.py:
	  Fix memleak in gst.Pad.set_blocked_async()
	  Fixes #514717

2008-02-10 13:30:11 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstpad.override: Wrap gst.Pad.start_task().
	  Original commit message from CVS:
	  * gst/gstpad.override:
	  Wrap gst.Pad.start_task().

2008-02-08 08:37:36 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/base.defs: gst_adapter_push steals the refcount.
	  Original commit message from CVS:
	  * gst/base.defs:
	  gst_adapter_push steals the refcount.

2008-01-31 19:57:26 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  examples/video-controller.py: Demo how to use the controller on videomixer.
	  Original commit message from CVS:
	  * examples/video-controller.py:
	  Demo how to use the controller on videomixer.

2008-01-31 14:14:50 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  gst/.cvsignore: Ignore generated pbutils.c
	  Original commit message from CVS:
	  * gst/.cvsignore:
	  Ignore generated pbutils.c
	  * gst/gst.override:
	  Fix compiler warning about the return type.

2008-01-30 12:36:06 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstmodule.c: Remove do_pending_calls timeout which has been handled more gracefully in pygobject MainLoop for the...
	  Original commit message from CVS:
	  * gst/gstmodule.c: (init_gst):
	  Remove do_pending_calls timeout which has been handled more gracefully
	  in pygobject MainLoop for the past 3 years.
	  Fixes #512916

2008-01-28 23:37:31 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  configure.ac: Back to CVS
	  Original commit message from CVS:
	  * configure.ac:
	  Back to CVS

=== release 0.10.10 ===

2008-01-28 23:36:10 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* common:
	* configure.ac:
	* gst-python.doap:
	  Release 0.10.10
	  Original commit message from CVS:
	  Release 0.10.10

2008-01-21 21:34:12 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  configure.ac: 0.10.9.4 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.9.4 pre-release

2008-01-21 21:21:00 +0000  Luca Ferretti <elle.uca@libero.it>

	  Makefile.am: Include PYTHON_INCLUDES in the common CFLAGS in the top-level.
	  Original commit message from CVS:
	  * Makefile.am:
	  Include PYTHON_INCLUDES in the common CFLAGS in the top-level.
	  Fixes: #510437
	  Patch By: Luca Ferretti <elle dot uca at libero dot it>

2008-01-17 16:35:28 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.9.3 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.9.3 pre-release

2008-01-16 16:09:39 +0000  Edward Hervey <bilboed@bilboed.com>

	  Fix symbol generation for win32.
	  Original commit message from CVS:
	  Reviewed by : Edward Hervey  <edward.hervey@collabora.co.uk>
	  * configure.ac:
	  * win32/common/config.h.in:
	  Fix symbol generation for win32.
	  Fixes #509766

2008-01-15 11:41:51 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  gst/pbutils.override: Fix compilation against Python 2.4.
	  Original commit message from CVS:
	  * gst/pbutils.override:
	  Fix compilation against Python 2.4.
	  Fixes: #509522

2008-01-14 18:42:39 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.9.2 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.9.2 pre-release

2008-01-14 12:44:06 +0000  Edward Hervey <bilboed@bilboed.com>

	  Series of update for new API added to 0.10.16.
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/base.defs:
	  * gst/gst-0.10.15.ignore:
	  * gst/gst-0.10.16.ignore:
	  * gst/gst-pb-0.10.15.ignore:
	  * gst/gst-pb-0.10.16.ignore:
	  * gst/gst.defs:
	  * gst/gstversion.override.in:
	  * gst/pbutils.override:
	  * testsuite/test_pbutils.py:
	  Series of update for new API added to 0.10.16.
	  Remove wrong ignore file for 0.10.15 -base.

2008-01-13 21:51:31 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Bump requirement to core and -base >= 0.10.12 .
	  Original commit message from CVS:
	  * configure.ac:
	  Bump requirement to core and -base >= 0.10.12 .
	  * gst/Makefile.am:
	  * gst/gstversion.override.in:
	  * gst/gst-0.10.10.ignore:
	  * gst/gst-0.10.11.ignore:
	  * gst/gst-0.10.12.ignore:
	  * gst/gst-0.10.3.ignore:
	  * gst/gst-0.10.4.ignore:
	  * gst/gst-0.10.5.ignore:
	  * gst/gst-0.10.6.ignore:
	  * gst/gst-0.10.7.ignore:
	  * gst/gst-pb-0.10.11.ignore:
	  Remove no-longer needed files.

2008-01-13 21:46:22 +0000  Sébastien Moutte <sebastien@moutte.net>

	  win32/vs6/libgstpython.dsp: Setup two different builds, one for Python24 and one for Python25.
	  Original commit message from CVS:
	  * win32/vs6/libgstpython.dsp:
	  Setup two different builds, one for Python24 and one for Python25.

2008-01-13 17:57:48 +0000  Edward Hervey <bilboed@bilboed.com>

	  Re-implement wrapping of gst_pad_add_*probe in order to avoid leaks of user-data associated with the probes.
	  Original commit message from CVS:
	  reviewed by: Edward Hervey  <edward.hervey@collabora.co.uk>
	  * gst/gstpad.override:
	  * testsuite/test_pad.py:
	  Re-implement wrapping of gst_pad_add_*probe in order to avoid leaks of
	  user-data associated with the probes.
	  Fixes #504786

2008-01-13 17:24:42 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/pbutils.override: Finish wrapping gst.pbutils by adding install_plugins_async()
	  Original commit message from CVS:
	  * gst/pbutils.override:
	  Finish wrapping gst.pbutils by adding install_plugins_async()

2008-01-11 16:30:45 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/Makefile.am: gst.pbutils also needs to handle miniobjects
	  Original commit message from CVS:
	  * gst/Makefile.am:
	  gst.pbutils also needs to handle miniobjects
	  * gst/pbutils.defs:
	  Add new InstallPluginsContext boxed definition.
	  All the *_new() functions should be accessible (and not act as
	  constructors).
	  * gst/pbutils.override:
	  Add override for install_plugins_sync().
	  * gst/pbutilsmodule.c:
	  Add pygst_debug debug category in this module too.
	  * testsuite/test_pbutils.py:
	  Test existence of new API. Needs more tests.

2008-01-10 12:51:21 +0000  Sebastian Dröge <slomo@circular-chaos.org>

	  autogen.sh: Add -Wno-portability to the automake parameters to stop warnings about GNU make extensions being used. We...
	  Original commit message from CVS:
	  * autogen.sh:
	  Add -Wno-portability to the automake parameters to stop warnings
	  about GNU make extensions being used. We require GNU make in almost
	  every Makefile anyway.
	  * configure.ac:
	  Check for a working C compiler with AC_PROG_CC.
	  Use AM_PROG_CC_C_O as a compiler that accepts both -c and -o
	  at the same time is required for per target flags.

2008-01-01 13:22:21 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: new gst.pbutils module that wraps the gst-plugins-base pbutils helper library.
	  Original commit message from CVS:
	  * gst/Makefile.am:
	  * gst/common.h:
	  * gst/pbutils.defs:
	  * gst/pbutils.override:
	  * gst/pbutilsmodule.c: (initpbutils):
	  new gst.pbutils module that wraps the gst-plugins-base pbutils
	  helper library.
	  * testsuite/Makefile.am:
	  * testsuite/common.py:
	  * testsuite/test_pbutils.py:
	  Test case for gst.pbutils
	  Fixes #472822

2007-12-18 16:48:32 +0000  Andy Wingo <wingo@pobox.com>

	  examples/switch.py: New file, a basic demo for a single-stream switcher. Could be expanded later -- look at flumotion...
	  Original commit message from CVS:
	  2007-12-18  Andy Wingo  <wingo@pobox.com>
	  * examples/switch.py: New file, a basic demo for a single-stream
	  switcher. Could be expanded later -- look at
	  flumotion.component.combiners.switch.switch for some inspiration.

2007-12-18 09:42:57 +0000  Tim-Philipp Müller <tim@centricular.net>

	  Makefile.am: Include common/win32.mak for CRLF check of win32 project files (see #393626).
	  Original commit message from CVS:
	  * Makefile.am:
	  Include common/win32.mak for CRLF check of win32 project
	  files (see #393626).
	  * win32/vs6/gst_python.dsw:
	  * win32/vs6/libgstpython.dsp:
	  * win32/vs6/pygenfiles.dsp:
	  Fix line endings and do cvs admin -kb.

2007-11-29 15:02:03 +0000  Sebastian Dröge <slomo@circular-chaos.org>

	  acinclude.m4: Use pythonX.Y-config to detect the include path for the python version and use the old values as fallba...
	  Original commit message from CVS:
	  * acinclude.m4:
	  Use pythonX.Y-config to detect the include path for the python
	  version and use the old values as fallback if pythonX.Y-config
	  doesn't exist.

2007-11-28 09:48:45 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development cycle
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development cycle

=== release 0.10.9 ===

2007-11-28 09:46:34 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-python.doap:
	  Releasing 0.10.9
	  Original commit message from CVS:
	  Releasing 0.10.9

2007-11-24 18:14:25 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.8.2 pre-releases
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.8.2 pre-releases

2007-11-08 19:56:54 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Update API changes for core+base pre-releases
	  Original commit message from CVS:
	  * gst/base.defs:
	  * gst/gst-0.10.15.ignore:
	  * gst/gst.defs:
	  * gst/gst.override:
	  * gst/gstmodule.c: (init_gst):
	  Update API changes for core+base pre-releases

2007-11-08 10:51:07 +0000  Johan Dahlin <johan@gnome.org>

	  Add a new module, gstoption which allows you to fetch the
	  Original commit message from CVS:
	  2007-11-05  Johan Dahlin  <johan@gnome.org>
	  * gstoptionmodule.c:
	  * Makefile.am:
	  * configure.ac:
	  Add a new module, gstoption which allows you to fetch the
	  GOptionGroup from gstreamer without initializing and parsing
	  the command line arguments. Requires PyGObject 2.15.0
	  Fixes #425847
	  * examples/option-parser.py (main): Example

2007-11-01 16:39:17 +0000  Johan Dahlin <johan@gnome.org>

	  gst/: Make sure it still builds with GStreamer 0.10.14.
	  Original commit message from CVS:
	  2007-11-01  Johan Dahlin  <johan@gnome.org>
	  * gst/gst.override:
	  * gst/gst-0.10.15.ignore:
	  Make sure it still builds with GStreamer 0.10.14.

2007-10-25 16:18:55 +0000  Alessandro Decina <alessandro@nnva.org>

	  gst/gst.*: Patch from Alessandro Decina adding get_type_full and get_protocols_full private vfuncs to the URIHandler ...
	  Original commit message from CVS:
	  * gst/gst.defs:
	  * gst/gst.override:
	  Patch from Alessandro Decina adding get_type_full and
	  get_protocols_full private vfuncs to the URIHandler interface
	  to allow bindings to support creating URI handlers.
	  Partially fixes: #339279

2007-10-18 15:10:44 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  examples/play.py: Fix the sample player slightly so that the expose method actually gets called by pyGTK.
	  Original commit message from CVS:
	  * examples/play.py:
	  Fix the sample player slightly so that the expose method
	  actually gets called by pyGTK.

2007-10-18 08:44:43 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.*: Thanks to Sebastien Merle for resurrecting a patch I'd forgotten about that adds a constructor method for ...
	  Original commit message from CVS:
	  * gst/gst.defs:
	  * gst/gst.override:
	  Thanks to Sebastien Merle for resurrecting a patch I'd forgotten about
	  that adds a constructor method for gst.GError, so you can create
	  error gst.Message.
	  Added a few GIL releases for overrides.

2007-10-16 15:01:59 +0000  Christian Schaller <uraeus@gnome.org>

	* gst-python.spec.in:
	  update spec file with latest changes
	  Original commit message from CVS:
	  update spec file with latest changes

2007-10-13 16:32:52 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstobject.override: Release the GIL when calling gst_object_get_path_string() since it can cause deadlocks with n...
	  Original commit message from CVS:
	  * gst/gstobject.override:
	  Release the GIL when calling gst_object_get_path_string() since it can
	  cause deadlocks with new pygobject behaviour.

2007-10-13 16:31:35 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstmodule.c: Added new gst.TAG_COMPOSER constant that appeared in core 0.10.15.
	  Original commit message from CVS:
	  * gst/gstmodule.c: (init_gst):
	  Added new gst.TAG_COMPOSER constant that appeared in core 0.10.15.

2007-10-09 16:17:28 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Update API definitions for GStreamer core and gst-plugins-base.
	  Original commit message from CVS:
	  * gst/base.defs:
	  * gst/libs.defs:
	  * gst/gst.defs:
	  * gst/gst.override:
	  Update API definitions for GStreamer core and gst-plugins-base.
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/gst-0.10.15.ignore:
	  * gst/gst-pb-0.10.15.ignore:
	  * gst/gstversion.override.in:
	  New .ignore for 0.10.14.* API

2007-10-09 14:27:18 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/: Fix unit tests for pygobject >= 2.13.0
	  Original commit message from CVS:
	  * testsuite/common.py:
	  * testsuite/test_bin.py:
	  * testsuite/test_element.py:
	  * testsuite/test_ghostpad.py:
	  * testsuite/test_pad.py:
	  * testsuite/test_pipeline.py:
	  Fix unit tests for pygobject >= 2.13.0
	  See the pygobject bug #320428 for more information about the changes.

2007-10-08 22:05:29 +0000  Sébastien Moutte <sebastien@moutte.net>

	  win32/vs6/: win32/MANIFEST
	  Original commit message from CVS:
	  * win32/vs6/gst_python.dsw:
	  * win32/vs6/libgstpython.dsp:
	  * win32/vs6/pygenfiles.dsp:
	  * win32/MANIFEST
	  Add new project files to build with VS6.

2007-10-08 22:04:18 +0000  Sébastien Moutte <sebastien@moutte.net>

	  gst/pygstminiobject.c: Move up variable declaration to the top of the function.
	  Original commit message from CVS:
	  * gst/pygstminiobject.c: (pygstminiobject_dealloc):
	  Move up variable declaration to the top of the function.
	  * win32/vs6/gst_python.dsw:
	  * win32/vs6/libgstpython.dsp:
	  * win32/vs6/pygenfiles.dsp:
	  * win32/MANIFEST
	  Add new project files to build with VS6.

2007-09-11 11:49:50 +0000  Andy Wingo <wingo@pobox.com>

	  gst/gstmodule.c (DL_EXPORT): Remove the atexit(gst_deinit).
	  Original commit message from CVS:
	  2007-09-11  Andy Wingo  <wingo@pobox.com>
	  * gst/gstmodule.c (DL_EXPORT): Remove the atexit(gst_deinit).
	  Atexit handlers are run after python has finalized (see Py_Exit in
	  pythonrun.c), but gst_deinit can potentially call back into python
	  e.g. for python-defined plugins. Not sure how other people are
	  avoiding this segfault, but I see it all the time on Gusty x86-64
	  with Flumotion.

2007-08-16 12:42:13 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  gst/: Make ro memory to share.
	  Original commit message from CVS:
	  * ChangeLog:
	  * gst/pygstminiobject.c:
	  Make ro memory to share.

2007-08-01 17:18:05 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development cycle.
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development cycle.

=== release 0.10.8 ===

2007-08-01 17:14:09 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  Releasing 0.10.8
	  Original commit message from CVS:
	  Releasing 0.10.8

2007-07-30 16:10:03 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.7.2 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.7.2 pre-release

2007-07-30 11:57:26 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.override: And the dataqueue header only landed in 0.10.11 too.
	  Original commit message from CVS:
	  * gst/gst.override:
	  And the dataqueue header only landed in 0.10.11 too.

2007-07-30 11:39:08 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst-0.10.11.ignore: GstDataQueue was added in gstreamer-0.10.11
	  Original commit message from CVS:
	  * gst/gst-0.10.11.ignore:
	  GstDataQueue was added in gstreamer-0.10.11
	  * gst/gst-0.10.14.ignore:
	  some GstDataQueue methods were added in 0.10.14

2007-07-28 14:26:54 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Adding new API additions
	  Original commit message from CVS:
	  * gst/base.defs:
	  * gst/gst.defs:
	  * gst/interfaces.defs:
	  * gst/libs.defs:
	  * gst/gst.override:
	  * gst/gstmodule.c: (init_gst):
	  Adding new API additions
	  * gst/gstmessage.override:
	  wrap GstMessage.parse_buffering.
	  * gst/interfaces.override:
	  wrap gst_mixer_message_parse_*() functions.
	  wrap GstVideoOrientation::get_*() methods.

2007-07-28 14:22:49 +0000  Edward Hervey <bilboed@bilboed.com>

	  Adding version overrides for new core/base releases.
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/gst-0.10.14.ignore:
	  * gst/gst-pb-0.10.14.ignore:
	  * gst/gstversion.override.in:
	  Adding version overrides for new core/base releases.

2007-07-28 13:41:22 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/interfaces.override: Add more threadsafety in the overrides.
	  Original commit message from CVS:
	  * gst/interfaces.override:
	  Add more threadsafety in the overrides.

2007-07-27 11:47:16 +0000  Edward Hervey <bilboed@bilboed.com>

	  Add win32 requirements.
	  Original commit message from CVS:
	  * Makefile.am:
	  * configure.ac:
	  * win32/MANIFEST:
	  * win32/common/.cvsignore:
	  * win32/common/config.h.in:
	  Add win32 requirements.
	  Fixes #433375

2007-07-27 11:21:31 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.defs: Make .get_uri_type() methods return a GstURIType enum instead of an integer.
	  Original commit message from CVS:
	  reviewed by: Edward Hervey  <bilboed@bilboed.com>
	  * gst/gst.defs:
	  Make .get_uri_type() methods return a GstURIType enum instead of an
	  integer.
	  Fixes #436620

2007-07-27 11:12:33 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/extend/discoverer.py: New parameter to the discoverer to change the default maximum frame interleave.
	  Original commit message from CVS:
	  reviewed by: Edward Hervey  <bilboed@bilboed.com>
	  * gst/extend/discoverer.py:
	  New parameter to the discoverer to change the default maximum frame
	  interleave.
	  Fixes #418222

2007-07-27 11:04:55 +0000  Edward Hervey <bilboed@bilboed.com>

	  examples/gst-discover: Show duration of audio/video streams.
	  Original commit message from CVS:
	  reviewed by: Edward Hervey  <bilboed@bilboed.com>
	  * examples/gst-discover:
	  Show duration of audio/video streams.
	  Specify units for values.
	  Fixes #432521

2007-07-20 08:50:18 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  gst/gst-disable-loadsave.ignore: Override more when having now xml.
	  Original commit message from CVS:
	  * gst/gst-disable-loadsave.ignore:
	  Override more when having now xml.

2007-07-09 19:42:31 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstelement.override: Override the proxy method for GstElement::request_new_pad virtual methods since it can be ca...
	  Original commit message from CVS:
	  * gst/gstelement.override:
	  Override the proxy method for GstElement::request_new_pad virtual
	  methods since it can be called with NULL as the name.
	  Fixes #454259

2007-07-09 19:30:26 +0000  Zaheer Abbas Merali <zaheermerali@gmail.com>

	  gst/gstevent.override: Copy the GstStructure given as argument to gst_event_new_custom and gst_event_new_navigation, ...
	  Original commit message from CVS:
	  Patch by: Zaheer Abbas Merali <zaheermerali@gmail.com>
	  * gst/gstevent.override:
	  Copy the GstStructure given as argument to gst_event_new_custom
	  and gst_event_new_navigation, else it would be freed when the python
	  object wrapping that structure goes out of scope.
	  Fixes #450117

2007-07-05 13:57:41 +0000  Rene Stadler <mail@renestadler.de>

	  gst/: Handle 'gchar**' (GStrv) arguments in a uniform way.
	  Original commit message from CVS:
	  Patch by: Rene Stadler <mail@renestadler.de>
	  * gst/arg-types.py:
	  * gst/gst.defs:
	  * gst/gst.override:
	  Handle 'gchar**' (GStrv) arguments in a uniform way.
	  Fixes #385841

2007-06-27 15:40:12 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstbuffer.override: whoapadoooo wabada bada ...
	  Original commit message from CVS:
	  * gst/gstbuffer.override:
	  whoapadoooo wabada bada ...
	  nothing here... :)
	  Fixes #451645

2007-06-16 12:08:45 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/extend/: Fixes for thread-safety, changes in behaviour with gst.Pad and cleanup. Still has some issues.
	  Original commit message from CVS:
	  * gst/extend/jukebox.py:
	  * gst/extend/sources.py:
	  Fixes for thread-safety, changes in behaviour with gst.Pad and
	  cleanup. Still has some issues.

2007-06-14 14:53:28 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/__init__.py: Cleaner way of checking for existence of symbols in gst module.
	  Original commit message from CVS:
	  * gst/__init__.py:
	  Cleaner way of checking for existence of symbols in gst module.

2007-06-14 14:14:12 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  examples/sinkelement-registry.py: A quick modification of the sinkelement.py example that shows how to register a pur...
	  Original commit message from CVS:
	  * examples/sinkelement-registry.py:
	  A quick modification of the sinkelement.py example that
	  shows how to register a pure-python gst.Element into the
	  registry for use in autoplugging or parse_launch lines.

2007-06-12 19:01:25 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/__init__.py: Fix API cleanups that cause API breakage.
	  Original commit message from CVS:
	  * gst/__init__.py:
	  Fix API cleanups that cause API breakage.
	  Fixes #446674

2007-06-11 22:00:20 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  gst/gstpad.override: Wrap gst_pad_set_blocked_async in pyg thread unlock/lock.
	  Original commit message from CVS:
	  * gst/gstpad.override:
	  Wrap gst_pad_set_blocked_async in pyg thread unlock/lock.

2007-06-08 16:16:34 +0000  Michael Smith <msmith@fluendo.com>

	  gst/extend/discoverer.py: Better support for demuxers that don't create all pads at startup.
	  Original commit message from CVS:
	  Patch by : Michael Smith  <msmith@fluendo.com>
	  * gst/extend/discoverer.py:
	  Better support for demuxers that don't create all pads at startup.
	  Fixes #380966

2007-06-08 16:06:10 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst-0.10.12.ignore: Add more API additions that weren't explicit in the release notes.
	  Original commit message from CVS:
	  * gst/gst-0.10.12.ignore:
	  Add more API additions that weren't explicit in the release notes.
	  * gst/gst-0.10.13.ignore:
	  Personal note : remember to save file before commiting it.

2007-06-08 15:16:08 +0000  Edward Hervey <bilboed@bilboed.com>

	  Updating ignores for API additions
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/gst-0.10.12.ignore:
	  * gst/gst-0.10.13.ignore:
	  * gst/gstversion.override.in:
	  Updating ignores for API additions
	  * gst/base.defs:
	  * gst/gst-types.defs:
	  * gst/gst.defs:
	  * gst/interfaces.defs:
	  * gst/libs.defs:
	  Massive wrapping of new API additions
	  * gst/gstbase.override:
	  * gst/gstevent.override:
	  * gst/gstmessage.override:
	  * gst/gstquery.override:
	  Overrides for methods with return values as arguments.
	  * gst/xwindowlistener.defs:
	  What the $#@# is this file still doing here ?? Removing it.

2007-05-23 09:49:07 +0000  Edward Hervey <bilboed@bilboed.com>

	  Example of how to properly ignore methods that aren't available if some feature is disabled in GStreamer core.
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/gst-disable-loadsave.ignore:
	  * gst/gstversion.override.in:
	  Example of how to properly ignore methods that aren't available if
	  some feature is disabled in GStreamer core.

2007-04-23 14:42:25 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  configure.ac: Add example for the new AG_GST_PARSE_SUBSYSTEM_DISABLE macro.
	  Original commit message from CVS:
	  * configure.ac:
	  Add example for the new AG_GST_PARSE_SUBSYSTEM_DISABLE macro.

2007-04-19 15:43:16 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstbin.override: Release the GIL in GstBin overrides.
	  Original commit message from CVS:
	  * gst/gstbin.override:
	  Release the GIL in GstBin overrides.

2007-04-13 11:26:43 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  gst/gstelement.override: Release the python lock when performing GStreamer calls that might result in callbacks into ...
	  Original commit message from CVS:
	  * gst/gstelement.override:
	  Release the python lock when performing GStreamer calls that might
	  result in callbacks into python.

2007-04-11 09:33:37 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  gst/gstbase.override: Unroll the GIL state in an error case where it was missing.
	  Original commit message from CVS:
	  * gst/gstbase.override:
	  Unroll the GIL state in an error case where it was missing.

2007-04-11 09:22:15 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  gst/gstpad.override: Release the GIL lock while executing queries in GStreamer.
	  Original commit message from CVS:
	  * gst/gstpad.override:
	  Release the GIL lock while executing queries in GStreamer.

2007-04-10 18:01:25 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  Implement pad query proxying so that python elements can answer pad queries. Fixes: #428299
	  Original commit message from CVS:
	  * examples/pyidentity.py:
	  * gst/common.h:
	  * gst/gstpad.override:
	  Implement pad query proxying so that python elements can
	  answer pad queries. Fixes: #428299

2007-04-10 12:44:44 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  examples/pyidentity.py: Add a simple example that implements an identity-like element in python and passes buffers th...
	  Original commit message from CVS:
	  * examples/pyidentity.py:
	  Add a simple example that implements an identity-like element in
	  python and passes buffers through. It lacks buffer-alloc & query
	  handling at the moment, because the required gstreamer funcs aren't
	  wrapped.
	  * examples/sinkelement.py:
	  Make sure to call gobject.threads_init() in the example.

2007-04-04 12:57:32 +0000  Edward Hervey <bilboed@bilboed.com>

	  codegen/codegen.py: Also ignore pointers and boxed if they're in ignore-type.
	  Original commit message from CVS:
	  * codegen/codegen.py:
	  Also ignore pointers and boxed if they're in ignore-type.
	  * gst/gst-0.10.7.ignore:
	  Add gst_type_find_factory_call_function to functions ignored before
	  0.10.7 since it requires GstTypeFind arguments.

2007-04-04 12:27:03 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	* ChangeLog:
	  Changelog surgery: Attribute the previous release to Monsieur Hervey
	  Original commit message from CVS:
	  Changelog surgery: Attribute the previous release to Monsieur Hervey

2007-04-04 12:22:03 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  gst/: Fix the build for x86_64 when compiling against Python 2.5.
	  Original commit message from CVS:
	  * gst/common.h:
	  * gst/gst.override:
	  * gst/gstbuffer.override:
	  * gst/gstcaps.override:
	  * gst/gststructure.override:
	  * gst/gsttaglist.override:
	  * gst/interfaces.override:
	  Fix the build for x86_64 when compiling against Python 2.5.
	  Keeps backwards compatibility with Python 2.4. Tested on Ubuntu
	  Edgy 32-bit with python 2.4 & Feisty 64-bit with Python 2.4 & 2.5
	  Fixes #415003.

2007-03-25 19:02:23 +0000  Tim-Philipp Müller <tim@centricular.net>

	  gst/interfaces.defs: GstTunerChannel and GstTunerNorm are not GstObjects, only GObjects.
	  Original commit message from CVS:
	  * gst/interfaces.defs:
	  GstTunerChannel and GstTunerNorm are not GstObjects, only GObjects.

2007-03-19 01:21:12 +0000  Johan Dahlin <johan@gnome.org>

	  gst/: Make it compilable on Python 2.4 and Python 2.5
	  Original commit message from CVS:
	  * gst/common.h:
	  * gst/gsttaglist.override:
	  Make it compilable on Python 2.4 and Python 2.5

2007-03-18 17:45:16 +0000  Johan Dahlin <johan@gnome.org>

	  gst/__init__.py: Implement multiplication, divison and float coercing for fractions.
	  Original commit message from CVS:
	  * gst/__init__.py: Implement multiplication, divison and float
	  coercing for fractions.
	  * testsuite/test_fraction.py:
	  Add fraction tests

2007-03-17 13:36:48 +0000  Johan Dahlin <johan@gnome.org>

	  Implement sq_contains and add tests for gst.TagList.
	  Original commit message from CVS:
	  * gst/gsttaglist.override (_wrap_gst_tag_list_contains):
	  * testsuite/test_taglist.py (TestTagList.testKeys):
	  Implement sq_contains and add tests for gst.TagList.

2007-03-02 11:03:46 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/__init__.py: Import libxml2 (if available) at import time with GLOBAL and LAZY flags.
	  Original commit message from CVS:
	  * gst/__init__.py:
	  Import libxml2 (if available) at import time with GLOBAL and LAZY flags.
	  Fixes #398567

2007-03-01 14:21:52 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/__init__.py: Added __eq__ method to fractions so we can check if two fractions are equal.
	  Original commit message from CVS:
	  * gst/__init__.py:
	  Added __eq__ method to fractions so we can check if two fractions are
	  equal.
	  * gst/pygstvalue.c: (my_gcd), (pygst_value_from_pyobject):
	  Attempt to simplify gst.Fraction before filling in a GValue.
	  Fixes #381243
	  * testsuite/test_caps.py:
	  * testsuite/test_struct.py:
	  Minor beauty fixes. framerates are fractions, not floats.

2007-03-01 13:47:12 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/interfacesmodule.c: initialize pygobject in the gst.interfaces modules. The absence of it causes segfaults on Sol...
	  Original commit message from CVS:
	  reviewed by: Edward Hervey  <edward@fluendo.com>
	  * gst/interfacesmodule.c: (initinterfaces):
	  initialize pygobject in the gst.interfaces modules. The absence of it
	  causes segfaults on Solaris and MIPS machines.
	  Fixes #343980

2007-02-28 22:09:33 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* common:
	* configure.ac:
	  trigger rebuild
	  Original commit message from CVS:
	  trigger rebuild

2007-02-27 10:44:21 +0000  Michael Smith <msmith@xiph.org>

	  gst/base.defs: Limitations in the code generator mean that we can't handle PushSrc in a way which works, so just comm...
	  Original commit message from CVS:
	  * gst/base.defs:
	  Limitations in the code generator mean that we can't handle PushSrc
	  in a way which works, so just comment this out until someone wants
	  to tackle this more completely.

2007-02-25 12:11:34 +0000  Michael Smith <msmith@xiph.org>

	  gst/pygstvalue.c: Make buffers-in-gvalues more generic: handle all miniobjects
	  Original commit message from CVS:
	  * gst/pygstvalue.c: (pygst_value_init_for_pyobject),
	  (pygst_value_from_pyobject):
	  Make buffers-in-gvalues more generic: handle all miniobjects
	  * testsuite/test_caps.py:
	  Add a bit to one the test for buffers in caps.

2007-02-24 14:14:14 +0000  Michael Smith <msmith@xiph.org>

	  testsuite/test_caps.py: Add test for gst.Buffer in caps.
	  Original commit message from CVS:
	  * testsuite/test_caps.py:
	  Add test for gst.Buffer in caps.

2007-02-22 16:13:53 +0000  Michael Smith <msmith@xiph.org>

	  gst/pygstvalue.c: Implement gst.Buffer support in GValues (e.g. for caps containing buffers)
	  Original commit message from CVS:
	  * gst/pygstvalue.c: (pygst_value_as_pyobject),
	  (pygst_value_init_for_pyobject), (pygst_value_from_pyobject):
	  Implement gst.Buffer support in GValues (e.g. for caps containing
	  buffers)

2007-02-16 02:39:56 +0000  David Schleef <ds@schleef.org>

	  Makefile.am: Add ACLOCAL_AMFLAGS
	  Original commit message from CVS:
	  * Makefile.am: Add ACLOCAL_AMFLAGS

2007-02-04 11:40:09 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/common.py: A private variable of unittest.TestCase changed name in python 2.5.
	  Original commit message from CVS:
	  * testsuite/common.py:
	  A private variable of unittest.TestCase changed name in python 2.5.
	  This fixes make check with python2.5

2007-02-04 10:54:48 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstpad.override: Allow removing the negotiated pads of a cap by setting them to None.
	  Original commit message from CVS:
	  reviewed by: Edward Hervey  <edward@fluendo.com>
	  * gst/gstpad.override:
	  Allow removing the negotiated pads of a cap by setting them to None.
	  * testsuite/test_pad.py:
	  Added un-negotian of pads' caps to test above patch.
	  Fixes #363795

2007-02-04 10:44:40 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/interfaces.override: Gracefully handle the case where gst_property_probe_get_values_name() returns NULL.
	  Original commit message from CVS:
	  * gst/interfaces.override:
	  Gracefully handle the case where gst_property_probe_get_values_name()
	  returns NULL.

2007-02-04 10:23:38 +0000  Edward Hervey <bilboed@bilboed.com>

	  Fully implement GstPropertyProbe interface, with unit test.
	  Original commit message from CVS:
	  reviewed by: Edward Hervey  <edward@fluendo.com>
	  * gst/interfaces.defs:
	  * gst/interfaces.override:
	  * testsuite/test_interface.py:
	  Fully implement GstPropertyProbe interface, with unit test.
	  Fixes #376996

2007-01-31 16:53:15 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development cycle.
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development cycle.

=== release 0.10.7 ===

2007-01-31 16:51:37 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  Releasing 0.10.7
	  Original commit message from CVS:
	  Releasing 0.10.7

2007-01-29 12:27:46 +0000  Edward Hervey <bilboed@bilboed.com>

	  codegen/codegen.py: Don't register interface if it is ignored
	  Original commit message from CVS:
	  * codegen/codegen.py:
	  Don't register interface if it is ignored
	  * configure.ac:
	  GST_PB_MINOR_VERSION doesn't appear by magic, you actually have to
	  parse it from pkg-config !
	  * gst/gst-pb-0.10.11.ignore:
	  Ignore GstVideoOrientation type altogether.
	  * gst/interfaces.override:
	  Include gstversion.override so that non-existent API is properly ignored.
	  Should fix #401051 once and for good now.

2007-01-29 11:17:45 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	  ChangeLog surgery : Indicate which bug last ocmmit fixed.
	  Original commit message from CVS:
	  ChangeLog surgery : Indicate which bug last ocmmit fixed.
	  ----------------------------------------------------------------------

2007-01-29 11:16:35 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Check for availability of video-orientation interface
	  Original commit message from CVS:
	  * configure.ac:
	  Check for availability of video-orientation interface
	  * gst/gst.override:
	  don't forget to increment the refcount of Py_None before returning it.
	  * gst/interfaces.override:
	  If video-orientation interface isn't available, don't include the
	  header.

2007-01-26 11:58:55 +0000  Edward Hervey <bilboed@bilboed.com>

	  Add ignore file for 0.10.12 API additions
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/gstversion.override.in:
	  * gst/gst-0.10.12.ignore:
	  Add ignore file for 0.10.12 API additions
	  * gst/gst.defs:
	  * gst/base.defs:
	  * gst/gst-types.defs:
	  Add new API definitions
	  * gst/gst-0.10.10.ignore:
	  * gst/gst-0.10.11.ignore:
	  Fixup ignore files.
	  * testsuite/test_segment.py:
	  The update return value is uncertain and will soon be deprecated, don't
	  check against it anymore.

2007-01-17 11:22:04 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  wrap mixer set_volume, use tuple to match get_volume
	  Original commit message from CVS:
	  * examples/mixer.py:
	  * gst/interfaces.override:
	  wrap mixer set_volume, use tuple to match get_volume

2007-01-17 07:30:11 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  gst/pygstexception.*: gst.element_factory_make should raise ElementNotFoundError.
	  Original commit message from CVS:
	  * gst/pygstexception.c: (element_not_found_error_init),
	  (pygst_exceptions_register_classes):
	  * gst/pygstexception.h:
	  gst.element_factory_make should raise ElementNotFoundError.
	  Subclass it from PluginNotFoundError so we can add it compatibly
	  and remove the wrong one later.
	  * gst/gstelementfactory.override:
	  raise ElementNotFoundError

2007-01-17 06:27:38 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  gst/interfaces.*: wrap mixer get_volume
	  Original commit message from CVS:
	  * gst/interfaces.defs:
	  * gst/interfaces.override:
	  wrap mixer get_volume
	  * examples/Makefile.am:
	  * examples/mixer.py:
	  add an example using it

2007-01-17 06:27:12 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* gst/gst-pb-0.10.11.ignore:
	  add pb ignore file
	  Original commit message from CVS:
	  add pb ignore file

2007-01-17 06:15:33 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  configure.ac: fix use of PKG_CHECK_MODULES check for a pygobject of at least 2.11 for a value_from_pyobject fix
	  Original commit message from CVS:
	  * configure.ac:
	  fix use of PKG_CHECK_MODULES
	  check for a pygobject of at least 2.11 for a value_from_pyobject fix
	  * gst/gstobject.override:
	  use it

2007-01-17 05:02:01 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  gst/extend/discoverer.py: this is a module, not a program, so don't require versions
	  Original commit message from CVS:
	  * gst/extend/discoverer.py:
	  this is a module, not a program, so don't require versions

2007-01-17 04:40:33 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  configure.ac: check for stuff added in gst-pb 0.10.11
	  Original commit message from CVS:
	  * configure.ac:
	  check for stuff added in gst-pb 0.10.11
	  * gst/Makefile.am:
	  * gst/interfaces.defs:
	  * gst/interfaces.override:
	  add video orientation interface

2007-01-11 17:45:46 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.defs: Add declaration of gst_object_set_property so we can use our MT-safe version of set_property().
	  Original commit message from CVS:
	  * gst/gst.defs:
	  Add declaration of gst_object_set_property so we can use our MT-safe
	  version of set_property().
	  * gst/gstobject.override:
	  Implement a MT-safe version of g_object_set_property for GstObject.
	  The problem is that currently g_object_set_property is called in
	  pygobject with the GIL lock taken. This can cause deadlocks.
	  Remove this hack once bug #395048 is fixed in pygobject and we depend on
	  the fixed version.
	  Thanks to Lord Wingo of the "realm.py haters club" for proposing the
	  idea.

2007-01-10 16:13:29 +0000  Edward Hervey <bilboed@bilboed.com>

	  codegen/codegen.py: When chaining up to the parent class methods from python to C, we need to allow threads (i.e. rel...
	  Original commit message from CVS:
	  * codegen/codegen.py:
	  When chaining up to the parent class methods from python to C, we need
	  to allow threads (i.e. release the GIL).
	  * gst/gstbase.override:
	  * gst/gstbin.override:
	  Modify __do_*() overrides in the same way as above.

2007-01-05 10:48:36 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  gst/extend/discoverer.py: No shebang line needed since there is no main code.
	  Original commit message from CVS:
	  * gst/extend/discoverer.py:
	  No shebang line needed since there is no main code.

2006-12-19 11:38:01 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.defs: Update API definitions.
	  Original commit message from CVS:
	  * gst/gst.defs:
	  Update API definitions.
	  * gst/common.h:
	  * gst/gstpad.override:
	  Add wrapper functions for settings activate, activatepull and
	  activatepush functions on pads.
	  * gst/gst.override:
	  Wrapper for gst_segment_set_seek() and gst_segment_clip()
	  Remove global ignore for *_init(), allows gst_segment_init() to be
	  properly code-generated.
	  * testsuite/Makefile.am:
	  * testsuite/test_segment.py:
	  Add unit test for gst.Segment object.

2006-12-16 15:33:02 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/test_pad.py: Activate pads before using them.
	  Original commit message from CVS:
	  * testsuite/test_pad.py:
	  Activate pads before using them.

2006-12-16 15:16:33 +0000  Edward Hervey <bilboed@bilboed.com>

	  RELEASE: Commit 0.10.6 RELEASE file. Better late than never :(
	  Original commit message from CVS:
	  * RELEASE:
	  Commit 0.10.6 RELEASE file. Better late than never :(

2006-12-16 14:41:21 +0000  Edward Hervey <bilboed@bilboed.com>

	  Move GstIterator ArgType definition and usage for the codegenerator to gst/arg-types.py. It has nothing to do in the ...
	  Original commit message from CVS:
	  * codegen/argtypes.py:
	  * gst/arg-types.py:
	  Move GstIterator ArgType definition and usage for the codegenerator
	  to gst/arg-types.py. It has nothing to do in the codegenerator code.

2006-12-15 17:02:31 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  add doap file
	  Original commit message from CVS:
	  * Makefile.am:
	  * gst-python.doap:
	  * gst-python.spec.in:
	  add doap file

2006-12-11 09:58:51 +0000  Tim-Philipp Müller <tim@centricular.net>

	  gst/interfaces.defs: GstColorBalanceChannel is a GObject, not a GstObject. Fixes #383805.
	  Original commit message from CVS:
	  * gst/interfaces.defs:
	  GstColorBalanceChannel is a GObject, not a GstObject. Fixes #383805.

2006-12-04 19:54:19 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	  changelog surgery, remove the conflict that has been there for 7 month
	  Original commit message from CVS:
	  changelog surgery, remove the conflict that has been there for 7 month

2006-12-04 17:54:39 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development cycle
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development cycle

=== release 0.10.6 ===

2006-12-04 17:19:44 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	* configure.ac:
	  Releasing gst-python 0.10.6
	  Original commit message from CVS:
	  Releasing gst-python 0.10.6

2006-12-04 16:41:12 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.5.4 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.5.4 pre-release

2006-12-01 17:41:28 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Add implementation of gst.Pad.set_setcaps_function().
	  Original commit message from CVS:
	  * gst/common.h:
	  * gst/gstpad.override:
	  Add implementation of gst.Pad.set_setcaps_function().

2006-11-28 15:36:50 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.5.3 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.5.3 pre-release

2006-11-22 17:31:02 +0000  Edward Hervey <bilboed@bilboed.com>

	  examples/audio-controller.py: Fix example, use proper property name. Doesn't change anything to the way it used to wo...
	  Original commit message from CVS:
	  * examples/audio-controller.py:
	  Fix example, use proper property name. Doesn't change anything to the
	  way it used to work, but since it's an example it should be done
	  properly.

2006-11-22 17:20:21 +0000  Edward Hervey <bilboed@bilboed.com>

	  codegen/override.py: Fix the lookup of override files in the specified search directories.
	  Original commit message from CVS:
	  * codegen/override.py:
	  Fix the lookup of override files in the specified search directories.
	  * gst/Makefile.am:
	  Don't distribute gstversion.override
	  Fixup .defs => .c make instructions
	  All the above fixes the cases where you're building in a directory
	  different from the source directory.

2006-11-20 11:26:46 +0000  Christian Schaller <uraeus@gnome.org>

	* gst-python.spec.in:
	  Update spec file for latest changes
	  Original commit message from CVS:
	  Update spec file for latest changes

2006-11-15 14:36:39 +0000  Michael Smith <msmith@xiph.org>

	  gst/extend/discoverer.py: Avoid buffering infinite amounts of decoded data if a decoder is feeding us data without a ...
	  Original commit message from CVS:
	  * gst/extend/discoverer.py:
	  Avoid buffering infinite amounts of decoded data if a decoder is
	  feeding us data without a duration (or with bad duration values).

2006-11-07 12:24:13 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/extend/discoverer.py: Make the queue buffer up 1s of data before outputting to the sinks. This should give time f...
	  Original commit message from CVS:
	  * gst/extend/discoverer.py: Make the queue buffer up 1s of data before
	  outputting to the sinks. This should give time for some demuxers like
	  mpegdemux or fluasfdemux to discover a bit more about the muxed
	  stream and add the correct pads.
	  Fixes #371969

2006-11-07 11:47:26 +0000  Andy Wingo <wingo@pobox.com>

	  examples/: New tool, runs the discoverer on a file and prints out what we get.
	  Original commit message from CVS:
	  2006-11-07  Andy Wingo  <wingo@pobox.com>
	  * examples/Makefile.am (examples_DATA):
	  * examples/gst-discover: New tool, runs the discoverer on a file
	  and prints out what we get.

2006-11-03 15:54:47 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.override: Use a copy of the caps.
	  Original commit message from CVS:
	  * gst/gst.override:
	  Use a copy of the caps.

2006-10-20 11:51:35 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.5.2 pre-release
	  Original commit message from CVS:
	  * configure.ac:
	  0.10.5.2 pre-release

2006-10-20 11:33:01 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst-0.10.10.ignore: Added symbols added in 0.10.10
	  Original commit message from CVS:
	  * gst/gst-0.10.10.ignore:
	  Added symbols added in 0.10.10
	  * gst/gst-0.10.6.ignore:
	  gst_dp_packetizer_new() addition
	  * gst/gst.defs:
	  Updated API for 0.10.10 symbols
	  * gst/gstmodule.c: (init_gst):
	  Added GST_TAG_EXTENDED_COMMENT which appeared in 0.10.10
	  * gst/libs.defs:
	  Added gst_dp_packetizer_new() which was added in 0.10.6. It still won't
	  work because GstDPPacketizer is a pointer. It needs to have a GBoxed
	  definition in order to be used properly within gst-python.
	  Also added controller-related additions

2006-10-20 10:41:46 +0000  Edward Hervey <bilboed@bilboed.com>

	  Added ignore files for 0.10.11 gstreamer core
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/gst-0.10.11.ignore:
	  * gst/gstversion.override.in:
	  Added ignore files for 0.10.11 gstreamer core
	  * gst/base.defs:
	  Updated API for base libs
	  * gst/gst.defs:
	  Updated API for core
	  * gst/gst.override:
	  remove #ifdef for methods which weren't available in versions of pygtk
	  we don't support anymore.
	  * gst/gstbase.override:
	  Added overrides for GstBaseSink::get_times() virtual method
	  * gst/gstbin.override:
	  Added override for GstBin::handle_message() virtual method

2006-10-20 09:51:25 +0000  Edward Hervey <bilboed@bilboed.com>

	  examples/Makefile.am: Remove gst123 and vorbisplay.py from sources, and add decodebin.py
	  Original commit message from CVS:
	  * examples/Makefile.am:
	  Remove gst123 and vorbisplay.py from sources, and add decodebin.py

2006-10-20 09:47:16 +0000  Edward Hervey <bilboed@bilboed.com>

	  examples/: Removed gst123 and vorbisplay examples which weren't working with 0.10, and replaced them with decodebin.py
	  Original commit message from CVS:
	  reviewed by: Edward Hervey  <edward@fluendo.com>
	  * examples/decodebin.py:
	  * examples/gst123:
	  * examples/vorbisplay.py:
	  Removed gst123 and vorbisplay examples which weren't working with
	  0.10, and replaced them with decodebin.py
	  Closes #362183 and #362202

2006-10-20 09:27:43 +0000  Edward Hervey <bilboed@bilboed.com>

	  examples/: Closes #362290 and #362272
	  Original commit message from CVS:
	  * examples/audioconcat.py:
	  * examples/cp.py:
	  Port to 0.10 by Jason Gerard DeRose <jderose@jasonderose.org>
	  Closes #362290 and #362272
	  * examples/bps.py:
	  Indentation fixes by Jason Gerard DeRose <jderose@jasonderose.org>
	  Closes #362011
	  Also small fix for Usage string

2006-10-16 14:46:19 +0000  Tim-Philipp Müller <tim@centricular.net>

	  gst/gst.defs: Don't use 'interface' as variable name, MingW doesn't like that (fixes #359375).
	  Original commit message from CVS:
	  * gst/gst.defs:
	  Don't use 'interface' as variable name, MingW doesn't like that
	  (fixes #359375).

2006-10-12 19:02:41 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* common:
	* gst/extend/.gitignore:
	  moap ignore
	  Original commit message from CVS:
	  moap ignore

2006-10-05 18:27:58 +0000  Tim-Philipp Müller <tim@centricular.net>

	  gst/pygstiterator.c: Printf format fix.
	  Original commit message from CVS:
	  * gst/pygstiterator.c: (pygst_iterator_new):
	  Printf format fix.

2006-10-03 09:24:11 +0000  Edward Hervey <bilboed@bilboed.com>

	  codegen/argtypes.py: Revert the UInt64Arg modifications from upstream. It forces us to give a PyLong, whereas we can ...
	  Original commit message from CVS:
	  * codegen/argtypes.py:
	  Revert the UInt64Arg modifications from upstream. It forces us to give
	  a PyLong, whereas we can directly use the 'K' argument parsing for that.

2006-09-29 09:53:11 +0000  Edward Hervey <bilboed@bilboed.com>

	  ltihooks.py: Removed
	  Original commit message from CVS:
	  * ltihooks.py:
	  Removed
	  * testsuite/common.py:
	  ltihooks is dead, long live gstltihooks. This should complete thomas'
	  fix of #357310.

2006-09-28 10:03:22 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  gst/Makefile.am: Explicitly export _PyGObject_API from our modules, as it's apparently needed for import. Previously ...
	  Original commit message from CVS:
	  * gst/Makefile.am:
	  Explicitly export _PyGObject_API from our modules, as it's apparently
	  needed for import. Previously we implicitly relied on a bug in the
	  core providing --export-dynamic as a link flag.

2006-09-23 10:43:18 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  Fix #357310
	  Original commit message from CVS:
	  * Makefile.am:
	  * gst/__init__.py:
	  * gstltihooks.py:
	  Fix #357310

2006-09-22 13:21:59 +0000  Rene Stadler <mail@renestadler.de>

	  gst/gstlibs.override: Fixes for GstController creation memleak fixes.
	  Original commit message from CVS:
	  Patch by: Rene Stadler <mail@renestadler.de>
	  * gst/gstlibs.override:
	  Fixes for GstController creation
	  memleak fixes.

2006-09-12 11:16:08 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/extend/Makefile.am: Forgot to add 3 previous files to the Makefile so they get installed.
	  Original commit message from CVS:
	  * gst/extend/Makefile.am:
	  Forgot to add 3 previous files to the Makefile so they get
	  installed.

2006-09-12 11:14:24 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/extend/: Revival of the jukebox (and leveller) using 0.10 and gnonlin.
	  Original commit message from CVS:
	  * gst/extend/jukebox.py:
	  * gst/extend/leveller.py:
	  * gst/extend/sources.py:
	  Revival of the jukebox (and leveller) using 0.10 and gnonlin.
	  Still needs a bit of love, but functionnal enough.

2006-09-10 08:56:22 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	  Give proper credits to the author of the patch
	  Original commit message from CVS:
	  Give proper credits to the author of the patch

2006-09-10 08:53:26 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/libs.defs: Add definition for GstParamFlags, extension of the GParamFlags.
	  Original commit message from CVS:
	  * gst/libs.defs:
	  Add definition for GstParamFlags, extension of the GParamFlags.
	  Only contains one flag, gst.PARAM_CONTROLLABLE.
	  Closes #355150

2006-08-31 14:03:44 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst-0.10.10.ignore: API addition
	  Original commit message from CVS:
	  * gst/gst-0.10.10.ignore:
	  API addition
	  * gst/gst.defs:
	  Added new ghostpad functions.

2006-08-29 10:05:40 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.override: We don't own a reference on the elements contained in the list returned by gst_xml_get_topelements().
	  Original commit message from CVS:
	  * gst/gst.override:
	  We don't own a reference on the elements contained in the list
	  returned by gst_xml_get_topelements().

2006-08-29 09:23:59 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/test_pad.py: The bug was not a bug. Fixed the typo.
	  Original commit message from CVS:
	  * testsuite/test_pad.py:
	  The bug was not a bug. Fixed the typo.

2006-08-29 07:43:42 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  testsuite/test_pad.py: add a test for event probes - shows a bug, for which I commented the failUnless out
	  Original commit message from CVS:
	  * testsuite/test_pad.py:
	  add a test for event probes - shows a bug, for which I commented
	  the failUnless out

2006-08-21 12:55:37 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Whoops, typo error :)
	  Original commit message from CVS:
	  * configure.ac:
	  Whoops, typo error :)

2006-08-21 11:43:01 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: attempt to fix build.
	  Original commit message from CVS:
	  * configure.ac:
	  attempt to fix build.

2006-08-21 11:31:51 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: If pygobject is available, only build with it, else try to find pygtk to stay compatible with older ver...
	  Original commit message from CVS:
	  * configure.ac:
	  If pygobject is available, only build with it, else try to find pygtk
	  to stay compatible with older version.
	  * gst/Makefile.am:
	  Switch to pygobject CFLAGS.
	  * testsuite/Makefile.am:
	  Switch to pygobject CFLAGS.

2006-08-08 19:21:51 +0000  Edward Hervey <bilboed@bilboed.com>

	  codegen/codegen.py: newer pygobject's pyg_constant_strip_prefix() now return a const gchar * whereas PyModule_AddIntC...
	  Original commit message from CVS:
	  * codegen/codegen.py:
	  newer pygobject's pyg_constant_strip_prefix() now return a const gchar *
	  whereas PyModule_AddIntConstant() takes a normal gchar*.
	  Closes #349623

2006-08-05 17:15:52 +0000  Andy Wingo <wingo@pobox.com>

	  examples/synchronizer.py: Actually appears to work now, will have to try with guadec videos on Monday.
	  Original commit message from CVS:
	  2006-08-05  Andy Wingo  <wingo@pobox.com>
	  * examples/synchronizer.py: Actually appears to work now, will
	  have to try with guadec videos on Monday.
	  * examples/remuxer.py (PlayerWindow.create_ui): Disable the
	  auto-adjusting of cut in and cut out times, it's annoying.

2006-08-04 17:04:27 +0000  Andy Wingo <wingo@pobox.com>

	* examples/synchronizer.py:
	  small updates, still ui only
	  Original commit message from CVS:
	  small updates, still ui only

2006-08-04 16:42:15 +0000  Andy Wingo <wingo@pobox.com>

	  examples/synchronizer.py: New file, a bit of a hack to remuxer.py, but for resyncing a bad ogg. Only UI at the moment..
	  Original commit message from CVS:
	  2006-08-04  Andy Wingo  <wingo@pobox.com>
	  * examples/synchronizer.py: New file, a bit of a hack to
	  remuxer.py, but for resyncing a bad ogg. Only UI at the moment..

2006-07-28 13:56:43 +0000  Andy Wingo <wingo@pobox.com>

	* ChangeLog:
	  changelog
	  Original commit message from CVS:
	  changelog

2006-07-28 13:56:20 +0000  James Doc Livingston <doclivingston@gmail.com>

	  examples/remuxer.py (RemuxBin._do_seek, Remuxer._bus_watch): Use normal seeks instead of segment seeks so that EOS is...
	  Original commit message from CVS:
	  2006-07-28  Andy Wingo  <wingo@pobox.com>
	  * examples/remuxer.py (RemuxBin._do_seek, Remuxer._bus_watch): Use
	  normal seeks instead of segment seeks so that EOS is handled
	  properly. Patch by James "Doc" Livingston <doclivingston at
	  gmail.com>. (#348416)
	  * examples/remuxer.py (RemuxBin._new_demuxed_pad): Increase the
	  buffer size for dealing with terribly muxed files.

2006-07-20 17:05:22 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Back to development cycle
	  Original commit message from CVS:
	  * configure.ac:
	  Back to development cycle

=== release 0.10.5 ===

2006-07-20 17:03:57 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	* NEWS:
	  0.10.5 "My Little Poney wants some Funk" release
	  Original commit message from CVS:
	  0.10.5 "My Little Poney wants some Funk" release
	  ----------------------------------------------------------------------

2006-07-19 14:21:36 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.4.2 pre-release
	  Original commit message from CVS:
	  * configure.ac: 0.10.4.2 pre-release

2006-07-18 15:33:41 +0000  Edward Hervey <bilboed@bilboed.com>

	  Add new ignore for 0.10.10 API additions
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/gst-0.10.10.ignore:
	  * gst/gstversion.override.in:
	  Add new ignore for 0.10.10 API additions
	  * gst/gst.defs:
	  Added definitions for new segtrap functions

2006-07-05 11:35:12 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstmodule.c: Added gst.BUFFER_OFFSET_NONE for proper (guint64) -1 conversion between python and C.
	  Original commit message from CVS:
	  * gst/gstmodule.c: (init_gst):
	  Added gst.BUFFER_OFFSET_NONE for proper (guint64) -1 conversion between
	  python and C.

2006-07-03 14:44:20 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Repeat 100 times : "I shouldn't commit patches without checking them thoroughly, especially if they come from s...
	  Original commit message from CVS:
	  * gst/gstelement.override:
	  * gst/gstevent.override:
	  * gst/gstmessage.override:
	  * gst/gstquery.override:
	  Repeat 100 times : "I shouldn't commit patches without checking
	  them thoroughly, especially if they come from someone I trust".
	  Fix the broken Py_BuildValue.

2006-07-03 13:32:08 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  add gcov stuff
	  Original commit message from CVS:
	  * Makefile.am:
	  * configure.ac:
	  * gst/Makefile.am:
	  add gcov stuff

2006-07-03 13:31:19 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  gst/gstmodule.c: don't crash when error is NULL
	  Original commit message from CVS:
	  * gst/gstmodule.c: (init_gst):
	  don't crash when error is NULL

2006-07-03 09:31:26 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstmessage.override: State change is a list and not a tuple
	  Original commit message from CVS:
	  * gst/gstmessage.override:
	  State change is a list and not a tuple
	  * gst/gstpad.override:
	  query_position() got busted in previous commit.

2006-07-03 09:01:18 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Use Py_BuildValue to construct tuples.
	  Original commit message from CVS:
	  reviewed by: Edward Hervey  <edward@fluendo.com>
	  * gst/gstelement.override:
	  * gst/gstevent.override:
	  * gst/gstmessage.override:
	  * gst/gstpad.override:
	  * gst/gstquery.override:
	  Use Py_BuildValue to construct tuples.
	  Use tuples for collection of different objects.
	  See http://www.python.org/doc/faq/general/#why-are-there-separate-tuple-and-list-data-types
	  * testsuite/test_event.py:
	  [message|query|event].parse_* now return tuples and not list.
	  Fixes #334548

2006-07-02 15:25:04 +0000  Edward Hervey <bilboed@bilboed.com>

	  Removal of all glib < 2.8 cruft since GStreamer core now requires glib >= 2.8
	  Original commit message from CVS:
	  Removal of all glib < 2.8 cruft since GStreamer core now requires
	  glib >= 2.8
	  * codegen/argtypes.py:
	  remove gstobject cruft from ObjectArg
	  * configure.ac:
	  Require glib >= 2.8.0
	  * gst/Makefile.am:
	  * gst/pygstobject.c:
	  * gst/pygstobject.h:
	  Remove pygstobject.[ch]
	  * gst/common.h:
	  Don't include removed header file.
	  * gst/gst.override:
	  * gst/gstbin.override:
	  * gst/gstbus.override:
	  * gst/gstelement.override:
	  * gst/gstelementfactory.override:
	  * gst/gstmessage.override:
	  * gst/gstobject.override:
	  * gst/gstpad.override:
	  * gst/interfaces.override:
	  * gst/pygstiterator.c: (pygst_iterator_iter_next):
	  Switch from using pygstobject* functions to using pygobject* functions.
	  * gst/gstmodule.c: (sink_gstobject), (init_gst):
	  Move GstObject sink function here and use standard gobject refcounting.

2006-06-22 19:12:36 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: 0.10.7 ignore file is for 0.10.7 AND 0.10.8 (due to brown paperbag release).
	  Original commit message from CVS:
	  * configure.ac: (GST_LIBS):
	  0.10.7 ignore file is for 0.10.7 AND 0.10.8 (due to brown paperbag
	  release).

2006-06-15 09:58:08 +0000  Edward Hervey <bilboed@bilboed.com>

	  codegen/codegen.py: Always unblock threads when going to C.
	  Original commit message from CVS:
	  * codegen/codegen.py:
	  Always unblock threads when going to C.
	  * gst/gst.defs:
	  Revert unblock-threads noise.

2006-06-14 10:00:32 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst-types.defs: Added fields for GstPadTemplate.
	  Original commit message from CVS:
	  * gst/gst-types.defs:
	  Added fields for GstPadTemplate.
	  * gst/gst.defs:
	  Made gst_element_class_get_template_list a GstElement method.
	  * gst/gstelement.override:
	  Override for gst.Element.get_template_list()
	  * gst/gstpad.override:
	  Override getter for GstStaticPadTemplate.static_caps so that it uses
	  the correct pointer.

2006-06-13 17:43:40 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/gstpython.supp: Keeping suppresions
	  Original commit message from CVS:
	  * testsuite/gstpython.supp:
	  Keeping suppresions

2006-06-13 16:52:05 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/gstpython.supp: Tim might have fixed this suppression. Commenting it.
	  Original commit message from CVS:
	  * testsuite/gstpython.supp:
	  Tim might have fixed this suppression. Commenting it.

2006-06-13 14:43:41 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/gstpython.supp: One more suppression added to bug #344761
	  Original commit message from CVS:
	  * testsuite/gstpython.supp:
	  One more suppression added to bug #344761

2006-06-13 13:45:33 +0000  Edward Hervey <bilboed@bilboed.com>

	  .cvsignore: Ignore more files
	  Original commit message from CVS:
	  * .cvsignore:
	  Ignore more files

2006-06-13 13:28:47 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/gstpython.supp: Added suppresion for leaks of bug #344761.
	  Original commit message from CVS:
	  * testsuite/gstpython.supp:
	  Added suppresion for leaks of bug #344761.

2006-06-13 11:05:08 +0000  Edward Hervey <bilboed@bilboed.com>

	  Ignore log files.
	  Original commit message from CVS:
	  * .cvsignore:
	  * testsuite/.cvsignore:
	  Ignore log files.

2006-06-13 10:59:44 +0000  Edward Hervey <bilboed@bilboed.com>

	  Makefile.am: Cleanup pygst.pyc file.
	  Original commit message from CVS:
	  * Makefile.am: (CLEANFILES):
	  Cleanup pygst.pyc file.

2006-06-13 10:55:09 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.defs: Add 'unblock-threads #t' for critical functions/methods.
	  Original commit message from CVS:
	  * gst/gst.defs:
	  Add 'unblock-threads #t' for critical functions/methods.

2006-06-12 16:51:36 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/: Added cleanup file to initialize registry before running checks.
	  Original commit message from CVS:
	  * testsuite/Makefile.am:
	  * testsuite/runtests.py:
	  * testsuite/cleanup.py:
	  Added cleanup file to initialize registry before running checks.
	  Added G_DEBUG=gc-friendly to valgrinding
	  Only test test_*.py files

2006-06-11 16:32:18 +0000  Edward Hervey <bilboed@bilboed.com>

	  .cvsignore: more files to ignore
	  Original commit message from CVS:
	  * .cvsignore:
	  more files to ignore

2006-06-09 17:21:40 +0000  Edward Hervey <bilboed@bilboed.com>

	  pygst.py.in: Raise RequiredVersionError(ValueError, AssertionError) wherever applicable. This makes the new system (r...
	  Original commit message from CVS:
	  * pygst.py.in:
	  Raise RequiredVersionError(ValueError, AssertionError) wherever
	  applicable. This makes the new system (raising an error) compatible
	  with the old system (assertions).
	  Fixes #341114

2006-06-09 14:19:16 +0000  Edward Hervey <bilboed@bilboed.com>

	  pygst.py.in: Don't import non-used modules
	  Original commit message from CVS:
	  * pygst.py.in:
	  Don't import non-used modules
	  * testsuite/Makefile.am:
	  Heavy valgrinding por favor !
	  (%.valgrind): with always-malloc for GSlice

2006-06-09 14:15:53 +0000  Edward Hervey <bilboed@bilboed.com>

	  pygst.py.in: Don't import non-used modules
	  Original commit message from CVS:
	  * pygst.py.in:
	  Don't import non-used modules
	  * testsuite/Makefile.am:
	  Heavy valgrinding por favor !

2006-06-09 10:50:21 +0000  Edward Hervey <bilboed@bilboed.com>

	  codegen/: Updated codegenerator to current pygtk one.
	  Original commit message from CVS:
	  * codegen/Makefile.am:
	  * codegen/argtypes.py:
	  * codegen/codegen.py:
	  * codegen/definitions.py:
	  * codegen/defsconvert.py:
	  * codegen/defsparser.py:
	  * codegen/docextract.py:
	  * codegen/docextract_to_xml.py:
	  * codegen/docgen.py:
	  * codegen/h2def.py:
	  * codegen/mergedefs.py:
	  * codegen/missingdefs.py:
	  * codegen/mkskel.py:
	  * codegen/override.py:
	  * codegen/reversewrapper.py:
	  Updated codegenerator to current pygtk one.
	  * gst/gst.defs:
	  * gst/gst.override:
	  * gst/gstpad.override:
	  Update defs for new constructor definition.
	  * testsuite/test_bin.py:
	  With new constructors, pygobject will try to convert the argument to the
	  proper GType (here a string).

2006-06-09 10:12:16 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Update for API additions.
	  Original commit message from CVS:
	  * gst/base.defs:
	  * gst/gst-0.10.7.ignore:
	  * gst/gst-types.defs:
	  * gst/gst.defs:
	  * gst/gstbase.override:
	  * gst/libs.defs:
	  Update for API additions.
	  * gst/gstmodule.c: (init_gst):
	  Added new GST_TAG_IMAGE and GST_TAG_PREVIEW_IMAGE

2006-05-27 12:18:54 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/__init__.py: Make gst-python work on OS without dl.so
	  Original commit message from CVS:
	  reviewed by: Edward Hervey <edward@fluendo.com>
	  * gst/__init__.py:
	  Make gst-python work on OS without dl.so
	  Fixes #341799

2006-05-27 12:13:46 +0000  Edward Hervey <bilboed@bilboed.com>

	  examples/filesrc.py: Port to 0.10.
	  Original commit message from CVS:
	  reviewed by: Edward Hervey <edward@fluendo.com>
	  * examples/filesrc.py: Port to 0.10.

2006-05-27 12:08:08 +0000  Edward Hervey <bilboed@bilboed.com>

	  examples/audio-controller.py: Make it work with 0.10, still had cruft from 0.9
	  Original commit message from CVS:
	  * examples/audio-controller.py:
	  Make it work with 0.10, still had cruft from 0.9

2006-05-19 08:48:22 +0000  Edward Hervey <bilboed@bilboed.com>

	  Added ignore file for core 0.10.7
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/gst-0.10.7.ignore:
	  * gst/gstversion.override.in:
	  Added ignore file for core 0.10.7
	  * gst/base.defs:
	  Added gst_adapter_take_buffer
	  * gst/gst-0.10.6.ignore:
	  Filed API addition for 0.10.6
	  * gst/gst-types.defs:
	  Added GstTypeFind pointer definition
	  * gst/gst.defs:
	  * gst/gst.override:
	  Added fake function gst_type_find_new() to create a GstTypeFind that can
	  be used in all typefinding function.
	  GstTypeFind *
	  gst_type_find_new(data, peekfunction, suggestfunction [, getlenghtfunction])

2006-05-09 14:24:02 +0000  Edward Hervey <bilboed@bilboed.com>

	  Update for API changes.
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/gst-0.10.6.ignore:
	  * gst/gst.defs:
	  * gst/gstversion.override.in:
	  Update for API changes.
	  Added ignore files for core 0.10.6 API additions.

2006-05-09 14:00:10 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.override: Reverting previous patches for conditional ignore.
	  Original commit message from CVS:
	  * gst/gst.override:
	  Reverting previous patches for conditional ignore.
	  It can't be done from within override files.
	  The only one left is the python gst_debug_log function
	  which will do nothing #ifdef GST_DISABLE_GST_DEBUG.
	  Also removed the conditional ignore for API changes since it didn't
	  have any effect either.

2006-05-09 13:36:51 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.override: Better conditional ignore for types and methods.
	  Original commit message from CVS:
	  * gst/gst.override:
	  Better conditional ignore for types and methods.

2006-05-09 13:13:48 +0000  Edward Hervey <bilboed@bilboed.com>

	  codegen/: Added code to ignore type and the function/methods/classes that use them.
	  Original commit message from CVS:
	  * codegen/codegen.py:
	  * codegen/override.py:
	  Added code to ignore type and the function/methods/classes that use
	  them.
	  * gst/gst.override:
	  ignore methods/classes/types depending on how GStreamer core was built:
	  _ GST_DISABLE_GST_DEBUG
	  _ GST_DISABLE_LOADSAVE
	  _ GST_DISABLE_PARSE

2006-05-09 10:25:17 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/python.supp: Added suppressions for FC5 64 bit
	  Original commit message from CVS:
	  * testsuite/python.supp:
	  Added suppressions for FC5 64 bit

2006-05-08 11:59:56 +0000  Edward Hervey <bilboed@bilboed.com>

	  autogen.sh: libtoolize on Darwin/MacOSX is called glibtoolize
	  Original commit message from CVS:
	  * autogen.sh: (CONFIGURE_DEF_OPT):
	  libtoolize on Darwin/MacOSX is called glibtoolize

2006-05-05 13:32:37 +0000  Andy Wingo <wingo@pobox.com>

	* examples/remuxer.py:
	  smaller title
	  Original commit message from CVS:
	  smaller title

2006-05-05 13:30:01 +0000  Andy Wingo <wingo@pobox.com>

	  examples/remuxer.py (PlayerWindow.update_scale_cb): Fix a race condition getting the initial cutin time via inserting...
	  Original commit message from CVS:
	  2006-05-05  Andy Wingo  <wingo@pobox.com>
	  * examples/remuxer.py (PlayerWindow.update_scale_cb): Fix a race
	  condition getting the initial cutin time via inserting whitespace.
	  (all over): UI fixes to make Mike happy.

2006-05-05 11:00:44 +0000  Andy Wingo <wingo@pobox.com>

	  examples/remuxer.py: Updates! Nothing gstreamery, it's all ui, so I won't bother you with the details.
	  Original commit message from CVS:
	  2006-05-05  Andy Wingo  <wingo@pobox.com>
	  * examples/remuxer.py: Updates! Nothing gstreamery, it's all ui,
	  so I won't bother you with the details.

2006-04-29 16:59:16 +0000  Edward Hervey <bilboed@bilboed.com>

	  examples/gstfile.py: Threaded application, we NEED gobject.threads_init().
	  Original commit message from CVS:
	  * examples/gstfile.py:
	  Threaded application, we NEED gobject.threads_init().
	  This should finally gets rid of the crashes when used on single files.
	  * gst/extend/discoverer.py:
	  Re-order the imports.

2006-04-28 17:35:26 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/arg-types.py: Caps used as arguments of virtual methods should keep their initial refcount when calling the pytho...
	  Original commit message from CVS:
	  * gst/arg-types.py:
	  Caps used as arguments of virtual methods should keep their initial
	  refcount when calling the python methods.
	  This is similar to the patch done for GstMiniObjects.
	  * gst/gstbase.override:
	  Adjust the gst.BaseTransform.get_unit_size() virtual method for above
	  fix.

2006-04-28 15:23:52 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstbase.override: gst.BaseTransform.get_unit_size() virtual method override.
	  Original commit message from CVS:
	  reviewed by: Edward Hervey  <edward@fluendo.com>
	  * gst/gstbase.override:
	  gst.BaseTransform.get_unit_size() virtual method override.
	  Closes #339248

2006-04-28 15:07:41 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/arg-types.py: GstMiniObject used as virtual methods parameters should be unreffed before calling the method and t...
	  Original commit message from CVS:
	  * gst/arg-types.py:
	  GstMiniObject used as virtual methods parameters should be unreffed
	  before calling the method and the ref-ed.
	  Added Params and Returns for const-gchar*, GType and gulong so the
	  code generator can generate more virtual methods handlers/proxys.
	  * gst/gst-types.defs:
	  * gst/gst.defs:
	  * gst/interfaces.defs:
	  Added vtable and virtual method definition for interfaces so we can properly use virtual
	  methods from those interfaces in python.

2006-04-28 14:55:15 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstpad.override: (pad_block_callback_marshal)
	  Original commit message from CVS:
	  2006-04-19  Andy Wingo  <wingo@pobox.com>
	  * gst/gstpad.override: (pad_block_callback_marshal)
	  (_wrap_gst_pad_set_blocked_async): Fix refcounting problems and
	  indent.
	  Fixes #338982

2006-04-28 14:54:45 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstmodule.c: Wrap the gstreamer error domains quark.
	  Original commit message from CVS:
	  * gst/gstmodule.c: (init_gst):
	  Wrap the gstreamer error domains quark.
	  Fixes #339040

2006-04-28 14:51:52 +0000  Edward Hervey <bilboed@bilboed.com>

	* ChangeLog:
	  gst/gstpad.override (pad_block_callback_marshal)
	  Original commit message from CVS:
	  * gst/gstpad.override (pad_block_callback_marshal)
	  (_wrap_gst_pad_set_blocked_async): Fix refcounting problems and
	  indent.
	  Fixes #338982

2006-04-28 14:07:38 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* ChangeLog:
	* configure.ac:
	  back to HEAD
	  Original commit message from CVS:
	  back to HEAD

=== release 0.10.4 ===

2006-04-28 14:06:21 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  releasing 0.10.4
	  Original commit message from CVS:
	  releasing 0.10.4

2006-04-19 12:04:56 +0000  Andy Wingo <wingo@pobox.com>

	* examples/fvumeter.py:
	  BPB(tm)
	  Original commit message from CVS:
	  BPB(tm)

2006-04-19 12:04:19 +0000  Andy Wingo <wingo@pobox.com>

	* ChangeLog:
	* examples/fvumeter.py:
	* gst/arg-types.py:
	  gst/arg-types.py (GstCapsArg.write_const_param)
	  Original commit message from CVS:
	  2006-04-19  Andy Wingo  <wingo@pobox.com>
	  * gst/arg-types.py (GstCapsArg.write_const_param)
	  (GstCapsArg.write_param): If there is a default value, initialize
	  the py_caps variable to NULL. PyArgs_Parse* doesn't touch c
	  variables if the optional arg isn't there. Fixes #339010.

2006-04-19 11:58:14 +0000  Andy Wingo <wingo@pobox.com>

	  examples/remuxer.py (GstPlayer.seek): Don't do accurate seeks, because the output won't be readable without a keyfram...
	  Original commit message from CVS:
	  2006-04-19  Andy Wingo  <wingo@pobox.com>
	  * examples/remuxer.py (GstPlayer.seek): Don't do accurate seeks,
	  because the output won't be readable without a keyframe anyway.

2006-04-19 08:50:48 +0000  Andy Wingo <wingo@pobox.com>

	  examples/remuxer.py: Another code dump. I know it breaks the freeze but it's just a wee example :)
	  Original commit message from CVS:
	  2006-04-19  Andy Wingo  <wingo@pobox.com>
	  * examples/remuxer.py: Another code dump. I know it breaks the
	  freeze but it's just a wee example :)

2006-04-13 16:38:41 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* configure.ac:
	  prereleasing gst-python
	  Original commit message from CVS:
	  prereleasing gst-python

2006-04-10 14:47:19 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gsttaglist.override: Return tag value if present more than once (instead of exactly once).
	  Original commit message from CVS:
	  * gst/gsttaglist.override: (tag_foreach_func_list):
	  Return tag value if present more than once (instead of exactly once).
	  Fixes #337876

2006-04-10 09:21:09 +0000  Edward Hervey <bilboed@bilboed.com>

	  codegen/argtypes.py: Update from upstream codegen for UInt argtype.
	  Original commit message from CVS:
	  * codegen/argtypes.py:
	  Update from upstream codegen for UInt argtype.
	  * gst/gst-types.defs:
	  Added GstIndexEntry boxed type.
	  * gst/gstbase.override:
	  Wrapped gst.BaseSrc::get_times() and gst.PushSrc::create() virtual
	  methods.
	  gst.BaseSrc and gst.PushSrc virtual methods are now completely wrapped.

2006-04-08 18:46:44 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  testsuite/test-object.h: Fix broken GObject macros
	  Original commit message from CVS:
	  * testsuite/test-object.h:
	  Fix broken GObject macros

2006-04-07 18:33:35 +0000  Andy Wingo <wingo@pobox.com>

	  examples/remuxer.py: Code dump, work in progress...
	  Original commit message from CVS:
	  2006-04-07  Andy Wingo  <wingo@pobox.com>
	  * examples/remuxer.py: Code dump, work in progress...

2006-04-07 17:58:18 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/test_ghostpad.py: more assertions to figure out an speed issue.
	  Original commit message from CVS:
	  * testsuite/test_ghostpad.py:
	  more assertions to figure out an speed issue.

2006-04-07 17:21:27 +0000  Andy Wingo <wingo@pobox.com>

	  gst/arg-types.py (GstCapsArg.beforenull): py_caps can be NULL if it is an optional argument. Translate this python no...
	  Original commit message from CVS:
	  2006-04-07  Andy Wingo  <wingo@pobox.com>
	  * gst/arg-types.py (GstCapsArg.beforenull): py_caps can be NULL if
	  it is an optional argument. Translate this python non-value to the
	  C NULL.
	  * gst/gst.defs (get_compatible_pad): Filter caps is optional and
	  can be None. It defaults to None.

2006-04-07 15:41:00 +0000  Edward Hervey <bilboed@bilboed.com>

	  Makefile.am: make check-valgrind calls make valgrind in the testsuite directory.
	  Original commit message from CVS:
	  * Makefile.am:
	  make check-valgrind calls make valgrind in the testsuite directory.
	  * testsuite/Makefile.am:
	  prepend $(top_srcdir) to PYTHONPATH for all tests so it uses the built
	  library and not the installed one.
	  * testsuite/python.supp:
	  Added suppressions discovered on x86/gentoo.

2006-04-07 14:54:49 +0000  Andy Wingo <wingo@pobox.com>

	  gst/gstelement.override (_wrap_gst_element_link): Allow errors parsing the optional filter caps to propagate up.
	  Original commit message from CVS:
	  2006-04-07  Andy Wingo  <wingo@pobox.com>
	  * gst/gstelement.override (_wrap_gst_element_link): Allow errors
	  parsing the optional filter caps to propagate up.

2006-04-07 14:32:08 +0000  Andy Wingo <wingo@pobox.com>

	  gst/gst.defs (element_make_from_uri): Element name is optional and can be None. It defaults to None.
	  Original commit message from CVS:
	  2006-04-07  Andy Wingo  <wingo@pobox.com>
	  * gst/gst.defs (element_make_from_uri): Element name is optional
	  and can be None. It defaults to None.

2006-04-05 17:05:43 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/test_message.py: GstBus is flushing in NULL, so we need to set the pipeline to READY in order to receive th...
	  Original commit message from CVS:
	  * testsuite/test_message.py:
	  GstBus is flushing in NULL, so we need to set the pipeline to READY in
	  order to receive the messages in the bus watch.

2006-04-05 11:55:48 +0000  Andy Wingo <wingo@pobox.com>

	  configure.ac (PYGST_MICRO_VERSION): Doc fix.
	  Original commit message from CVS:
	  2006-04-05  Andy Wingo  <wingo@pobox.com>
	  * configure.ac (PYGST_MICRO_VERSION): Doc fix.
	  (PYGST_NANO_VERSION): New define.
	  * gst/__init__.py (version): Add as an alias for get_gst_version.
	  Should use the deprecation infrastructure here.
	  * gst/gst.defs: Add defs for the new wrapped functions.
	  * gst/gst.override (_wrap_gst_get_pygst_version)
	  (_wrap_gst_get_gst_version): New overrides, functions to access
	  the gstreamer and pygst versions. The first used to be called
	  gst_version(); we ignore gst_version now.

2006-04-05 08:37:32 +0000  Andy Wingo <wingo@pobox.com>

	  gst/gstpad.override (_wrap_gst_pad_set_blocked_async): PyObject_IsTrue, not PyBool_Check. Grr.
	  Original commit message from CVS:
	  2006-04-05  Andy Wingo  <wingo@pobox.com>
	  * gst/gstpad.override (_wrap_gst_pad_set_blocked_async):
	  PyObject_IsTrue, not PyBool_Check. Grr.

2006-04-04 16:16:46 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.defs: gst_element_post_message: Adding keep-refcount tag to the message since the function will unref it.
	  Original commit message from CVS:
	  * gst/gst.defs:
	  gst_element_post_message: Adding keep-refcount tag to the message since
	  the function will unref it.

2006-04-01 10:10:48 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* examples/Makefile.am:
	  fix makefile
	  Original commit message from CVS:
	  fix makefile

2006-04-01 10:07:07 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  configure.ac: use AS_VERSION and AS_NANO
	  Original commit message from CVS:
	  * configure.ac:
	  use AS_VERSION and AS_NANO

2006-03-31 17:12:50 +0000  Andy Wingo <wingo@pobox.com>

	  examples/remuxer.py: Example GUI for a remuxer, unfinished -- dropping it here while I hack on it. Based on player.py.
	  Original commit message from CVS:
	  2006-03-31  Andy Wingo  <wingo@pobox.com>
	  * examples/remuxer.py: Example GUI for a remuxer, unfinished --
	  dropping it here while I hack on it. Based on player.py.
	  * examples/Makefile.am (examples_DATA): Add remuxer.py, reorder
	  list.

2006-03-30 03:46:56 +0000  David I. Lehn <dlehn@users.sourceforge.net>

	  configure.ac: Better empty string test fix for "Fixes to how we figure out what API to ignore"
	  Original commit message from CVS:
	  * configure.ac:
	  Better empty string test fix for "Fixes to how we figure out what API
	  to ignore"

2006-03-24 11:07:22 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Fixes in how we figure out what API to ignore
	  Original commit message from CVS:
	  * configure.ac:
	  Fixes in how we figure out what API to ignore
	  * gst/Makefile.am:
	  * gst/gst-0.10.5.ignore:
	  * gst/gstversion.override.in:
	  Added file for handling API additions for gstreamer 0.10.5
	  * gst/base.defs:
	  * gst/gst.defs:
	  New API
	  * gst/gstpad.override:
	  Overrides for gst.Pad.query_peer_*()

2006-03-21 21:49:46 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	* configure.ac:
	  Bump nano back to CVS
	  Original commit message from CVS:
	  Bump nano back to CVS

=== release 0.10.3 ===

2006-03-21 21:48:08 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  configure.ac: releasing 0.10.3, "Maybe not today. Maybe not tomorrow, but soon..."
	  Original commit message from CVS:
	  === release 0.10.3 ===
	  2006-03-21  Jan Schmidt <thaytan@mad.scientist.com>
	  * configure.ac:
	  releasing 0.10.3, "Maybe not today. Maybe not tomorrow, but soon..."

2006-03-21 14:01:07 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  testsuite/: Another attempt at making the tests deterministic on the buildbots
	  Original commit message from CVS:
	  * testsuite/test_ghostpad.py:
	  * testsuite/test_pad.py:
	  Another attempt at making the tests deterministic on the buildbots

2006-03-21 00:14:38 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  configure.ac: pre-release 0.10.2.2
	  Original commit message from CVS:
	  2006-03-20  Jan Schmidt <thaytan@mad.scientist.com>
	  * configure.ac:
	  pre-release 0.10.2.2

2006-03-20 19:08:34 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  testsuite/test_ghostpad.py: Add while loop in teardown to wait for the pipeline state to hit NULL. Hopefully this wil...
	  Original commit message from CVS:
	  * testsuite/test_ghostpad.py:
	  Add while loop in teardown to wait for the pipeline state
	  to hit NULL. Hopefully this will ensure the refcount has always hit 1.

2006-03-14 12:56:46 +0000  Edward Hervey <bilboed@bilboed.com>

	  configure.ac: Only require GStreamer core >= 0.10.2
	  Original commit message from CVS:
	  * configure.ac:
	  Only require GStreamer core >= 0.10.2
	  Detect version of core the bindings are being compiled against and
	  write gst/gstversion.override file with eventual API additions that
	  should be ignored.
	  * gst/Makefile.am:
	  * gst/base.defs:
	  Added gst_base_sync_[set|get]_[sync|max_lateness]() and
	  gst_type_find_helper_get_range() definitions
	  * gst/gst-0.10.3.ignore:
	  API added in gstreamer core 0.10.3
	  * gst/gst-0.10.4.ignore:
	  API added in gstreamer core 0.10.4
	  * gst/gst.override:
	  Include gstversion.override.
	  * gst/gstversion.override.in:
	  Magic file for API additions to ignore.

2006-03-14 12:25:22 +0000  Edward Hervey <bilboed@bilboed.com>

	  codegen/: New --extendpath option for codegenerator so we can add extra path to search for included override files.
	  Original commit message from CVS:
	  * codegen/codegen.py:
	  * codegen/override.py:
	  New --extendpath option for codegenerator so we can add
	  extra path to search for included override files.

2006-03-13 11:19:10 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Added base elements override file.
	  Original commit message from CVS:
	  * gst/Makefile.am:
	  * gst/gst.override:
	  * gst/gstbase.override:
	  Added base elements override file.
	  * gst/gstpad.override:
	  Added override for gst_pad_alloc_buffer_and_set_caps

2006-03-10 11:28:01 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.override: Commited a bit too much :)
	  Original commit message from CVS:
	  * gst/gst.override:
	  Commited a bit too much :)

2006-03-10 11:22:31 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/base.defs: typo fix for gst_type_find_helper()
	  Original commit message from CVS:
	  * gst/base.defs:
	  typo fix for gst_type_find_helper()
	  Added new API : gst_type_find_helper_for_buffer()
	  * gst/gst.override:
	  override for gst.type_find_helper_for_buffer()

2006-03-10 10:54:40 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Added new API: gst_pipeline_[get|set]_auto_flush_bus() gst_uri_has_protocol()
	  Original commit message from CVS:
	  * gst/gst-types.defs:
	  * gst/gst.defs:
	  Added new API:
	  gst_pipeline_[get|set]_auto_flush_bus()
	  gst_uri_has_protocol()
	  GST_RESOURCE_ERROR_NO_SPACE_LEFT

2006-03-07 19:44:35 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/arg-types.py: Add ReturnType and Parameter for GstCaps.
	  Original commit message from CVS:
	  * gst/arg-types.py:
	  Add ReturnType and Parameter for GstCaps.
	  This allows the codegenerator to wrap properly more virtual proxies.

2006-03-07 19:08:43 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/base.defs: Update for new check_get_range virtual method in GstBaseSrc
	  Original commit message from CVS:
	  * gst/base.defs:
	  Update for new check_get_range virtual method in GstBaseSrc

2006-03-06 16:24:53 +0000  Michael Smith <msmith@xiph.org>

	  gst/: Don't leak PyObjects wrapping GValues when indexing into a
	  Original commit message from CVS:
	  * gst/gststructure.override:
	  * gst/gsttaglist.override:
	  Don't leak PyObjects wrapping GValues when indexing into a
	  GStStructure. Also fix a copy/paste identical bug in taglists.

2006-03-02 09:40:13 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/pygstminiobject.h: Some crack distributions do weirdo stuff with PYGIL_API_IS_BUGGY.
	  Original commit message from CVS:
	  * gst/pygstminiobject.h:
	  Some crack distributions do weirdo stuff with PYGIL_API_IS_BUGGY.
	  Let's keep our own detection.
	  Closes #333055

2006-02-28 00:17:45 +0000  Jan Schmidt <thaytan@mad.scientist.com>

	  pygst.py.in: Fix a silly logic inversion typo
	  Original commit message from CVS:
	  * pygst.py.in:
	  Fix a silly logic inversion typo

2006-02-27 16:22:10 +0000  Edward Hervey <bilboed@bilboed.com>

	  pygst.py.in: use 'raise StandardError' instead of 'assert' so that compiled code raise a noticeable exception.
	  Original commit message from CVS:
	  * pygst.py.in:
	  use 'raise StandardError' instead of 'assert' so that compiled code
	  raise a noticeable exception.
	  Closes #332586

2006-02-22 10:16:33 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstmodule.c: gst.gst_version uses the result of gst_version() rather than use the GST_VERSION_* hardcoded values.
	  Original commit message from CVS:
	  reviewed by: Edward Hervey  <edward@fluendo.com>
	  * gst/gstmodule.c: (init_gst):
	  gst.gst_version uses the result of gst_version() rather than use
	  the GST_VERSION_* hardcoded values.
	  Closes #331616

2006-02-20 18:07:59 +0000  Edward Hervey <bilboed@bilboed.com>

	  examples/vumeter.py: In fact it wasn't an application message, but an element message :)
	  Original commit message from CVS:
	  * examples/vumeter.py:
	  In fact it wasn't an application message, but an element message :)

2006-02-20 16:58:14 +0000  Zaheer Abbas Merali <zaheerabbas@merali.org>

	* ChangeLog:
	* examples/vumeter.py:
	  fix vumeter example
	  Original commit message from CVS:
	  fix vumeter example

2006-02-17 15:35:34 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Updated and properly wrapped new GstQuery formats API.
	  Original commit message from CVS:
	  * gst/gst.defs:
	  * gst/gstquery.override:
	  Updated and properly wrapped new GstQuery formats API.

2006-02-10 17:49:47 +0000  Andy Wingo <wingo@pobox.com>

	  gst/gst.defs (disable_sync_message_emission)
	  Original commit message from CVS:
	  2006-02-10  Andy Wingo  <wingo@pobox.com>
	  * gst/gst.defs (disable_sync_message_emission)
	  (enable_sync_message_emission): Wrap new functions from GStreamer
	  CVS.
	  * configure.ac (GST_REQ): Require GStreamer 0.10.3.1.
	  * examples/play.py: A bit of refactoring. Make use of the
	  sync-message signals. Reacts to events on the bus. Keeps aspect
	  ratio. Better scrubbing, play/pause button instead of
	  play+pause+stop. Not a bad player now, although the code still
	  lacks cleanliness.

2006-02-10 10:53:22 +0000  Andy Wingo <wingo@pobox.com>

	  examples/play.py (GstPlayer.query_position)
	  Original commit message from CVS:
	  2006-02-10  Andy Wingo  <wingo@pobox.com>
	  * examples/play.py (GstPlayer.query_position)
	  (PlayerWindow.update_scale_cb): Only return position, duration
	  from query_position -- fixes a bugaboo.
	  (main): Add some input validation.
	  * examples/pipeline-tester (data): Add a pipeline to test software
	  scaling.

2006-02-07 18:54:52 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/: Remove deprecated code dating back from 0.8 era.
	  Original commit message from CVS:
	  * gst/gst.override:
	  * gst/gstmodule.c: (python_do_pending_calls):
	  Remove deprecated code dating back from 0.8 era.

2006-02-06 16:24:23 +0000  Andy Wingo <wingo@pobox.com>

	  codegen/argtypes.py (UInt64Arg.write_param): Parse long arguments using ParseTuple and friends; allows ints to passed...
	  Original commit message from CVS:
	  2006-02-06  Andy Wingo  <wingo@pobox.com>
	  * codegen/argtypes.py (UInt64Arg.write_param): Parse long
	  arguments using ParseTuple and friends; allows ints to passed for
	  longs as a side benefit.

2006-02-02 16:30:01 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.override: (gst.TIME_ARGS) return "CLOCK_TIME_NONE" for invalid times instead of outputing gibberish value.
	  Original commit message from CVS:
	  * gst/gst.override:
	  (gst.TIME_ARGS) return "CLOCK_TIME_NONE" for invalid times instead of
	  outputing gibberish value.

2006-02-02 15:54:07 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.defs: Update for current GStreamer core API
	  Original commit message from CVS:
	  * gst/gst.defs:
	  Update for current GStreamer core API

2006-02-01 16:37:41 +0000  Edward Hervey <bilboed@bilboed.com>

	  testsuite/test_event.py: Properly use tempfile
	  Original commit message from CVS:
	  * testsuite/test_event.py:
	  Properly use tempfile

2006-02-01 14:19:55 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.defs: When using gst.Element.send_event() and gst.Pad.send_event() we keep a refcount on the sent event.
	  Original commit message from CVS:
	  * gst/gst.defs:
	  When using gst.Element.send_event() and gst.Pad.send_event() we keep
	  a refcount on the sent event.
	  * testsuite/test_event.py:
	  Uncomment test to prove above fix

2006-02-01 11:52:04 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  testsuite/test_event.py: add a test case for autoplugging behaviour: create a source, connect probes, store new-segme...
	  Original commit message from CVS:
	  * testsuite/test_event.py:
	  add a test case for autoplugging behaviour:
	  create a source, connect probes, store new-segment event,
	  add element in buffer probe callback, and forward event
	  Currently fails due to refcounting on the stored new-segment
	  event

2006-02-01 11:14:20 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  testsuite/test_element.py: add another link test
	  Original commit message from CVS:
	  2006-02-01  Thomas Vander Stichele  <thomas at apestaart dot org>
	  * testsuite/test_element.py:
	  add another link test

2006-01-30 12:57:02 +0000  Edward Hervey <bilboed@bilboed.com>

	  Link against Gst Data protocol libraries.
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  Link against Gst Data protocol libraries.
	  * gst/__init__.py:
	  Restore dlopenflags after importing gst.
	  Closes #329110

2006-01-25 11:23:20 +0000  Christian Schaller <uraeus@gnome.org>

	* common:
	* gst-python.spec.in:
	  update spec file
	  Original commit message from CVS:
	  update spec file

2006-01-16 21:01:03 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* configure.ac:
	  back to head
	  Original commit message from CVS:
	  back to head

=== release 0.10.2 ===

2006-01-16 20:59:29 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  releasing 0.10.2
	  Original commit message from CVS:
	  releasing 0.10.2

2006-01-14 22:59:52 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* ChangeLog:
	* configure.ac:
	  prerelease
	  Original commit message from CVS:
	  prerelease

2006-01-13 17:40:09 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gstlibs.override: GstController : don't use values that are now in non-public API.
	  Original commit message from CVS:
	  * gst/gstlibs.override:
	  GstController : don't use values that are now in non-public API.

2006-01-09 11:42:25 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/base.defs: Revert guint8* to gchar* modifications for the adapter
	  Original commit message from CVS:
	  * gst/base.defs:
	  Revert guint8* to gchar* modifications for the adapter
	  * gst/gst.defs:
	  Cleanups and API additions

2006-01-08 12:26:35 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gststructure.override: Properly check for gstvalue data types. This makes it possible to set fields with fractions.
	  Original commit message from CVS:
	  * gst/gststructure.override: (_wrap_gst_structure_set_value):
	  Properly check for gstvalue data types. This makes it possible to
	  set fields with fractions.
	  * testsuite/test_caps.py:
	  * testsuite/test_struct.py:
	  Test for above modifications

2006-01-05 14:49:27 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/base.defs: Use gchar* instead of guint8* for GstAdapter
	  Original commit message from CVS:
	  * gst/base.defs:
	  Use gchar* instead of guint8* for GstAdapter
	  Added virtual methods definitions for base classes.
	  Still have to override some functions, and figure
	  out how to properly add reverse wrappers to the codegenerator.

2006-01-01 21:18:28 +0000  Edward Hervey <bilboed@bilboed.com>

	  First step at wrapping base elements in gst-python
	  Original commit message from CVS:
	  First step at wrapping base elements in gst-python
	  * configure.ac:
	  Commenting out weird debugging statement dating from gst-python's
	  and which causes problems with gstbasesrc.h anonymous union.
	  * gst/Makefile.am:
	  Added base.defs
	  * gst/base.defs:
	  New base elements definition files
	  * gst/gst.defs:
	  * gst/gst.override:
	  Add base elements

2005-12-23 18:16:44 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* configure.ac:
	  back to HEAD
	  Original commit message from CVS:
	  back to HEAD

=== release 0.10.1 ===

2005-12-23 18:10:51 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	  releasing 0.10.1
	  Original commit message from CVS:
	  releasing 0.10.1

2005-12-22 19:02:03 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* pygst.py.in:
	  duh, typo
	  Original commit message from CVS:
	  duh, typo

2005-12-22 15:56:41 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  install in pyexecdir as well
	  Original commit message from CVS:
	  * configure.ac:
	  * gst/Makefile.am:
	  * gst/extend/Makefile.am:
	  install in pyexecdir as well

2005-12-22 11:20:44 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	  pygst.py.in: give the correct error when not finding the version
	  Original commit message from CVS:
	  * pygst.py.in: give the correct error when not finding the version

2005-12-20 15:58:02 +0000  Thomas Vander Stichele <thomas@apestaart.org>

	* configure.ac:
	* gst-python.spec.in:
	* testsuite/test_message.py:
	  prereleasing
	  Original commit message from CVS:
	  prereleasing

2005-12-20 11:15:50 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst-types.defs: Added GstStaticCaps and GstStaticPadTemplate, using the new GType.
	  Original commit message from CVS:
	  * gst/gst-types.defs:
	  Added GstStaticCaps and GstStaticPadTemplate, using the new GType.
	  * gst/gst.defs:
	  Doesn't return a const anymore.
	  * gst/gstelementfactory.override:
	  Wrapped gst_element_factory_get_static_pad_templates()

2005-12-19 17:49:30 +0000  Martin Soto <martinsoto@users.sourceforge.net>

	  gst/gstbus.override (_wrap_gst_bus_add_watch): This function incorrectly returned self, which was causing the message...
	  Original commit message from CVS:
	  2005-12-19  Martin Soto  <martinsoto@users.sourceforge.net>
	  * gst/gstbus.override (_wrap_gst_bus_add_watch): This function
	  incorrectly returned self, which was causing the message bus to
	  get prematurely destroyed by the Python interpreter. Now returns
	  Py_None.

2005-12-19 16:05:34 +0000  Edward Hervey <bilboed@bilboed.com>

	  gst/gst.override: ignore gst_object_sink
	  Original commit message from CVS:
	  * gst/gst.override:
	  ignore gst_object_sink

2005-12-19 10:45:45 +0000  Edward Hervey <bilboed@bilboed.com>

